Changelog for version 5.0.1
================================

a7e8de619 (HEAD -> develop, origin/develop, origin/HEAD, inasafe/develop) Fix minimum needs value report
4ddb24dd0 change clipping dtype to be the same as input
234c3619a Fix scenario unit test files
9cdb6c617 Fix hazard preparation geometries
5559b831d Skip some tests
7bc7207a2 Skip stalling unit tests in QGIS 3.4
21859c36e Enable minimum needs unit test
987c18b08 Skip test_contour unit test in QGIS 3.4
58f051764 Change contour shp extension to gpkg in unittest
05f3a268b Fix typo and null error
cb8b24952 Maintenance commit for repo
915c72752 Fix and enable skipped unittests
02601d3b9 Fix inconsistent aggregation behaviour
346ab517f Fix contour calculation in QGIS 3.4
831d60abb (pierrealixt/develop) update local docker test configuration
8e4ad741f improve error message when reports are not going to be generated
94bab203d disable OSM Reporter
bad0cb9e7 enable QGIS 3.4 on travis
048f1645b skip windows flake8 check, review print, move up get_qgis_app
3084befbc Fix relative root location of Makefile for pep test.
c67e5f210 use the official QGIS docker base image for travis
bd00bfeac (tag: version-5_0_0, pierrealixt/master, inasafe/master) flake8 fixes
b6c3913df use new run_filter system where applicable
fc0355d28 add type docs
1ea25cedd use key instead of hardcoded names in tests
b09e8ec3f use key instead of hardcoded names
4ded0fa0a update example usage
634914cb9 use exposure_population['key'] instead of hardcoding population
02a2496aa fix @ismailsunni feedback
e139a3c25 fix flake8 issues
eec44097d added change log
25d918a76 Typos fix
ab70d8cc2 added run_filter population to all population postprocessors
e40136d9c added tests and code documetntation
676ca05c7 fixed the logic to allow filtering only on one of hazard or exposure
c3d013b8d remove verbosity
d84b04d03 add the possibility to filter on which exposure/hazard combination a processor can run
167d10e27 text to update initial user message
aa7bbe8e9 Revert "update text to update user message"
2624e9471 Revert "fix error"
603eb60ff update text to update user message
a5dec644e fix error
90d84a6fb Fix code climate.
090e2b6ef Update to the new flake8 standard (W504)
5c440a135 Skip some failed unittest in QGIS 3.4
b502ae580 Skip unrealiable outside resource.
f03f23999 Remove unexpected argument.
622ff31a7 Use EPSG 4326 as default.
7d35ad234 First attempt to follow new flake8.
58bcf109c update comment about docker-test
c0bb93cf3 Fix wrong English sentence.
f57119a81 Update windows installer.
bb708a6bf Set release status to final.
ee5a27037 Update windows installer builder script.
961a96e73 Update changelog for v5.0
85d25da64 Fix script for checking missing translation.
b2cd50ded Update translation.
8c13fca46 Fix obsolete method in Qt.
2c76fc3ac Show easier to read Qt Version.
caffc0ded Set parameter version to 2.0.0
ff66713f4 Better geometry_checker to avoid checking geometry equality.
f663dd707 Fix logic in the clean geometry and add comments to make it clear.
12e8b4876 Add more flag before initialize processing algorithm.
ef35a9aa3 Ensure that clean_layer updates layer with repaired geometries
75e82b0bb Fix iface=None in unit test.
41d6b78f1 Add iface variable.
f60bfe0ca Accept line layers for structures
9d4baf070 Update test result
7152def43 Style
ca483580e Also use native intersection and union algorithms
9c7cab1eb Style
5dcc9b325 Try to fix segfault
711860fd5 Replace custom clip alg with built-in processing algorithm
44eaed37e Set encoding when calling Popen
5cb7966ae add definitions for Tonga and Fiji

Changelog for version 4.4.0
================================

48df47650 (HEAD, inasafe/develop, metadata-4.4) Better exception handling in GeoNode uploader.
fb73aeb84 remove duplicate metadata initialisation (#4992)
563b4c536 Update changelog for v4.4
710df28d8 (upstream/develop) Bump version number to 4.4 final.
ff2591df6 Update CHANGELOG for 4.4
7036e720e Update metadata for 4.4
c7f6a8877 (develop) Update translation.
5f416f7cf add expressions for retrieving each sections of report (#4986)
090aac15d Coding standards.
68e3b3273 Revert changes to make unit test pass.
f50de026a More unit test and support for geojson upload.
ef7fb36fe Add full url to the layer uploaded in the return value.
014c3d979 Add geojson to shapefile converter.
e72826ef9 Better unit test for upload to geonode.
eb643049c Add more handling for exception in uploading layer to geonode.
5438c6477 add setting for inasafe output directory (#4984)
66111f701 Check the status code first before parsing the content of request result.
3e4470a7e add locale as a parameter on getting the qgis app (#4977)
e4abaa3f3 (translation_4.4) if aggregation layer, the extent should be aggregation CRS or mapcanvas
ce5079d8b Fix unit test.
b70c58b08 fix test
c531b7f28 tweak
7927aaf9a part fix_#4970
522e64b34 (Charlotte-Morgan-develop) Fix #4893, contour not properly created. Need to set the type of value in GDALDataType to Float32.
2ee38b586 Set minimum value to 0.0
c632a1b97 Set precision to 6 decimal for minimum needs.
51cd8baf9 fix multi-IF serialization (#4969)
252a25287 fix infographic not showning any expressions (#4965)
cef9e4ffc update missing docstring on generate report (#4963)
504f25f9d add impact report property for template extent setting (#4956)
18ab4acd7 read specified extent from template (#4954)
4253378e0 Html report expression (#4953)
8a9027122 allow to add many dynamic fields when summing layers in the waterfall
32db937ae fix save default style in datastore
ee558c209 trying to remove "message" from exception https://stackoverflow.com/questions/1272138/baseexception-message-deprecated-in-python-2-6
9b6257ae0 review logging levels when we run an impact function
d9f386dc1 add QGIS full version and QGIS shorter version name in Sentry
27713aaad add HOSTNAME_SENTRY to customize the hostname in sentry
ff95105e7 update layer id whenever IF is being serialized (#4943)
6c4e8cec9 remove unnecessary code from gis package
0d90356ff fix typo
f9fd4c81e typo
eb5c32932 remove a critical message if everything was fine
342cecf28 bump to version 4.4.0
700d7285c enable geonode uploader
1401a7da6 welcome back Sentry

Changelog for version 4.3.2
================================

4edabcee5 (HEAD -> release_4.3.2, inasafe/develop) Update metadata for v4.3.2.
0e162d759 Update translation for v4.3.2
3948e60d4 run the impact function if we have 0 feature exposed
c47e7a959 add test data for not exposed data
533ba780b improve WKT test
ae2d22fed add tests for empty layer
0882a3084 hacky way to fix wrong hazard keywords in Celery
c485db61a add more tests to copy metadata
882459f1d add legend layers parameter for ImpactReport (#4926)
40b4c9f06 Aggregate expressions (#4927)
a6364680e hide geonode uploader button
5a5195d69 fix loading a layer from qgis registry (#4925)
445d3a654 Headless report (#4923)
0f14d6db3 insert feature one per one in the spatial index
dea809067 save default style to QML at the end of the IF
5e196438f replace exposure summary with aggregate hazard summary for continuos raster exposure
9ccd8750a fix report when no exposure summary found (#4917)
40906ba11 add expression for multi exposure analysis specific (#4907)
4c0196ed0 report the culprit exposure when a multi exposure failed
2877fdae0 fix orientation when using custom template (#4914)
56997a9ae avoid python exception if no data in the IF
21eaaf886 avoid python exceptions when reading keywords on a postgis layer
f1f51a281 Fix failed install pypi package due to unable to get version. Fix #4909
43f87a87c update expression name analysis summary layer
1be33d7ae update docs inasafe version 4
d91e1d8ee add layer icon in qcombobox
f45716519 Fix timezone conversion for shake_grid
540e18bb1 add geonode uploader GUI
d49b17bb0 add missing icons on windows
c4c5d0600 log exceptions in the dock
b226f4a76 add function to upload a layer to a Geonode instance
8ab9c15b4 Layers order parameter (#4896)
1671590b5 Revert "Skip unit test until we fix osm.inasafe.org."
7ee271c53 Skip unit test until we fix osm.inasafe.org.
73dea3913 Add forecast duration extra keywords.
be66b77e4 handle hazard, aggregation, exposure layer not found in registry (#4891)
b16de6bde Make set and remove provenance static method.
eaa2fe816 Multi exposure report metadata (#4889)
4552eb82b remove iface dependency on ImpactReport
3d021ae7d add metadata for report urls generated by the IF (#4885)
26e3a8f90 clear the output layers list when you close the multi dialog
493835821 bump to version 4.3.2
416ad44cf Add flood event time.
522f8ff1f Update unit test.
a64dd2d9a Add flood hazard extra keywords.
7721e7436 Remove unused code.

Changelog for version 4.3.1
================================

07507d0da (HEAD -> version4.3.1) Bump version 4.3.1. and update metadata.
7551218a9 Update gitignore.
61ef3321f Tidy up README.md.
bf49c00ab (inasafe/develop) Use scroll area for extra keywords.
f6b53d811 Clear widget to avoid adding old widget extra keywords.
cf055a965 Add minimum, maximum, and unit string for float extra keywords.
ea27b42ae Generate widget based on extra widget.
ca8d18b82 Unit test for EQ extra keywords in wizard.
8cc16e053 Set versionf or parameters.
5a0a46591 enable earthquake_mmi_scale on place
3b8435b80 rework on batch runner output layers and reports directory (#4879)
415e5e643 add version number in the help doc

Changelog for version 4.3
================================

cbf721840 (HEAD, inasafe/develop) update release status test
830d5b3ac fix import in submodule check
8c32e1edb Minor fix on release script.
e5be3ce5b Bump version 4.3.
fa103064e run optimize imports from Pycharm
97c0bbd1a Update translation.
5f6d74a30 multi-exposure multi-classifications general report (#4868)
3b01c7e2f Add default option for extra keywords with options.
466197dfc Fix wording.
84580773d Auto fill for shakemap event id.
eb56291df UI for shakemap ID and source of earthquake.
ec66bff12 Add source and event id for earthquake extra keywords.
f019a2853 change chart label from Affected to Exposed (#4866)
e5d095e48 dont generate hazard classification table when different classification found (#4861)
deacd3e47 Fix bug in dock, missing attribute.
9b82690ae Use name not description for label.
855a049d8 Add ash event ID.
13fd77c6b Add volcano height extra keywords.
9c0ab8998 add color warning if the user is debugging
bf5b45d33 typo in PR template
0a7143a05 update submodule again
f775ce2d4 Update metadata to make unit test passes.
8f5096cf7 Fix shakegrid converter datetime format.
5b868e194 Remove print statement.
818959d38 Make sure EQ use proper extra keywords key.
03bbc434a Use degree symbol.
5204feffc Set checkbox text from definition.
b0dc40b42 Add tooltip for extra keywords.
4eb01d21f Add longitude and latitude in extra keywords for volcanic ash.
1838276f8 Better expression parsing for datetime.
33a066909 Use value_datetime = datetime.strptime(
5ab7966fc Update extra keywords key and description.
f57a3ff4a update submodule to master
cf542e10b fix rounding attribute error multiexposure
ee90f043b fix infographic on batch runner (#4847)
2f5042c8f add gap between table in general report
e6ca0b898 change infographic text, affected -> exposed
34bf5de09 Fix expression for extra keywords.
4fdcc0dc6 Use definition from extra keywords value, if exist.
2126656df Fix unit test and make sure no duplicated definitions.
c16d8b883 Better alert level definition.
33c7d4166 Better showing extra keywords in dock.
240087cdc Use list for volcano alert level.
1c0d4d7ce Fix wording, import ordering, add description for extra keywords step.
ccf120d8a Make extra keywords for volcanic ash can be read and write.
f2291540d Add extra keywords for volcanic ash and base ui in the wizard.
aea58f16f Add extra keywords for volcanic ash.
94334f91e add rounding flag if dev mode
839119d11 add some comments to issue and PR templates
a91689660 make symbol in attribute table transparent
d5c059cab make Extent a singleton and fix multiexposure dialog to use it
f7730253a display a quick message warning about missing submodule
041026307 add top margin to avoid shrink text in batch dialog
11a5af777 Review contour fields.
e0f66d4ce add handler for invalid layer path (#4827)
d894cbdf1 Another print dialog polish (#4826)
dc27aeca5 Fix shrink text in print dialog in MacOS.
08cdaa0a2 Use defined definition as base population parameter
6b3aacd2c Fix restore default button for population parameter.
9f451288e Add create ogr field from definition and use it in contour creation.
5b6b21068 Remove print, better import place, remove outdated comment.
f86cfc9cf Use sentence case for restore default button in option dialog (and tidy up code).
7e3f1d332 Make the colum of population parameter not movable.
428aab7a9 Add summarizer in analysis summary.
b56a765a6 update population place exposure report with exposed population
dd5938f0b Update text label in the ui.
9692c8771 Update json scenario to make the unit test pass.
3784bac24 Add fields for contour to make contour layer pass the checking.
271a48b03 Create metadata for contour layer.
bf79efa4c [WIP] Integrating contour creation to IF.
cca255784 Code refactor and update unit test.
8f5d04353 Fix unit test.
5ac431cc2 Flake8.
70c463fc8 Update unit test.
86f5dc7fd Update test data.
322306937 Add contour as pre processor.
7d98823a1 Flake8
69a794cbc Use variable to store algorithm name.
7c8bcb97d Use gdal_translate to convert ascii to tif file.
28d5e6534 Add all threshold for all exposure for shakemap converter. Fix #4801.
51e9b5b9f Fix tab order.
e4d24cf4d Set tiff projection and add option to use 'Use ASCII' for converting shakemap.
ba4f4157b Use ascii for converting grid xml to tif.
6753b5cfe Add grid mmi to asc raster converter.
231e8fe5b Clean up code.
74557726c Merge the function from smoothing and contouring.
a92ac561d More unit test for shake map converter.
d8ba2f8e3 Separate contour creation method.
aac9fd39e Remove unused test data.
8196ce093 Separate smoothing and contour creation for easier debuging.
870bfda3c Add test data for contour.
afe81c8a8 Make main function for create contour.
0b70eee7c Move converter data to resource.
eefb29e8d Add contour for shakemap raster layer.
ba8e93b5c Unskip not slow test.
83d019bbd Fix #4810, fix missing not exposed for population profile.
b315c92ad update docstring about affected postprocessor
0a67387b6 improve join between two layers using QGIS expression
8ec40efa8 update analysis question on multi-exposure report (#4800)
b00104cc8 fix bug on print dialog (#4815)
8a7e2aa3f Fix unit test.
4e6806a1b Do not add absolute value in the exposure summary if there is classification.
517aa979e Remove exposed post processor.
7c2269b38 Use more generic summary rules
a57dfeb9f Sum exposed population in exposure summary.
a95a47ad9 Make sure population post processor only run for population exposure.
2c8ca74db First work introducing exposed population.
dee7c2763 Better place data.
ea5908f21 fix python exception if text is None
e69442800 Revert "Revert "be sure that we have a Message instance""
a0e0c6188 Revert "be sure that we have a Message instance"
455faffcd fix typos
632acb6fd Simpler implementation for calculating affected productivity. (#4821)
6ca728dcd Add explanation of using default logo/north arrow in the help.
28bd46a4a Fix #4714 use default file for north arrow and logo expression.
ae2bead30 be sure that we have a Message instance
718e5a1f1 remove unused code
aa2aa605d Update post processor tree.
f8038d807 Fix unit test and update test data.
cadcd2adc Add affected post processor for productivity.
17129f22d display number of selected features if needed in combobox
efb344a4a add padding in multiexposure dialog, review sentence
2a25deb2e increase width of aggregation and analysis summary
a26a03f41 remove impact_report_dialog
e10dd825d remove raster_reclassify and impact_merge dialogs
9a776e594 remove legacy code about IF options dialog
534752d33 Add more explanation when choosing field for classified layer.
4d9d61973 Fix failed test.
b01e07f5a Update metadata of test data.
fe89fb2fd Better test data for case insensitive.
6e4c097a5 Auto mapping by using case insensitive rule.
6970a5064 Better tab order for source step.
751d00186 Fix tab order in the option dialog.
27aa5baec Make the file chooser for logo enable if use custom fix #4787
2b5e196f1 Swap vertically logo and the custom logo path.
f835d8951 Change parameter to population parameter.
23a62b94b polish on print dialog (#4777)
1fb31d4e0 Use default value in profile for default value.
a81db1649 avoid duplicate label in print dialog
e4a3c81ea Fix #4778 also put missing hazard classification for all exposure.
c3f6dafaf Skip test for travis.
8f92a8bd8 Remove extra spaces.
7ce12eaa0 flake 8
65567a317 Update notes on rounding for stuctures and fatalities - take 2
b17eb2df1 add population report on places with population exposure (#4770)
06c226e85 Print dialog patch (#4775)
97d713214 Update metadata.
31b25be0e Fix earthquake on population notes (#4745)
518495b28 Fix small strange code.
d2689fbc8 fix rounding down logic on value coefficient expression (#4769)
b17f8dc9a fix batch runner not showing variables (#4767)
385d5fb52 Fix unit test.
13663671c Disable field mapping dialog for population in place.
b0b5a8a68 Update test data.
f8133384b Disable field mapping on place from keyword wizard.
f9c4d033d Put back dictionary project variable.
be26499ae round down number below a thousand (#4765)
2cd8c097a Fix unit test.
7d3d450e3 Put tr in the string.
e92f4fa93 Make dock show better keywords.
59051156d Use generic as key and special case for land cover exposure.
0ac27e2f3 Fix #4734, update dock after updating option.
001046045 update print dialog ui and behaviour (#4752)
450879ff1 Add unit test for metadata converter dialog.
68c38c01b allow custom URL for OSM Downloader in the UI if dev mode
ed0d0aa21 Add restore default button for threshold per #4718
17026d755 Fix #4737, initialize variable.
7c918f17a display an error if we can not create the spatial index
0cbb4bd6f Only apply hack fix if the QT version < 5.4
036872f42 Hacky work around for fixing #4732.
68a85c4a9 Do not save the empty field list.
692ab1273 Avoid enabling FMT if keyword is not supported.
3126e0643 Fix key error in #4738. (loading old keywords).
e552e2789 Update options help & screenies (#4733)
27b982811 add evacuation centre to buildings and places classifcation
478d67ddc avoid crash if we copy fields
c31b7ff02 avoid renaming fields if they are used many times
c634f350e Use percentage spinbox for field mapping tool.
42bbb1d92 Use qgis_app method to get QGIS app and iface.
623bde726 update changelog for dam break
ce269d327 DAM Burst Support For InaSAFE (#4702)
b9fac7950 allow population exposure to be point dataset
fe6c6de60 increase time report warning
6abd4f1eb add special name for layers coming from the multi IF
893303680 avoid refresh reporting options if we come from the status panel
d08631259 Polish Popoulation parameter tree widget size.
5fa02daad Change tab name to Population Parameters.
682143f8d Remove parent parameter.
5bd294464 Filter out non-population classification.
be428929f Add unit test for percentage parameter.
9beca4295 Use percentage spinbox for demographic default.
dbbb5b43c disable coverage until I fix it
7ff64f32c disable the preprocessor until we have contours
3019f0371 set preview mode to Render by default in QPT
eec4d7e3c set python to version 2
39eecfe19 unicode is not str, use basestring instead
666fb148b add logger info about generating reports checkbox
70be87858 use renameFields if available
bac98057d move mock to a dev file
0f0e6492d remove old code with unsupported QGIS version
eae596d8d allow temporary directory in OSM Downloader
58e5e575d multiexposure improvments
3052e0d81 Help 4675 (#4676)
69b29c5b3 update changelog (#4687)
6d3199812 fix keywords not found error when trying to open pdf (#4686)
3adaa2be7 fix error when hide exposure flag is false (#4668)
083f2d3d7 set requested extent as wkt polygon (#4684)
71dc77176 Use settings utilities to store and retrieve setting.
444444ecf Make a catch for invalid dictionary or None value in inasafe profile. Fix #4683
7df22f473 disable the staging instance of OSM-Reporter
53eb2f87f Convert to float when calculating ratio from count #4669
0c322287e Update unit test for count to ratio integer.
60e7ada97 Update test data.
0b9142b0a Set default value for logo, disclaimer, and north arrow.
9491cdee9 Also update disclaimer in the dock.
a0f33485c Flake8
945220c69 Make the expression works withou reload QGIS/InaSAFE.
f1bd30249 Fix bug using custom disclaimer.
ec922b620 Use custom logo and north arrow. Fix #4671.
67372fc00 Fix Welcome Message on Windows
b23b49290 remove pdf generation on multiexposure IF runtime (#4667)
8c7fd4d88 fix adding un-symbolized impact layer on print button
45ceb9723 open reports when we click the profiling table in the legend
cbeb8d643 address PR comments
8b3b850f7 fix failing multiexposure test
0ba17e6c0 change analysis_summary property name into analysis_impacted so it matches the single IF
184d62acf multi-exposure IF map report without custom layers order
1b8581cd7 make the print button works with multi-exposure IF
34cf96187 Merge pull request #4663 from ismailsunni/polish_welcome_message
7868a614b (ismail/polish_welcome_message) Resize column in profile parameter.
6cab47836 Update welcome message and its checkbox and the parameter description.
ff4cadd87 Handle division by zero.
6c92f8aae Update test data for the case population == 0.
66e69f44a fix dock error on showing keywords
6d0bb74bd fix index error on custom layer order (#4657)
0feacac89 Changelog from @ismailsunni.
12d1f9105 Update translation.
1c1979edd update changelog from Etienne
8df5a5b2a remove dockerfile,vagrantfile,jenkins,scrutinizer
d98a8f8b7 New icon for metadata converter.
3d46592c3 fix if statement if value is 0
d05c20be9 Multi exposure with no keywords message (#4653)
46d5c312d Tweaks 4.3 (#4635)
29de54314 always set CRS property in IF
2d13fe278 avoid two prepare steps in multiIF, use selected areas when we clone a layer
27d350b1b Merge pull request #4647 from timlinux/keyword-exporter-help
1e672c4dc Added help for keyword exporter
c1bc4c89f remove img from resources (#4643)
7cf389636 Silly mistake, removing OSM toolbar.
83b0e9428 make recursive call if it is a list in asbtract_list.py
5f81fffa5 Fix typo and if-statement.
de4535366 Hide FMT from toolbar.
8bd8a4f3a Remove multi exposure and metadata converter from the toolbar.
b7d30240b fix some wording in the multiexposure dialog
e8859b8ab serialize a multiexposure IF
2a919b0c8 manage multiexposure if no aggregation layer provided
5d0a75811 Merge pull request #4626 from myarjunar/reporting-move-pdf-generation
d65c05384 add unittest for map report and infographic expressions (#4610)
63c5d40e3 try to re-instanciate IF when layer changed
1d6a36ca3 generate report also when custom layer order is requested
62ffe67c3 fix default map report not generated
487326322 bring the old behaviour for custom legend order on multi exposure
638c98321 remove pdf generation at runtime
b51da25ce fix infographic show up instead the custom map report when printing report
8744dca76 improve provider management
fa27a7d5f add provenance in multiexposure
5ddb3871d fix display for HTML in extra_information
635148156 [Revert Me] Metadata Converter (#4622)
966cc1ed3 Hide smoothing option in non developer mode.
e622d9bb0 add expression to retrieve specific keyword from hazard layer (#4576)
6ab0e2ad3 look for qsettings if we generate the report
ff22c7988 improve button status, remove duplicate group
1c772f507 fix map composer page orientation according to the template (#4618)
5e6188a4f add layer names to multiexposure layers, remove warnings from pycharm
d96ef92c0 load all layers from registry when we deserialize an IF
c5d6afd4e improvements to the UI in the multiexposure dialog
27a093272 use private access to CRS
7017af8a3 Reporting for multi exposure (#4582)
68f2f47cb add expressions for bearing/distance/direction/name
0f9c48543 make EQ on places an ordered layer bu distance
eaf850d85 fix print pdf and qpt didn't pop up anything (#4606)
693d02aa2 Merge pull request #4594 from timlinux/welcome-wizard
986b22166 Fix pep8
d194510fb Merge remote-tracking branch 'upstream/develop' into welcome-wizard
4b29b6f9a use provenance keys and hide password
5fc18d185 Add duration in the logger for smoothing.
0475e76e2 Remove place that being kept in rebasing process.
5226f981f Better open and save button behaviour.
098db47cf Add smoothing using numpy and scipy.
116c98f51 Add smoothing constant.
10a424614 self.tr to tr.
7da1bad4a Disable scipy option if not installed.
1dc7d0d5e Add radio button for smoothing.
07b3af603 Small code tidy up.
808dec7af Use new smoothing algorithm.
28990e6cb Better unit test for delimited text.
c1dca34fd Add smoothing for contour.
e00f20f91 Keep extra keywords fix #4601.
02d889d2c remove spaces from direction list
76b50ee77 pep8 and flake8
2409e547b the distance and bearing postprocessors can only be run in earthquake on places
ff6505a58 add bearing and cardinality post processor
19fb2535e pep8
9847c2a31 rollback direction_distance from safe/utilities
7850332f3 add distance post processor
37f8642bd fix leftover from rolling back shakemapconverter
8e8d3a80f roll back shakemap converter
801152e52 Merge pull request #4595 from timlinux/multi-exposure
91bdd18ba add coverage
11588ce71 more tests updated to use the qgis_app function
ecf6a2366 new way to start QGIS app
9a046e7ee add test for multi exposure dialog
add28e5b5 More tweaks for multi-exposure text
1d9245e72 Update multi-exposure report options based on Etienne's comments
c0a6efde5 Update for text on multi-exposure dialog
3f4ecfb86 Added text for the welcome wizard
ac8a21471 add template field and new status tab
943e26e16 fix error with iface parameter (#4591)
8a8fff71f add print dialog to work with user's custom template (#4561)
da60637d7 multiexposure improvments
d62327636 Update test scenario data.
ce1441ff9 Update test data: Add female and male field.
9120336b2 Add demographic field mapping for place exposure which has population field.
55a5657c8 Make place exposure keywords assignment not always goes to field mapping.
ea603aafd Update diagram
120f7531a Add test data for places.
196e25710 add flag for the multiexposure group
5d1495013 set custom order in a group and hide all other layers
db1007c6c add custom order for layers provided by the multiexposure analysis
8fd73d333 remove warnings from pycharms in impact_function.py
644b2962d update comments
ce36034fd add custom layers order from canvas
90d676587 set layers order from user
f918c0d16 improve move up and down selection
1e86bf62c the multiexposure dialog can provide a list of ordered layers
478137b6c add buttons to manage layers in the output selector
f45468aa0 add layers in the left panel of the output selector
9d84183b5 use the prepare function in the IF for the OK status
87e9d7c74 Fix conflict.
5d30a74c5 Flake8.
9937f65ca Add unit test to make sure the notes use the correct displacement rate and affected class.
a002777d7 Use displacement rate from setting in the notes.
d62b43b69 Fix unit test by monkey patching keywords.
032435b5f Add exposure in the affected post processor's  parameter.
0ea0769a0 Monkey patch keyword to make the unit tests work.
199012bb7 Use is_affected for affected post processor.
60be10080 Use population_preference to make it explicit for QSettings..
90a9b7998 Put logo preview align with line edit.
dabdbfe29 Show preference as percentage.
3d40fa56c add check for preprocessors in scenarios
3610a3be6 add first implementation preprocessors API
a7ee4ecf5 add missing places dataset for testing and allow EQ on places
c2dc7910a rename post_processors to processors package
9c2683819 Only disable exposure in multi classification step when not in developer mode.
531b31c59 Add dialog to warning the user that importing is irreversible.
c3adb09f6 Add export and import functionality.
d0db983f1 Add export import functionality.
5db9739d1 Polish profile widget to not reload a whole widget when do restore.
69cdb7052 Update text in the preference tab.
32a7f0027 Tidy up organisation profile tab
d79cd8b11 Sort the preference.
bec2e98be Update formula for productivity and add unit test for it.
5ae20a0bb remove pycodestyle pep8, jenkins and make PEP tests on travis
f74592549 Put welcome message check box in the welcome tab. Fix wording.
e16aab612 Set title for each mode of InaSAFE options.
cf60c1ab2 Add check box to disable welcome message.
133532ba3 Show welcome message when it's new version or always show is True.
c3c238b53 Add unit test to make sure that the option/welcome is in proper state.
881e04b95 Add two mode for options dialog (welcome message and usual options).
c121ea9b2 Add welcome message tab.
b142a6f51 use better naming
2b4e5581a small fixes
c207e044b fix pep8 and flake8
a490c682b fix itemgetter not defined
0fbe1f352 use earthquake default value
18fd501e2 fix conlict with develop
279214edc update field usage
24823156d small code improvement
6d710ec14 improve code, better handle whe no place name or population field is defined
d1e367071 fix pep8
7b403772a fix failing unit test, properly handle when no place layer input
ed5a648bc code cleanup to meet flake8
ef0ae3dc4 save place information as a new json file
bdf464c5d add mmi values for each place input, store result in memory layer
3ecf1b1c6 docstring, add test, add locality information in keywords
5c392d646 locality information functionality
a336ef0d0 Modify ui files, add direction and distance calculation
58211c215 optimize imports with pycharm
4fea32a8e Fix failed unit test due to inconsistent QSettings.
4c3e2cd2c Revert "remove some legacy code"
3aa8fb5f2 Use string not dictionary.
2b1c8684f Fix circular import [3].
a15335117 Fix circular import [2].
eccea1ed4 Fix circular import [1].
06eb8fdfa Move post processor to avoid circular import.
403472ff8 Add hazard parameter in post_processor_population_displacement_function
a8e5ee63d improve error from multiexposure
eaad78a23 improve the regex ([a-zA-Z' ]*)
054de23ee more explicit declaration of multiexposure fields
971c876b5 add function to know layers provided by a multiexposure analysis
d68c0e85e add style and set if the group is expanded or not
0cdfc8f9e add a title to aggregation and analysis summary for a multiexposure
77d7c3c66 add aggregation summary for multi exposure
607b71f80 Clean one line docstrings
ad36ca7ea use our internal settings class instead of QSettings
93123eb0e switch from pep8 to pycodestyle
28117a994 add fullstop to docstring with regex """([a-zA-Z ]*)""" to """$1."""
5a9a75e38 Address @gustry's comments.
6e71a9896 Flake8.
a675ad8f3 Add unit test for getting displacement rate and affected from qsettings.
fd698576d Add helper to get displacement_rate and affected flag.
905d84016 Make the preference stored and can be retrieved. And restore to default.
9434f19dd Add unit test for storing dictionary in QSettings.
4f153ad49 Add description text for preference tab and demographic tab.
eadf0e863 Add profile widget to options dialog.
0bd923d30 Add new tab in options.
fca01cd94 A little cosmetic for profile widget.
c9e00fd6f Add unit test for profile widget.
6d870f97b Get current data for the profile widget.
6f981e555 Show percentage in the combobox and use name for the tree.
5ed1bd82b Start working on ProfileWidget.
e951c9445 Create profile generator
4fb51fb83 Add unit test for @myarjunar's use case.
68ab7b69b Refactor settings.py
a04947cb8 apply new IF method for generating report to the Impact Report unittest
c77567dac create method for generating a report as a part of IF class
18045f662 display groups for each IF for a multiexposure analysis
b5511787e improve multiexposure impact function and add summary about analysis layer
1449f8c9f remove some legacy code
d0b37db71 Better open file behaviour.
c77e42d07 Remove auto connects.
eaa9d98a9 Show logo in options dialog.
fe537ac55 Refactor a little about naming.
e355330c1 Rearrange tabs in options dialog and tidy up.
b6b77cb11 update multi exposure icon
a30f68c1c Fix #4536. Must reset data driven classification in keyword wizard.
94592262a more exposure defaults strings
f2b785ec6 pycharm cleaning imports and script to rollback
54fa31370 Use function to get icon for exposure and hazard.
a0834dfdd Fix missing icon for hazard generic.
3c770a491 Remove unused old data.
175fca27d fix code layout
56cb1a13c Check if crs is already set before write to provenance.
88abb5cee Fix failed unit test.
337672ea8 Even better equality checker and add test_loader parameter.
8008bd4a3 rename requested_extent_crs to crs
c7ee8773d try to fix travis
23de7d463 reproject all layers to the aggregation CRS or project CRS
d5afe59fb fix imports from pycharm automatically
cd9816e88 Better assertion for ImpactFunction
caa84ffae improve the make command to run tests with docker
f87312e5c Tidy up code a little.
266a5dab8 Fix changed components in the test.
07b1d7f88 add make command to run tests in docker
05ba3fd55 More removal of inasafe_provenance.
dd9970b75 Remove unused tag inasafe_provenance.
af896334b Only set profiling to provenance if not in debug mode.
14d2afcb6 remove old code about styling
5e0ee8218 Address @gustry's review again.
218c7245e Add provenance_debug_mode and put test deserialization in test_scenario.
7a7b55714 Add checker for fields and feature count.
76b60a644 Pass if impact is empty because no output yet.
b8493252d Move load_layer to gis/tools.py
707291c39 Address @gustry review.
ca29a0eb6 Clean up code and debuging things.
21543859b Fix aggregation summary metadata.
a43688b39 Skip local test in my machine.
4db1ca021 Fix import from qgis.
6ac09c99e 7th works on IF serialization.
a0d25da33 Better equal operator method.
fe9664676 6th works on IF serialization.
1d39e705c Update test data.
4e702e270 5th works on IF serialization.
fd173ee9d 4th works on IF serialization.
a228e7ce6 Update test data 2.
0c5ffc84f 3rd works on IF serialization.
4f0b7c449 Add earthquake function to provenance.
5380fbe18 Second work on IF serialization.
337a7dbe3 First work on IF serialization.
6be6274be Add sample output test data.
de302f17b Move load layers to non-test package.
454cba1ed Add get_provenance function.
cc0cd5f59 Add equal operator for IF and its simple  unit test.
0301362a5 remove the usage of IF input attribute in reporting machine (#4525)
d157447a7 remove some dataProvider() calls
ad265065b Fix unit test and docstring.
b854ae35e Docstring clean up.
feeb8ced8 Make output layer metadata inherit from GenericLayerMetadata.
41afd3b03 Delete unused provenance since we already have log now.
27a628fd0 change layer order - aggregation layer below impact layer
65cc87928 fix potential exception raised
6b20072d1 remove remaining duplicated code
3f0a603c2 apply new report generation logic to batch runner
5d9544ecd apply new report generation function to IFCW
2ae6b86f1 add generic function for generating report and apply it to the dock
7f3f17fae remove the analysis ID field in the analysis summary layer
5a82ed9e1 Remove unused tag in test data.
d11b6e48e Use inasafe, not inasafe_keywords.
a141ec158 Add more field type for hazard_value.
176d59b8b remove duplicate code about geometry type
ae6721cc2 use the QGIS api to retrieve the geometry type
5a8adab8c make reclassify value public in the GIS package
ece15a865 remove some autoconnect slots in the dock
272606311 Fix annoying behaviour when resizing Field Mapping Tool.
6cfae9e0f Move duplicated key to defintions/provenance.py
fa8b84011 Remove duplicate keys from global variables.
d4e4c258e Remove too complex provenance from project variable. Fix #4436
d83768e15 disable logs on travis
e13903f14 add sideci.yml for customization
39f7730a8 fix some flake8 issues
ac6222676 Fix PEP 257 issues
90607c4aa F401 on common, definitions, gui, report
a87c5fb56 fix unused imports from flake8
7ad218239 FIX F841 from flake8
6c4c2b128 Update translation.
eb892d376 Use unit name in the reporting.
b49a78d0f Use default deepcopy to prevent bug in run time.
6a37bd173 Small code improvement.
3cd84db1d Filter out non-matching field type.
c14ce4f69 Remove im_func reference.
59cb2fa2d get a list of expected layers before the IF finished
bfbaccf50 Update translation.
f03c5a676 Update translation script to match with new directory.
1378c8fa1 Update i18n location in transifex configuration.
146eb861e Make the extra keywords' names are translatable.
a6ef6a2fc Avoid uninitialized variable.
6eec38578 fix logic on checking whether the page is empty or not
28133cea5 multi exposure
26fd6184c display warning about conflicting plugin
61bf32227 make flake8 compulsory
398dca0ea add flake8 in makefile
3026194ce fix extent selector ui (margin, padding, etc) (#4470)
5e73014fd fix unicode error in French
472bed2e9 Remove unused code. Thanks @gustry.
60659bf8b Set max height and size policy for field mapping step. Fix #4411.
220a9a8ed Add resize event handler for wizard.
20b1892b6 Revert updated map overview (#4464)
c0f13711e tweaks
38593763e update definitions for  all Petabencana flood classes revise class values to match 'state' field in PetaBencana data add PetaBencana severity terms to string defaults did not add a class for no flooding because the 'use caution' class as a min value of 0cm
330d61bc4 update definition for Petabencana flood class "use caution"
ab7f785db an attempt on removing the blank page at the end of the page (#4463)
d01c7d666 small tweaks, earthquake fatality model
0884666d2 Update gitignore.
2157fe6ad Fix travis by updating unit test.
62a474c72 Add changelog for the new feature.
92bbceb36 Better presentation in the dock for extra keywords.
32921d6ae Use better keyword.
057c20dea First work on adding extra keywords for earthquake
5a4b844be Add new property to store extra keywords.
22865c4cb provide the updated map background
49537cc7b infographic overview map background update
271bbde2c add 'affected' to the table title (#4453)
f7343958e enable different projections in the zonal stats algorithm
3b6f09b8c refactor functions in the dock about combo
1c743c452 aggregation specific report (#4448)
f55b77ef5 add total exposed field
c68264a74 Fix bug not able to run IFCW from scratch.
b559d5775 Fix bug 'WizardDialog' object has no attribute 'step_fc_function'.
07d5d43b8 Set version to alpha for development.
033b145b1 Fixed MarkDown syntax and award name
bd4c4efa4 kill testdata
b85bb0a0d enable D100 and D102 in pep258
e170f24e1 make pep257 compulsory
bde7a6a68 fix install from plugin manager (#4430)
d1fa76a6e Moving resources and translation to safe package (#4410)
cea1d12a7 bump to new 4.3
5ecdb83d4 update translations
f7b6540ec typos
0f0d30128 add translated expressions help
82055dc2c (gustry/develop) Merge pull request #4417 from timlinux/expression-fix
a7101d840 Remove redundant logo white path expression
014ab514e Fix CRS helper expression
4b83ad17e (timlinux/develop) change notes in infographic people section (#4407)

Changelog for version 4.2.0
================================

4668578b7 (HEAD -> changelog, upstream/develop, develop) Fix import error.
d9c2a3c61 Show uniqueness in step KW field #3786. (#4379)
1b60bf012 Fix error when loading InaSAFE in Bahasa Indonesia.
6b6318db1 Add metadata iso template and other fixtures.
2f7b31623 fix invalid expression error
40277d56d Add shake grid converter data to SAFE package.
d075e8d49 add special case for me to have the map working
aab3f09ac Add test data in the package.
b69dc769d special case to fetch a QgsComposerMap
4b0c79b9c fix how we fetch items in composer, problem with bindings
7771f9f74 Another patch for Infographic (icons, header, functionality)  (#4365)
d6551113b add D204 check in PEP257
6a2d87269 Update importing safe_extras in safe.
ee18019c5 Infographic patch (#4362)
e1fd98219 Remove bin and headless.
496ea219e Add setup.py to allow install safe with pip (#4343)
d89f13674 update translations
572fe8ebd Reporting notes tweak (#4361)
95983607d cleaning the default.py in reporting about PEP257
f17b1c22b add PEP 257 https://github.com/inasafe/inasafe/pull/4359
441e1a99c fix field not found error (#4358)
914f73140 add more debug info when an exception occurs in the analysis extractor
5cb72ad19 New infographic using qpt template (#4353)
52842f10b update translations
9151e54ac Fix not removed variable.
585c16d08 Enable atlas generation on reporting (#4351)
2255accd1 add negative and null values to the test
a01d16c66 add place value expression in qgis
141e1e1af Update the definition of productivity things.
b762cd0d2 update some missing translations
4ccfd13a4 change the key about layer_purpose
9a413e13c update terminology about output layers
03ea34c9e Use productivity, production cost, and production value. (#4344)
ed1345818 Reporting additional needs (#4337)
5e399a362 Update translation 4.2
1a6317f9c Reporting landcover (#4326)
2926a4fd1 Change QPyNullVariant to None when store project variable.
f2629b4d5 enable landcover analysis for cyclones (#4281)
60a695f80 Fix failed test in travis.
a1f1aca21 Add provenance definitions for output layer.
1a7970b53 Minor fixes.
5ab1b2c14 fix strings from Transifex
475dbbd36 Add more description to explain  #4127
7eb1df15d transform extent's crs to mapcomposer crs (#4330)
ffbebbf62 reduce logs
0429cc75c allow only the same geometry type in the output layer
579a41b79 fix error in default adult ratio (#4332)
8b0e8df95 Address Etienne's review.
b37dbe168 Use set provenance to avoid typo.
e1159165e Add flake config file.
5e6c06c67 Fix unit test.
4871612b8 Add get_name to get the pretty name easily.
a4408a355 Don't set project variable that has already in global variable.
fc5e14c62 Use exposure and geometry name, not change the case.
8347423dd Address PR's review.
cfc8b7524 Remove unused metadata property.
a88e5a1c3 Use on the fly key for list and dictionary in project variable.
ceb910687 Add delete provenance project variable.
8828bd76f Create provenance definitions.
6ed308042 Rename util to utilities.
450f29795 Write project variable when output layer is selected. #4303
d6a7e1913 Update translation for 4.2
cb55b1c7b fix double demographics items in help window
5691186d8 Fix #4327 handle Null value.
2e90c84f1 use exposure extent in an analysis
84a2c080f change analysis and aggregation styles, fix string about sentry
028b92ea2 save scenario review
d0da61fa3 Address Etienne's review.
bc0ca276e Update test data.
8d0db2c8f Remove unused metadata properties.
230fe1180 Adding definition of every keyword's property
f79d0cb83 Change do not use to do not report. #4127
fa31dc2f7 Tidying up docker translation tools.
52b612dc3 Rename test data and coding standard.
83e9d8e0b Remove unused test data.
5ec554f7a Add unit test for summarize_result method.
c451e9e4f Make the summarizer for general cases.
667bf3c1a Add productivity attributes in exposure summary table.
ea0469e15 Set productivity fields type to Double.
7f9be103f Fix #4309
fc93dc2ea remove some str() functions
4ca936845 remove earthquake files
beb2b7fb5 use the main workflow for EQ on population analysis
4533e8582 use active band keyword in the GIS overlay analysis
c25f8e4f9 fix use own ID column
a1d9d71fd Update changelog in metadata for multi band support.
6a5c2b03a Make SideCI happier.
92cd4ce85 Update unit test for supporting multi band in wizard.
0ebf4d73a Use active band in the keyword wizard step.
e90053b3a First work on multi band support.
5088752dd Remove band count checker in keyword wizard.
1cacdbd31 Add active band in metadata properties.
8d9462d1a Update keyword wizard flow diagram.
f542088cf Add changelog in metadata for wizard help.
c6187e18a Finish adding help text for all wizard step.
4a598dc2d Add more help for several wizard steps.
74800472b Add help text for layer purpose and purpose type step.
530bfad09 Remove IF parameter step in IFCW.
127a27c26 Add help text for extent, summary, and analysis step.
8c3475390 Add help text for aggregation related wizard step.
e9dc47a94 Wizard help for layer choosing step.
37f49d1ad Help text for hazard layer source step.
6a65fea2d Add help text for IF grid steps and remove unused code.
d05dd3ac9 Add boiler template for help in wizard step.
1d3afc870 Small refactor on wizard code.
164b26f1d Help system for wizard.
953ed2ed1 Show unit of land cover field in the wizard.
64723abdf Add currency in the InaSAFE options.
acb537b51 Add list of currency.
e68fdfd88 Use quintal and add explanation, add some concepts, and update post processor tree.
ec3dcdb23 Fix unit test.
33bd56aaa Fix unit test.
f0a9779cc Fix unit test and update field in the landcover.
d45385411 Add prod cost and value post processor.
c56ff8e2e Remove default value.
c9de8612f Add unit test for productivity post processor.
8fc514a9f Add productivity rate and the post processor.
a72e75087 Fix go to non existent wizard step.
954ae5a00 Use custom template for reporting.
30c98eef5 Add utilities to scan custom template for reporting.
53bb03bda Set status to beta
a0322a666 fix minimum needs calculator output location (unique filename) (#4275)
6ce6aaaef fix value in total row in analysis detail section (#4269)
ecc643742 update map template with filtered legend (#4276)
2e13f3acb Remove allow resampling step and keywords
ff6a03078 do not use valuemap algo with continuous dataset
05294a549 avoid division by 0 in svg charts
b5776bd97 do not refresh the IF we are using an aggregation layer
a0cba980e [BACKPORT] Fix issue where keywords wizard icon was not enabling (#4285)
9df8e515a Add generic exposure data driven classification (#4282)
46ceb19f1 fix translations in French about unicode
976c67d92 rename test_earthquake_report to test_impact_report_earthquake (#4279)
10b327ef2 Updated changelog and metadata for release (#4266)
835bb9b05 Use QGIS user directory for metadata.db
d493337de Fix failed unit test.
bc6da7d21 Remove unused method in KeywordIO.
bc9a13b6f Fix #3751. Set to use default db path from definition.
74ea18b28 Rename metadata for output layer. Add other output explicitly to metadata mapping.
9c03d75d5 Remove unused code in metadata utilities.
9eaf61650 Update translation.
69d6a70bd update translations
d89e5efde Fix #3857. Ignore filter in path.
75741ab65 Fix #4248. Expression.
db20d143e Update for Badan Geologi landcover classification
e9a01d79c update metadata
ba172848e update French Translations
4214562c1 fix some strings in Python
fe39d1614 add pregnant and lactating displaced to the count fields (#4244)
f81ee557a (tag: version-4_1_0) make the tables in general report in different row (#4237)
0b3592e6c Update translation for 4.1 (#4228)
cf1c4d256 add table for exposure definitions (#4235)
041b51623 Update changelog (#4234)
083720ded use the first save as pdf logic (#4236)
b5c1d2b81 remove analysis title from metadata template
9e269d0ac enable layers in gisv4 project
a4d6ff53c remove deprecated calls from QgsExpressions
30d3e85fa add notes for fatality rates (#4197)
da7d5f727 Another reporting issues (see description) (#4203)
03a162bcb add some missing lauers to gisv4 project (#4229)
b0a33703f Show eq fatality model  (#4230)
0407574df use definitions to create demographics fields
0cb121afe Remove IF.datetime with IF.starttime to avoid confusion.
4591db6e7 Add duration to impact function.
224d04955 Small changelog update (#4225)
7aa06cee9 smalle formatting fix (#4226)
1312ea320 Update scenario and PEP8.
002b20793 Update additional rice post processor.
44409d79c Remove pregnant_and_lactating post processor.
a9149b833 Update unit test.
8753adbf6 Remove pregnant_and_lactating concept.
a130258f1 Use pregnant + lactating to calculate additional rice.
d4e57eb60 Reporting separate provenance tree (#4224)
905ffcbfd Help system improvements (#4219)
641366849 make a recursive call to serialize a dict
2147f9423 fix some small issues in the shakemap converter
5c75004ed small updates aifdr and v4
8109a08e1 add warning about QGIS needs to restart if you change the EQ model
6e2d0b620 show busy in the memory profiling
7d707ea0e Update unit test for #4218.
ff966a312 Remove invalid or non existing classification. Fix #4214
2133c191f Add unit test to replicate #4200.
2ef4463d5 remove fatalitities from EQ generic classification
1e5ff940b PEP8
db29e5695 Added citations title in docs
93bc63706 Show eq model descriptions in help
044064841 Set up developer doc system using Marco's cyclone guide as an example. See #4179
8d471ceee Updates to developer documentation to use pretty print for dicts
cea62da30 Started developer section in help docs
0320c12d1 Fix heading numbering in help
b5617f9ff add tree view analysis provenance details (#4170)
1ae31e614 skip qgis expression if we made a copy
c7822cdd8 check if layers have some inasafe_fields are up to date
eebd6e9bd Improve the EQ selection in settings
65c5b2e98 Add clean step for field mapping step in keyword wizard Fix #4200.
fa671d898 Add unit test to replicate #4200.
b90d8738d Fix #4195, add missing field group options.
b4b7ba175 add the pregnant.svg (#4198)
ea59013cb fix  #4165 (#4196)
4d6627853 Update test scenario to fix unit test.
fc92d9148 Add gender_vulnerability_postprocessors.
ab1cb30e3 add fatality vector to EQ on pop vector
c9183606d override bootstrap 4 style (font-size and table padding) (#4177)
a53f127c9 Remove sum age ratio validation.
e0061928e fix unboundlocalerror
abcdcbe9e Merge pull request #4169 from timlinux/inasafe-4163
4db26e957 Report rounding (#4182)
967c3d540 improve the profiling table
cf1f2fbc9 part fix #4165 (#4184)
2e214b92f part fix #3847 (#4176)
1581e6ce3 (origin/inasafe-4163, inasafe-4163) Fix last scenario failed test.
f5700c8c0 Update test scenario and reorder post processor.
54e16a2c6 Fix failed unit test in test_gender_post_processor.
5eb8da079 Test fixes
7ddd7a150 PEP8
7380da67c Fix failing tests for #4163
0dcd7b6fa Fix failing tests for #4163
d53b29b6c Fix failing tests for #4163
3d5a35d48 Resolved merge conflicts
37c40d461 Show option to show memory for all user.
8f707b529 Skip memory profile if disabled.
94abc228d Add show memory profile in the setting.
7004a8be3 In progress updates for #4163
cfee9f017 In progress updates for refactored demographic groups
255ca4032 remove old QGIS api calls
0e1a2f958 In progress refactoring of post processors into its own package and sorting out demographic groups
8ccddbb0a Fix #3878. Use ISO 19115 keywords from setting on analysis result.
781183a91 small formatting fixes based on review feedback from @ismailsunni for #4169
a11b6e04a Help text (#4159)
e6f5c8544 Resolve merge conflicts
a1eafb7d2 First pass to split demographic groups as per #4163
77a62bd95 Reporting - action list (#4088)
ff49bf2a2 make the report relocatable (#4160)
3d36442fa Fix failed unit test.
31c001e86 Remove unused code.
31f8cae74 Update dock after closing FMT.
e9b9d0b47 Remove dock from option dialog.
94e9ddee8 Remove random failed test.
2d5341603 Add notes for exclusive in field groups.
9f1ee26bf Make moving between field list also non duplicate.
e62e646f5 Add description that user can the same field.
40113c003 Fix #4157 Add exclusive for FMT.
0a4852e71 Add @myarjunar's email to travis.
7a3969221 Put FMT menu in proper location.
54fa6d6de Handle empty definition.
3a8b90c30 Disable FMT for raster.
e62ecbc29 Changelog (#4155)
e6049c325 moved realtime and geosafe canvases out to their own graffle docs and into their repos (#4156)
a2612eb8c Add help text to the FMT.
2a2426748 Fix bug when no field left in the field list.
cb398e79b Fix typo and tidy up code.
0b05805f9 Partfix 4092 (#4144)
8f15ff28a Reporting column order (#4142)
bef9d2f17 Partial fix for #4151 - show help_text in field definitions (#4152)
d91882d11 Options help (#4150)
2fb03ca32 add notes based on concepts (#4131)
42a4dde80 Merge pull request #4147 from myarjunar/reporting-general-report
626d9aec4 Merge pull request #4149 from timlinux/inasafe-4130
611a66f69 (origin/inasafe-4130, inasafe-4130) Fix #4130 Earthquake help text - set default options
dc0a33d88 fix general report floats to right when open report in largest size
902326f9f Reorder post processor
fb3dea27e Update test data to fix unit test.
5ec857815 Use variable for magic number.
523a807b5 Use value from field to calculate additional rice. Fix #4136
0227aeaa5 Fix 4137 add field group description (#4139)
0903ba498 Set keyword version to 4.1 (#4135)
3454050f6 Windspeed  (#4133)
8c0aef255 Help text (#4123)
944f286aa Fix unit test in test keyword wizard.
2a38bd82b Fix unit test in field mapping dialog.
7ef8fd74f Disable unit test for #4128.
4523632fe Make Keyword Wizard and FMT always read from metadata file.
618973172 Add regression test for #4128
441c655ed Address review from @gustry and @myarjunar.
9fa797f7b Update test data.
0bb4d7ad6 Make Landscape happier.
2bdd3ccfe Only enable FMT when the selected layer has field group.
286ab0bb4 Add better format of the parameter validation.
325185662 Catch Keywords Not Found Error on Field Mapping Tool.
0b25f971c Better invalid field group validation message.
721fca19c Add field mapping validation in keyword wizard.
d9c145855 Fix set decimal precision on group parameter.
89f47b8fd Update parameter package.
22b1528d0 Add dynamic validator for field ratio.
7e5c9eca4 Add simple validation for ratio.
137aee164 [WIP] Add simple validator for field group.
a648d16cc Fix failed test in develop.
73c8738cd Make uniform naming.
9dd049cfe Reporting global default (#4122)
0cc94c27e fix issue about using global default set by user in the IF
925b57758 Polish scroll bar in demographic group option.
e4fbf7323 Change 'Global Default' to 'Demographic Default'
e146d90ac Fix failed unit test.
5f3c5827b Add gender_postprocessors to the list.
53c564949 Fix wrong variable in post processor output.
77fb29ef7 Fix bug on kw field and better field description.
b4ea113ef Add unit test for multi fields layer in keywords wizard.
e79d1e96a Tidy up code.
ff99ea062 Fix failed test.
1c85179d8 Add field mapping tool to keyword dialog.
4533d430e Update keywords wizard diagram.
7c4a85034 Fix failed unit test.
879878bde Better field description for field stef in keyword wizard.
6121bfd17 Add more case for unit test.
d1a03e218 Fix unit test.
dfa6eb92d Make field step in keyword wizard able to select more than 1 field.
be071be83 Update test data for population.
5f1456a1b Make field in the wizard step extended selection.
ba4ae9212 Fix failed unit test.
66e1077f4 Filter out layer that doesn't have layer groups.
9af33a7d2 Make field groups exposure specific.
bf6306e3f Only show exposure and aggregation layers in FMT.
26e7f1013 Add new scenario for testing.
ec6137742 Address Etienne's comment.
0a9258b02 Fix failed unit test.
73c0a451f Tidy up code.
b1f3ceb17 Fix failed unit test.
5cde7c096 Add prepare layer method to handle summing fields
c38f3ab7d Add method to sum fields.
15f950f12 Update test data and add unit test for multi fields.
5903eedd5 Fix bug when item is replaced in QListField.
f2aad33bc Automatically select active layer in field mapping dialog.
12b492823 Add test data for multi fields exposure.
6dd49ab14 Added icons for help and mapping tool. Working on help for mapping tool. (#4110)
6319af576 Profile memory (#4108)
044d99ba5 Metadata update 4069 (#4111)
6536a2e2e Able to store the global default value.
38985e064 Separater field groups in group boxes.
1ddb44664 (help_test) Updated metadata (#4107)
1ac8e3f9d Add unit test for field mapping dialog.
fd42056d0 Add unit test for field mapping tab.
f2a8c16dd Make sure multiple inasafe fields shown properly in Dock.
1ff4a753f Fix error when select non exposure/aggregation layer.
376e5a600 Use iteration to create count ratio mapping.
ceefe5527 Remove field group from inasafe field and default field step.
e25822634 Do not use extra fields directly.
9f3d68cba Fix import error after merging to develop.
1091efec0 Remove fields from aggregation and exposure.
6581f51f0 Attempt to fix code standard.
176b7ddda Add more gender fields.
f08b3591d Add vulnerability fields, default value, count/ratio
a9610b6c1 Add youth and infant ratio and count.
fad1b907d Add header to the field mapping tool.
5d652e72d PEP8 and fix failed unit test in travis.
753f66ae9 Show unique values in the footer of dialog.
2d1131459 Filter out non number fields.
a749ccd21 Show only unused fields in the field list.
25ebd28c9 Update from parameter repository.
0cf77293b Save metadata from field mapping widget.
728d12fbd Add selected option type method.
7a809dd9d Add help page in field mapping tool.
403f52b79 Rename field mapping tab.
b8cc9dd6c Make drag and drop in field mapping works.
95e6d3049 Use variable for key and type in the group select parameter.
84fa9254a Enable field mapping for Exposure.
bcd5b73a1 Read field mapping from keywords.
d2eaeb610 Add field mapping tool to InaSAFE toolbar.
70a6972de Add field mapping widget for #4069.
4ffd5de5c Add toolbar for value mapping.
0e877edbe Add group select parameter widget.
963111f45 Add Group Select Parameter.
de6116e9e for not population, display real value if <1000
9855cd168 remove earthquake function setter from IF and use QSettings
ccb3263bd avoid using definition function into definition package
09dc68e63 add classification unit to hazard classification definition for general report title (#4064)
f6e803ef9 Added webhook for travis to inasafe-notices matrix room, updating @timlinux PR. (#4081)
d15649bb7 Address comment from Etienne and Tim.
b202c8e05 Add field_groups.py
68c0c1b04 Add unit test that current metadata able to support multiple field in one inasafe field.
994d38a8c Merge keyword wizard flow to one omnigrafle file.
f012e0ace Little fix on PR Template.
2dde5dae4 Make the output of tag-release prettier.

Changelog for version 4.1.1
================================

835bb9b05 (HEAD -> develop, upstream/develop, origin/develop, origin/HEAD) Use QGIS user directory for metadata.db
d493337de Fix failed unit test.
bc6da7d21 Remove unused method in KeywordIO.
bc9a13b6f Fix #3751. Set to use default db path from definition.
74ea18b28 Rename metadata for output layer. Add other output explicitly to metadata mapping.
9c03d75d5 Remove unused code in metadata utilities.
9eaf61650 Update translation.
69d6a70bd update translations
d89e5efde Fix #3857. Ignore filter in path.
75741ab65 Fix #4248. Expression.
db20d143e Update for Badan Geologi landcover classification
e9a01d79c update metadata
ba172848e update French Translations
4214562c1 fix some strings in Python
fe39d1614 add pregnant and lactating displaced to the count fields (#4244)

Changelog for version 4.1.0
================================

9e320eb5d (HEAD -> develop, origin/develop, origin/HEAD) Updated note about active fatality model to include comment from Charlotte
b61f9e461 Resolved merge conflicts
f1ae7f420 Show eq fatality model also in mmi scale in help
0407574df (upstream/develop) use definitions to create demographics fields
0cb121afe Remove IF.datetime with IF.starttime to avoid confusion.
4591db6e7 Add duration to impact function.
224d04955 Small changelog update (#4225)
d930ed4f2 Updated definitions help to show which EQ function is active
8e3863f6a Updates to the changelog
7aa06cee9 smalle formatting fix (#4226)
e9ca0fe6a Small string fix for vulnerability not found
1312ea320 Update scenario and PEP8.
002b20793 Update additional rice post processor.
44409d79c Remove pregnant_and_lactating post processor.
a9149b833 Update unit test.
8753adbf6 Remove pregnant_and_lactating concept.
a130258f1 Use pregnant + lactating to calculate additional rice.
fd4c82dee Merge remote-tracking branch 'upstream/develop' into develop
d4e57eb60 Reporting separate provenance tree (#4224)
3a1300441 Merge remote-tracking branch 'origin/develop' into develop
fa21b424d Metadata update
905ffcbfd Help system improvements (#4219)
641366849 make a recursive call to serialize a dict
2147f9423 fix some small issues in the shakemap converter
5c75004ed small updates aifdr and v4
8109a08e1 add warning about QGIS needs to restart if you change the EQ model
6e2d0b620 show busy in the memory profiling
7d707ea0e Update unit test for #4218.
ff966a312 Remove invalid or non existing classification. Fix #4214
2133c191f Add unit test to replicate #4200.
2ef4463d5 remove fatalitities from EQ generic classification
1e5ff940b PEP8
db29e5695 Added citations title in docs
93bc63706 Show eq model descriptions in help
044064841 Set up developer doc system using Marco's cyclone guide as an example. See #4179
8d471ceee Updates to developer documentation to use pretty print for dicts
cea62da30 Started developer section in help docs
0320c12d1 Fix heading numbering in help
b5617f9ff add tree view analysis provenance details (#4170)
1ae31e614 skip qgis expression if we made a copy
c7822cdd8 check if layers have some inasafe_fields are up to date
eebd6e9bd Improve the EQ selection in settings
65c5b2e98 Add clean step for field mapping step in keyword wizard Fix #4200.
fa671d898 Add unit test to replicate #4200.
b90d8738d Fix #4195, add missing field group options.
b4b7ba175 add the pregnant.svg (#4198)
ea59013cb fix  #4165 (#4196)
4d6627853 Update test scenario to fix unit test.
fc92d9148 Add gender_vulnerability_postprocessors.
ab1cb30e3 add fatality vector to EQ on pop vector
c9183606d override bootstrap 4 style (font-size and table padding) (#4177)
a53f127c9 Remove sum age ratio validation.
e0061928e fix unboundlocalerror
abcdcbe9e Merge pull request #4169 from timlinux/inasafe-4163
4db26e957 Report rounding (#4182)
967c3d540 improve the profiling table
cf1f2fbc9 part fix #4165 (#4184)
2e214b92f part fix #3847 (#4176)
1581e6ce3 (origin/inasafe-4163, inasafe-4163) Fix last scenario failed test.
f5700c8c0 Update test scenario and reorder post processor.
54e16a2c6 Fix failed unit test in test_gender_post_processor.
5eb8da079 Test fixes
7ddd7a150 PEP8
7380da67c Fix failing tests for #4163
0dcd7b6fa Fix failing tests for #4163
d53b29b6c Fix failing tests for #4163
3d5a35d48 Resolved merge conflicts
37c40d461 Show option to show memory for all user.
8f707b529 Skip memory profile if disabled.
94abc228d Add show memory profile in the setting.
7004a8be3 In progress updates for #4163
cfee9f017 In progress updates for refactored demographic groups
255ca4032 remove old QGIS api calls
0e1a2f958 In progress refactoring of post processors into its own package and sorting out demographic groups
8ccddbb0a Fix #3878. Use ISO 19115 keywords from setting on analysis result.
781183a91 small formatting fixes based on review feedback from @ismailsunni for #4169
a11b6e04a Help text (#4159)
e6f5c8544 Resolve merge conflicts
a1eafb7d2 First pass to split demographic groups as per #4163
77a62bd95 Reporting - action list (#4088)
ff49bf2a2 make the report relocatable (#4160)
3d36442fa Fix failed unit test.
31c001e86 Remove unused code.
31f8cae74 Update dock after closing FMT.
e9b9d0b47 Remove dock from option dialog.
94e9ddee8 Remove random failed test.
2d5341603 Add notes for exclusive in field groups.
9f1ee26bf Make moving between field list also non duplicate.
e62e646f5 Add description that user can the same field.
40113c003 Fix #4157 Add exclusive for FMT.
0a4852e71 Add @myarjunar's email to travis.
7a3969221 Put FMT menu in proper location.
54fa6d6de Handle empty definition.
3a8b90c30 Disable FMT for raster.
e62ecbc29 Changelog (#4155)
e6049c325 moved realtime and geosafe canvases out to their own graffle docs and into their repos (#4156)
a2612eb8c Add help text to the FMT.
2a2426748 Fix bug when no field left in the field list.
cb398e79b Fix typo and tidy up code.
0b05805f9 Partfix 4092 (#4144)
8f15ff28a Reporting column order (#4142)
bef9d2f17 Partial fix for #4151 - show help_text in field definitions (#4152)
f495f6f6e Partial fix for #4151 - show help_text in field definitions
d91882d11 Options help (#4150)
2fb03ca32 add notes based on concepts (#4131)
42a4dde80 Merge pull request #4147 from myarjunar/reporting-general-report
626d9aec4 Merge pull request #4149 from timlinux/inasafe-4130
611a66f69 (origin/inasafe-4130, inasafe-4130) Fix #4130 Earthquake help text - set default options
dc0a33d88 fix general report floats to right when open report in largest size
902326f9f Reorder post processor
fb3dea27e Update test data to fix unit test.
5ec857815 Use variable for magic number.
523a807b5 Use value from field to calculate additional rice. Fix #4136
0227aeaa5 Fix 4137 add field group description (#4139)
0903ba498 Set keyword version to 4.1 (#4135)
3454050f6 Windspeed  (#4133)
8c0aef255 Help text (#4123)
944f286aa Fix unit test in test keyword wizard.
2a38bd82b Fix unit test in field mapping dialog.
7ef8fd74f Disable unit test for #4128.
4523632fe Make Keyword Wizard and FMT always read from metadata file.
618973172 Add regression test for #4128
441c655ed Address review from @gustry and @myarjunar.
9fa797f7b Update test data.
0bb4d7ad6 Make Landscape happier.
2bdd3ccfe Only enable FMT when the selected layer has field group.
286ab0bb4 Add better format of the parameter validation.
325185662 Catch Keywords Not Found Error on Field Mapping Tool.
0b25f971c Better invalid field group validation message.
721fca19c Add field mapping validation in keyword wizard.
d9c145855 Fix set decimal precision on group parameter.
89f47b8fd Update parameter package.
22b1528d0 Add dynamic validator for field ratio.
7e5c9eca4 Add simple validation for ratio.
137aee164 [WIP] Add simple validator for field group.
a648d16cc Fix failed test in develop.
73c8738cd Make uniform naming.
9dd049cfe Reporting global default (#4122)
0cc94c27e fix issue about using global default set by user in the IF
925b57758 Polish scroll bar in demographic group option.
e4fbf7323 Change 'Global Default' to 'Demographic Default'
e146d90ac Fix failed unit test.
5f3c5827b Add gender_postprocessors to the list.
53c564949 Fix wrong variable in post processor output.
77fb29ef7 Fix bug on kw field and better field description.
b4ea113ef Add unit test for multi fields layer in keywords wizard.
e79d1e96a Tidy up code.
ff99ea062 Fix failed test.
1c85179d8 Add field mapping tool to keyword dialog.
4533d430e Update keywords wizard diagram.
7c4a85034 Fix failed unit test.
879878bde Better field description for field stef in keyword wizard.
6121bfd17 Add more case for unit test.
d1a03e218 Fix unit test.
dfa6eb92d Make field step in keyword wizard able to select more than 1 field.
be071be83 Update test data for population.
5f1456a1b Make field in the wizard step extended selection.
ba4ae9212 Fix failed unit test.
66e1077f4 Filter out layer that doesn't have layer groups.
9af33a7d2 Make field groups exposure specific.
bf6306e3f Only show exposure and aggregation layers in FMT.
26e7f1013 Add new scenario for testing.
ec6137742 Address Etienne's comment.
0a9258b02 Fix failed unit test.
73c0a451f Tidy up code.
b1f3ceb17 Fix failed unit test.
5cde7c096 Add prepare layer method to handle summing fields
c38f3ab7d Add method to sum fields.
15f950f12 Update test data and add unit test for multi fields.
5903eedd5 Fix bug when item is replaced in QListField.
f2aad33bc Automatically select active layer in field mapping dialog.
12b492823 Add test data for multi fields exposure.
6dd49ab14 Added icons for help and mapping tool. Working on help for mapping tool. (#4110)
6319af576 Profile memory (#4108)
044d99ba5 Metadata update 4069 (#4111)
6536a2e2e Able to store the global default value.
38985e064 Separater field groups in group boxes.
1ddb44664 (help_test) Updated metadata (#4107)
1ac8e3f9d Add unit test for field mapping dialog.
fd42056d0 Add unit test for field mapping tab.
f2a8c16dd Make sure multiple inasafe fields shown properly in Dock.
1ff4a753f Fix error when select non exposure/aggregation layer.
376e5a600 Use iteration to create count ratio mapping.
ceefe5527 Remove field group from inasafe field and default field step.
e25822634 Do not use extra fields directly.
9f3d68cba Fix import error after merging to develop.
1091efec0 Remove fields from aggregation and exposure.
6581f51f0 Attempt to fix code standard.
176b7ddda Add more gender fields.
f08b3591d Add vulnerability fields, default value, count/ratio
a9610b6c1 Add youth and infant ratio and count.
fad1b907d Add header to the field mapping tool.
5d652e72d PEP8 and fix failed unit test in travis.
753f66ae9 Show unique values in the footer of dialog.
2d1131459 Filter out non number fields.
a749ccd21 Show only unused fields in the field list.
25ebd28c9 Update from parameter repository.
0cf77293b Save metadata from field mapping widget.
728d12fbd Add selected option type method.
7a809dd9d Add help page in field mapping tool.
403f52b79 Rename field mapping tab.
b8cc9dd6c Make drag and drop in field mapping works.
95e6d3049 Use variable for key and type in the group select parameter.
84fa9254a Enable field mapping for Exposure.
bcd5b73a1 Read field mapping from keywords.
d2eaeb610 Add field mapping tool to InaSAFE toolbar.
70a6972de Add field mapping widget for #4069.
4ffd5de5c Add toolbar for value mapping.
0e877edbe Add group select parameter widget.
963111f45 Add Group Select Parameter.
de6116e9e for not population, display real value if <1000
9855cd168 remove earthquake function setter from IF and use QSettings
ccb3263bd avoid using definition function into definition package
09dc68e63 add classification unit to hazard classification definition for general report title (#4064)
f6e803ef9 Added webhook for travis to inasafe-notices matrix room, updating @timlinux PR. (#4081)
d15649bb7 Address comment from Etienne and Tim.
b202c8e05 Add field_groups.py
68c0c1b04 Add unit test that current metadata able to support multiple field in one inasafe field.
994d38a8c Merge keyword wizard flow to one omnigrafle file.
f012e0ace Little fix on PR Template.
2dde5dae4 Make the output of tag-release prettier.

Changelog for version 4.0.0
================================

6c09dbbcf (HEAD -> develop, upstream/develop) Small tweaks pre release (#4009)
2bd26c91f Test tweaks - improve testing on windows (#4007)
1f1958ce5 Remove mmi high medium low classifications in favour of having only mmi scale - see #3874 (#3981)
338c4d6a0 fix issue #3934: tidying up infographics:
e8c915de1 Update translation.
1cd0c23d6 Clean invalid classification before save the keywords. (#4003)
043ea6651 add landcover definition from badan geologi for volcanic ash (#3999)
5e61cbeab Remove useless comment.
b76f04fcb Update displacement rate for cyclone. Fix #3762
6772aedd8 Remove fatality rate.
09896d4e6 anticipate inactive exposure layer (#3995)
7f11051f7 skip if KeyError see #3803 in EQ IF
ea97f76f2 remove interior rings from the analysis_extent
ab4135e79 fix unicode in layer saved
ab5b63d15 add some missing translations in dock
073c984d3 tidying up docstring
e52c7049b Fix unit test and add Logger info.
53154870c Fix calculate ratio in diagram.
71f3f437b Fix formula for ratio from count.
c509d0213 Fix for fields help so that short text is visible long text is hidden (#3986)
4ad6fd8cc fix issue #3974: add an affected note for affecting hazard class
e0691b43f add unit for table header in analysis detail and aggregation result
6b05b2a68 address issue #3726
b01741bb8 remove deprecated functions from the QGIS api
0897955ab use ratios from keywords when we use a raster exposure
7f016c129 add small_grid_ratios to test data
cfeb46630 fix issue #3666: show ranges in fatalities field
b0684cabe update label about default EQ fatality function (#3985)
8bab1cb98 add many logs in the IF
5851c2a9f .. versionadded:: 4.0 (#3979)
d4c827ffc handle inasafe default wizard behaviour if layer has keywords (#3978)
3c537df9e handle json file on batch runner + ui polish (#3966)
a2b159dce disable feature default rate in settings
0fe9bcd3b disable logs about GEOS errors
250cf27c0 use kilometre if possible in the legend
60234f0c6 add notes and actions which are specific for a hazard and an exposure (#3968)
3e8b11844 Fix #3932 Re-enable all exposure for volcanic ash.
6eec04046 Minor updates to affected status and notes (#3963)
6dff549c1 avoid check IF status after an error
d61cb9573 fix default string in dock when we add new layers
c8436abc4 convert unit, for landcover to hectare for instance)
2f8d7802e use source instead of publicSource on reclassify function (#3958)
c32e3c10a use publicSource instead of source on QgsMapLayer
2f4fe80e3 another scrambling kcw and greyed out combobox (#3952)
9cd753eca Shakemap importer (reclassify raster) (#3953)
c5da64b0b add displacement ratio to the attribute table
0a9fe50c3 improve some debug helpers if the CRS is not in 4326
84f3b70bc remove strings concatenation, they are missing in transifex
1c2cdbdcc enable a test about minimum needs with a vector layer
4877e65bf additional customization for earthquake report
58b5c5606 fix save scenario
bc268878d Fix action notes (#3939)
6a31f048f add some default values into the hazard classifications
215c0c8c4 fill None values after zonal stats algorithm
b827cba03 Update translation (#3935)
abe473f32 fix strings
f9d5397ab use selected features by default and update question area if selected features
7db989478 show report after IF is finished
03b573e6c fix issue #3879: Make maps showing all layer related with analysis
8de40df85 fix scrambling wizard (#3936)
9f28305d5 Fix more wrong usage of string format.
ff4b7d9c0 Fix unit test.
cca1c60bb Fix translation problem.
bcceef7b0 Use mmi scale as EQ Raster population classification.
3f7e7d16d Multi buffer patch (#3911)
db7e6f111 fix min needs manager not showing min needs profile #3925
9846ebedb handle none geometry (#3929)
b9193d9f9 Update volcanic ash with exposures, displacement rates and notes from discussion with PVMBG (#3928)
a6ebe186e fix size calculator with a multi geometry
cafe416fb Update translation
6fbda81d1 Fix typos
ec87668a4 reduce the size of the EQ raster
0f43e6b17 remove hardcoded displacement rates for EQ and use hazard_classification instead
3a72bd8f2 add EQ analysis summary layer
8830de21e update earthquake QML and qgis project
2b1e68b7f refactor styles definitions
298339eeb use gdal with commandline instead of processing
4a60e5776 add earthquake scenario
6ccf3f879 add raster style for displaced people
be85360ef enable relative paths in test scenario
c7bc15343 fix geometries on the fly for the aggregation layer
2e236a6cd add some hard-coded translations from SPHERE and BNPB
511dda47c Improvements to definitions help to add glossary and notes to explain roundings. (#3917)
be549046d fix notes failing when there is no displacement
6c3f74a40 Add color.
7b9b5e032 make sure sum of the ratio is 1.
c896d27ea Update translation.
c68da991c update strings
68a8b0998 improve report table:
f148940dd Tweaks (#3909)
c6a04782c update graph with ratios and counts
7ffaa0cb4 fix needs calculator ui (#3910)
d5ec9c2ba fix issue #3880: Making InaSAFE option linked with map report (#3897)
9db05e5f8 fix issue #3877: Add displacement rates description in the notes (#3903)
99834f5fe setting up docker with an environment variable
4f72b9c45 Partial fix for #3906 - include earthquake specific notes in population exposure help. Funded by DFAT. (#3907)
1217612c8 Fix #3904 - add  displacement rates to definitions help. Funded by DFAT. (#3905)
364d4d10a avoid using QgsMapLayer.source() and use QGIS api instead
cce194e15 Use better displacement rates for PetaBencana floods based on per. comm with @charlotte-morgan in gitter. Funded by DFAT. (#3896)
6323b2ff8 Refactor. Peta Jakarta -> Peta Bencana (#3866)
0c1fc9411 Update from @timlinux
14555b631 Add concept for thresholds and value maps.
67ec61bea Remove small number hacky fix.
a53c075d7 Mmi classes (#3891)
69fb1d682 change relative path to absolute path
03beb7760 fix issue #3822: When generating reports, the QPT should be made available to the user
ed57a9b17 Fix for #3667 - add PetaBencana hazard classes. Funded by DFAT. (#3672)
7ab6f99a3 Reverse help_text and description.
16d18d68b Always set first tab in option to be opened.
19415bed2 Add min max in custom value.
271c9ea99 fix unicode strings in reporting
62bd7a902 fix typos
1ccc78f0c manage ratios if there is a raster population exposure
ff10f58ab add tsunami vector, EQ raster and population raster
beefd60dd fix impact function is None in Dock for reporting
27ecd4844 needs profile patch. ignore empty root_directory
d2c5e379f Disable EQ Raster Population classification.
c91c77568 add comment about a test
3924d64a9 fix dock IF behaviour
c935b44a3 fix strings
e863204ae enable check_layer in the IF
823982ab5 Remove generic classification from tsunami hazard fix #3854
4a5ef03e0 Add unit test.
560c02458 Hardcode for EQ Raster on population thresholds.
cd6418022 Fix #3853
af6fa10dc Filter classification based on supported exposure.
2eee01617 fix typos
8d692043c add funded by in PR template
bae5bfbd6 improve ticket template
f1c7c5722 fix unicode in french
4f1d98388 fix some english strings
57ad28d35 add more checking to layers in the IF
1dedb1fa0 check_inasafe_fields everytime in the IF
f7b449da6 check if layers are valid along the workflow
51564b96b disable busy cursor if exception is raised in the report
95452f365 open HTML in UTF8
4dc152b36 fix issue #3861: Flood on buildings with no aggregation fails
36c48c2cd move EQ definitions into definitions
19329c7b3 add notes in report when aggregation layer is not used
1ea2b5a5f change min needs profile path to ~/.qgis2/inasafe/minimum_needs (#3810)
57864d98d use FileDownloader instead of python's import (#3858)
d27ef3ea3 Hazard classifications and notes (#3850)
1a02ef3e4 fix minimum and maximum thresholds
09e01b161 fix issue #3824 Map extent not properly used in Map Report
f21f5fdbd Use true minimum value in raster.
3c078f4ff Update string in wizard per #3849
253577423 Fix bug in thresholds classification.
f2d8e93b1 fix issue #3688: Report template papercuts
bc4494420 fix some unicode in French
fe4420861 changes to follow coding standard
3f0a95593 batchrunner fix start new project
2af20248f batchrunner fix running on selected tasks
b90ee1fb0 fix running scenario in new project toggle
b6b825199 fix the need to print layers in order for the map to show properly
739461633 BR:fix Run Relected not running all selected scenario
7dcc69db1 skip extent selector if aggregation layer is selected
af2a6e3bb More filter in IFCW.
ecfc6a382 More filter on IFCW. Fix #3823
1101f3c16 radio button enabler as an object's attribute
69e7ee305 use itemData instead of raw string for comparison
bab1e0063 add test for radio button behaviour
37c4b9e72 fix failing test
5e81c02d2 fix radio button behaviour on inasafe default step
0077482db Compile translation
9e930fe87 Remove realtime from translation script.
e80730f8e Update from transifex and local.
60ab734ff Update translation.
8113555be Typo in impact_function.py
20638bbb6 Word wrap in needs calculator.
d5487ca5d remove options about conditional styling
6fc38716f revamp of the hazard conditional styling
66ba86db2 disable size_rate postprocessor
8966a12d5 fix translated strings and tests not affected
df7938fcf replace "unaffected" by "not affected"
f385ebda7 fix strings
b08bef918 add template for PR
d65f197ea improve a little bit ticket template
cc73541d1 improve exceptions display
a7d5266bb avoid adding default ratios to a raster exposure layer
3de77f382 fix issue #3787: zero rows should not be displayed
cc5ed9404 fix issue #3752: fix url for PetaBencana.id
c86ac87c7 disable sanity check in summary calculation
cedfa0a73 add from count to ratio algo in the GIS overlay analysis
845b4656a fix display keywords when there is no report
8974ed961 some log cleaning and add option to not generate the report in dev mode only
f64469c44 add algo from count to ratio
05da2648e Fix issue when wizard not skip empty inasafe fields.
878027594 add ratios if there is a default in aggregation layer
2781caa38 add ratios to the exposure layer if there is no aggregation layer
460584d4b Fix value map pretty format if there is empty value map.
ef5c5bb19 Tidy up code.
ef48cff06 Fix unit test in test keyword wizard.
1884effa2 Enable next button if it has at least one classification
1cbfb62e8 Remove header in tree widget.
eddbe23cc Remove cancel buttons.
7cd57f3cc Open edit panel after change combobox.
88bffc7fa Disable next button if still editing in multi classificaiton step.
01f2f0f94 Disable next button if not ready.
a211b045c Disable load default button for 4.0
cb5cb8d49 Show current value maps.
09d49d424 fix ifcw so its behaviour sisiliar with the dock
b8e884998 add iface param to WizardDialog
d45e3eb05 fix ifcw error without importing iface
1f82c5883 fix IFCW extent error
f1df7001e cyclone fixes (#3807)
0674f9520 Remove unused tr and handle for threshold in IF.
9443454b1 Make the keywords viewer prettier.
e40151101 Fix bug in thresholds viewer in dock.
91059b5cc check if the hazard can run on the exposure
6e9f46d71 Fix for #3777 - use clearer message if processing plugin in missing (#3797)
374016452 Make help non-modal and minimazable / maximizable (#3796)
92b5380d8 use format function in strings
86ade0a07 remove unused imports in postprocessors
dd9fe7355 minor fix in the impact function about exposure_impacted
1686b4a22 review displaced/affected in postprocessors
bbfafd78e update strings
a951df67a add the size field before to clip features if we have a count
2c6efc6d8 stop using the dataProvider in reproject algo
94e7d7034 Updte test data for hazard_generic
a022824a9 Avoid missing wizars string in fields step.
8bc69c765 Fix variable name in wizard_strings
ca1131adf Add unit test to test uniqueesness key.
5fee3b589 remove useless code about IF function combobox in minimumneeds dialog
2f7e6ea39 remove features if the geometry is None
fd62ab1da Fix wrong commit in parameters.
60cef4d44 issue #3730 #3731
0b01c251f issue #3711
11391832b issue #3693 : Adjustments for map template
e31c5c5fb Update from parameters package.
e6e540605 add square meters symbol
ac74d9373 open the report in UTF8
0c1034201 do not translate strings in tests
978e0c930 add population data
adba6a151 fix next analysis extent display when there is not enough layer
eee46a97e fix restore default behaviour
de65e382b add button for restore default ratio
d0c88dcf1 Fix #3135. Only check safe package and always run update.
942970da7 Fix comment from Etienne.
ae45a618d Fix missing classification, value_map, and thresholds.
7a0ed8575 Update test data keywords.
9cd001a77 Add missing classification and value_map for hazard layer.
530c79e0d Fix refactor reclassify raster.
b0356a47a Fix test in reclassify vector.
fb19b00d9 Update test data keywords.
7bccaeef0 Fix unit test in update_value_map.
971548480 Fix reference problem in unit test.
6f5d991ae Fix unit test and clean multi classification result.
8e2626db9 Small landscape fixes.
c95e79f41 Remove classification from Hazard Metadata.
a63d0a691 Fix unit test in test keywords wizard.
d0ad2f4fd Update test data keywords
d8dbe56e0 Update wizard flow for exposure.
8bc6cb294 Fix unit tests in test_keyword_wizard.
83271b318 Fix persistent data from previous wizard.
ce11cf4e9 Better viewer size policy for the multiclassification step.
15c52b4e5 Add helper to retrieve classifications, thresholds, and value map.
ee9f60aff Value maps read and save for multiple hazard classification.
f955860fa Add default value maps classification method.
5f4a7005f Read and write for value maps for multi hazard classification.
5e9058098 Add buttons.
af21125cb First work on value mapping in multi classifications hazard.
9348b477f Rework left panel based on new structure.
fa91446d2 Use constant instead of string.
a7950e344 Make keywords wizard read the keywords back.
802aac9d7 Fix test keyword wizard for continuous raster.
8d0b93630 Able to save multi classifications keywords.
8ae347dab Fixing pep8 and landscape.
dd400fae8 Able to edit threshold.
0e52a2ae3 Add cancel button behaviour.
8184e2410 Add state viewer in multi hazard step.
d5ecd327e Add classification thresholds helper method.
57d24d482 Add behaviour for edit button.
5862fc0cb Polish basic ui file.
b846f3af2 Fix letfover problem from rebasing.
007c1055b Move skip inasafe fields to wizard utils.
5c838f98e Add clear layout helper.
900e957bf Set label for multiple hazard wizard step.
b89a09ae5 Use layer purpose instead category.
9baf6079b New wizard string for multiple hazard classifications.
6d8e3407a Update omnigraffle for keyword wizard.
33af0ff7b Fix wizard flow.
cbe6514ad Update Keyword Wizard Flow.
c2f6291c5 Rename and update wizard flow chart.
de14c96f1 Fix flow in step unit.
5fbe8eab1 Fix wizard flow in multi classifications stepwq
b0966be34 Fix step in step field.
6952549bf Fix step in layermode step.
84917491f Add UI and step for multi classifications.
6a53d0ddd Add exposures in hazard_classifications
e31401ccc Add multiple classifications, thresholds, and value_maps in hazard layer metadata.
e5fe057e9 update multi-buffer icon
08d37b93b use a double in the minimum needs fields
846e65e40 fix summary about absolute values
e54794fbe Added displacement rates for all hazard classes. See #3553 (#3722)
6c0dc9e6e add ±1 tolerance in the summary calculation
7b7165bbe replace MapRenderer by MapSettings
0c336d311 review titles in gis package
cf0c5a5bd fix default analysis extent behaviour
148727cb3 fix url variable error
278f28487 replace print and iface with QgsMapLayerRegistry and anticipate error
48057bc36 add printing layer so it can be recognized when creating map pdf
daa0c1c64 add printing mapcanvas layer
def5dd8fe add new tool: multi-buffer (#3708)
919ca8ed6 improve error message when the requested extent is outside
ff4894563 move check_inasafe_fields outside of tests
c3cdc9b41 Move monkey patch for keyword fix #3737 (#3738)
1feb7262a docstring and typo
527f461f5 use locale function in the OSM downloader URL
9ce51f5bb disable invert bool in test
c10cf2121 add function to format integer according to standards
7160b8d11 fix some locale issues
2c60ec601 Refactor i18n to report definitions
fe889f989 add features for infographics
8a0405abd fix rasterize call if QGIS < 2.16
bbb84610f Standards (#3725)
7b9cc5690 Standards (#3724)
3cd4eba36 vulnerability icons and updated svg icon files - real svg (#3705)
33f67c8c3 make pep8 at the end of travis
02216caee disable not_exposed in the map for for landcover and population exposures
6028b9782 review postprocessors logs
33df8fef8 Small fixes to definitions help and fix heading counting (#3707)
a0e12c872 In progress improvements to definitions (#3683)
0d303cf6e fixing some landscape issues
d7ae8f5b9 rename colors to styles in definitions
111a066ce add not_exposed class
4270fde49 Add displaced postprocessor
f6ad8abf9 add not exposed in the summary calculation
aaa58a3b3 add `not exposed` to the affected postprocessor
7d914d9b5 add labels according to standards in the legend
5922aae52 add method the get URI of the datastore as a string
6ecf496be Fix string error on minimum needs calculator
0e979d2a6 fix tests and pep8
672814b5a  fix failing test
5bde396b1 update impact report test to fix failing test
b427a9c93 add unit hectares to rounding notes for land cover
39500de5c concept typo, notes on rounding for all exposures, notes on ommission for structures, new caveat for ommissions
6c6652964 revised population exposure concepts
13e3f616a fix minimum needs calculator to use the new post-processor (#3645)
4dfa7ed6e update map legend examples (#3681)
7c18e18c1 add comments about standards in gis algo
09ba44405 fix union algo from https://github.com/qgis/QGIS/pull/4037
b09d47f67 use rounding in the map legend
fbe810fe6 remove useless code
72add9c6c add humanise python exception
431112319 check if the analysis extent is valid from the aggregation layer
67cb1ab95 rounded disabled until we have some inputs
9dafb604b fix earthquake IF when we try to style the layer
7b050ea9f add the feature count in the legend
2244aa19f add units to exposure
e614d395c move rounding to safe.utilities.rounding
4c210633a add options to choose the EQ function
7db5d793a change the EQ output raster to displaced people
f644de387 update graph about the waterfall
7d57d0f42 Fix infographic error when vulnerability not found
e94732d31 Fix error expanding os ['HOME'] (#3659)
ab03b83ce add not exposed color, improve line style
0d28ab62a Add question to provenance.
5ba8a1776 Fix conflict.
abc6871e7 set the layer title as in the standards
1a0aa35ff add small value to the hazard classification and fix the reclassify algorithm
438a6543b Update command for translation.
dfbc3bd8c Added new diagram to omnigraffle (#3646)
5d122fa62 Show all options in IFCW for developer mode.
7a96e372d Enable place for volcanic ash and road for cyclone.
40fc583bf add profiling to eartquake IF
b16f48543 small fixes in the IF
779a45d36 clip the hazard raster with the analysis layer
5be4181fa improve checks about raster/vector
f8ec17dd3 fix test in qgis desktop
1fabcd42f Optimize impact function for flooding on buildings
4bb7082bb Fix typo for #3626
09cd548b3 fix #3624 - add QGIS to python path in run-env-osx script (#3628)
6a98a3cf5 fix #3627 - broken english in error message when there are no features in teh extent
988ee775f (tag: version-4_0_0b2) Fix numbering and address some other defintions report papercuts from… (#3623)
ba73da0b5 rename gisv4 to gis
9b6c223cc remove test_data from travis
584df76df remove storage
210841f49 remove gis package
5227b8576 remove code from GIS
5a3cd70f3 remove code in commom/utilities and utilities/gis
6fd77a4e8 remove clipper
c84fe711a Added missing batch runner help to definitions document (#3614)
9870cc655 Updated supporters logo to fix #3606 (#3613)
d9492306c fix #210 - show the limitations of using InaSAFE in terms of memory requirements etc. (#3612)
39328d5ea code revision #2
0a572cf34 remove settings from map pdf generation
07041e922 code revision
d9174f865 fix impact layer analysis information not shown in the dock
c819e4b3b add pdf creation function
4630606e5 PEP8 fix
86be62534 call map report generation
d468921c4 code clean up, implement impact function usage from impact_function.py
945b0d68c code clean up, add function to define layer from scenario
36087a806 code clean up
1486288db check and show scenario status in dialog
544792090 Move hygiene packs and additional rice as postprocessors
5eb529ab6 PEP8
cb6cedded Address comment from Etienne and Rizky.
b5b3e1cfe Fix unit test.
c32c8ae10 Add <= in the threshold step.
3e651e641 Better messaging from assertion.
ec705eba3 Default value to Global default.
99d2e7f23 Typo eldery.
acba08761 Fix scenario test data.
6a8e69f6c More fix on extent IFCW.
60cbb167c Enable extent step in IFCW.
ecb3e79a7 Fix unit test.
197f9997b PEP8.
d7f48400b Switch between help text and description.
86a9fff05 Re-assign test data keywords.
bc27a9e5f Update description for threshold wizard step.
9203e97c7 Hide open composer button.
c0efdf2ea Fix undefined variable.
138355871 Enable print map in wizard.
a168c4afb Disable road for cyclone.
c6eabde22 Fix unit test for population layer in keyword wizard.
868511cb9 Remove unused aggregation.py from definitions.
4e1df7b8f Skip empty fields in aggregation keyword assignment.
3ae383824 Add description for the threshold max.
1f85431b7 Change setting to global default.
8ba2a5f45 remove feature rate and value from population.
e29e12090 Fix ratio descriptions and typos (#3620)
db96efa4c add EQ IF working
d72c463e7 add comments about fatality rates  EQ IF from InaSAFE 3
09e25c588 add displaced and fatalities to count_fields
b457948f5 Add female hygiene and rice minimum needs calculations
23b34a201 remove realtime directory
bc0130054 fix landscape issues
6c00829a9 use definitions for fields in EQ IF
26680e251 update the aggregation layer instead of creating a new one in the EQ analysis
0760237ef docstring the earthquake IF
608bce64c first run of the earthquake IF
bdac655db fix landscape issues in gis/raster/align.py
983627742 use exposure CRS in the EQ IF
58e50fcde Add maxDiff=None for testing.
0077ebb7d Fix unit test.
b95043188 remove expected failure.
d6ef9220c Add expected failure for @lucernae.
aee0248e5 Update test data.
3abd6fd04 Fix unit test and test data.
bd993b1d1 Remove ratio from exposure and count from aggregation.
45b14565d Update reporting and mapping standards (#3602)
f906db6dc Add demographic breakdown when no aggregation layer is used
c89ead8dd Papercut fixes
ab164f5c5 Inasafe 3548 (#3594)
ff95e228a PEP8.
a24840188 Add get map legend title.
e6ce8bb32 Add get map title and provenance utilities.
7ea8ffd16 Fix unit test.
e042f9fe3 Disable landcover raster and volcano raster.
8f1ab96ac Add generic hazard, remove place.
5146e1a5d fix geometry can be None
79183c6e0 Papercut fixes
ca4b9f36d add a geometry cleaner in the union algo with a buffer 0
7a44e6bc7 Refactor reportv4 to report packages
38dbe9646 Add fix for map report
aeb1922d2 Add initial infographic support for minimum needs and population
04d47616a disable busy cursor in the dock when we use debug mode
b7a301767 fix docstring in raster alignment
d195b4fe8 add damage curve analysis in the impact function
ee4a5a2eb fix wrong imports
354b6a61e More improvements to definitions and definitions help (#3591)
cd1146359 add conditional formatting to the attribute table
4b791d66a add a function to clean a geometry by buffer of zero
0e7736e4e Merge pull request #3587 from ismailsunni/timlinux-inasafe-3548
4247c07f5 Fix failing unit test.
5acccc64f Use deepcopy to avoid updating the hazard_all.
2dfac9b57 Merge branch 'inasafe-3548' of github.com:timlinux/inasafe into timlinux-fix-3548
b18002e08 Fix failed unit test in travis.
9d92549eb Merge branch 'develop' of github.com:inasafe/inasafe into timlinux-fix-3548
ba2adc0bd Revert the version of parameter.
7406d497c fix pep8 and landscape
a8f9be919 Implementation of earthquake impact calculation
1c388bdec Revert parameter version.
fc089a49b Merge branch 'inasafe-3548' of https://github.com/timlinux/inasafe into timlinux-inasafe-3548
133e45aa3 Do not update any metadata after load the layers to QGIS.
c57dbe82f update crs saving to match changes in dock.extent
488fe158f Cleaner way to test layer_purpose_for_layer
b91b3d00c Merge remote-tracking branch 'upstream/develop' into inasafe-3548
247f5f190 Skip step raster inasafe default values in wizard.
4800c92e4 Remove v4 definition import
c2beee592 Remove v4 definition import
c94e0163f Resolve merge conflicts from develop branch
ade888ae1 Fix pep8 and merge conflicts
d5db09216 Set pop count to use float also.
4b7abc73c Resolved merge conflicts
11aa53d91 Skip inasafe-field step when there is no specified field found
66606b04b add earthquake scenario
05d053f23 add earthquake definitions
a6e231891 add align raster algo
ce4dfe272 add test about default values
3280db95b update scenarii with default values
a26d64091 update graph about default values
be4781dbf add default value algorithm
3b41dde09 Update test data metadata.
01abb3ceb Remove unused property in hazard layer metadata.
facaae75f Add clear widget from wizard steps.
8f71100fc try to use the mocked QGIS interface
3718219b3 trying to check this random bug in the IF (#3573)
d66833a0b Remove unused metadata property in aggregation layer metadata.
1a8755832 Remove unused properties from exposure and hazard layer metadata.
74c5b8797 Fix landscape.
06812ee41 Add omnigraffle for keyword wizard flow chart.
827d26ac2 Update test data keywords.
cbc086da1 Remove vector and raster hazard classifications.
3e40311b0 Tidy up metadata utilities.
5f1f69b30 Remove hazard_classification_v3
07f90f240 Fix incorrect import
d609018a9 Fix wondering messages package
050f55858 Refactor v4 to nothing
dfcbb7e3c Fix repeated text in definitions help caused by cut & paste
f5f649b71 Fix pep8 errors
fd5d1e3d0 Resolved merge conflicts
2aa6d58a1 Further improvements to definitions report - adds the dialog help into the report too...
90fa41a12 better handling errors in the impact function
70dde4b23 remove some code from defaults.py
6ba2fe912 Add postprocessor report
330713a88 remove the use of TEST_DATA for two tests in dock
a390c1eed Fix for failing tests
8b79b9940 Resolved merge conflicts
3ea660bc5 Small fixes to definitions based on Etienne's PR review
7c40b3d54 fix missing key issue in fields
30b56a89b Further revisions to fields in definitions
4f9e5310c In progress updates to review of definitions. Reviewing fields.py
15596ce6d rename buffer algo to multi_buffer
166ac9e6b Pep8
0c1a19e88 Resolved merge conflicts
009462d36 Fix landscape.
9b09e1162 Fix travis.
024172369 Make InaSAFE Default works for raster.
95fa797e4 Better naming.
6d841e904 Add example usage of custom parameter and better UI for default value parameter.
78b34a3fd Put custom parameter test in separated folder.
c7eea11cc Show default values in wizard step.
84949f9e3 Add default value parameter widget and unit test.
70e605b22 Add default value parameter and the test.
9ed434f97 Add new wizard step for raster default values.
53b86529d fix import PyQT
2cf99b62d Fix key error when name is not in the definitions.
864f46fe6 Renamed definitionsv4 to definitions
88f36cb30 Merge remote-tracking branch 'upstream/develop' into inasafe-3548
da29a0e18 In progress revision of definitions. See #3548
414d3bee4 fix landscape issues
f4280a6f5 disable a test about the minimum needs calculator
1182f14cb rename impact_function_v4 to impact_function
eb520eaea remove the old impact_function package
beff2dd17 clean the GIS package
f1d5f0b1f remove impact_functions/bases
6fd93c785 remove engine and impact_template
0b59befca remove impact_report package
9cacbe1c7 remove report package
163d026f1 remove earthquake IF
b7b3a3187 remove interpolation1d
e675b035e remove functions from gis module
6ffcca5b2 remove old code from engine
11be68f0e remove tests files from impact_function
0fe100933 move rounding to its own file
b3ea4c3d6 remove some calls to register_impact_functions
df22266ae fix busy status when we launch the IF
0ee7857de fix coding standards
d720eb197 fix user extent not defined and None value
9b4cae32b Fix min max for threshold in wizard per #3540
ac5e77865 (inasafe-3545) Merge pull request #3542 from mbernasocchi/fix_hurricanes_names
ffa460813 mark category 1 as affected
91931d312 make landscape happier
5ddf9b8cb hide_busy should not touch the run button (#3543)
9f747652e multi unit classifications for categorized data (#3541)
c03e4a312 reformat code
e1707c7fd add missing strings for vector hazard
5f4018abd updated parameters to latest
c28f321c4 fixed formatting
c4c599a96 fixed unit tests
3379b6718 pep3
d3a6619a5 added Saffir–Simpson hurricane wind scale
66a78afed show only hazard classes that support the chosen unit if multiple_units is present in the classification
190a8452c allow multi unit  defaults values in hazard classes
d32f2c880 completed initial TC support
f9951b4f3 add warning wen processing is missing
a052302bb cyclone support in KW editor
176942628 Provenance (#3530)
bbd73b8c7 add missing layer_purpose
56fd82334 add helper function to set and get values from QSettings (#3536)
016d90183 add comment about the TypeError while reading settings
2763c00cc clear next analysis if the IF can not run
8df94a06d refactor user_extent using OOP
3b6d631a8 refactor the dock part
268179435 return a code status for not enough overlap
b825f9138 use constants for extent selector
86e1bce40 Add exception to catch TypeError when read setting. (#3534)
ee117250e OOP for next and last analysis extent
4a0e289cb add last_analysis_extent
9063c08e4 update rubberband based on the aggregation layer
082d5b2cb remove test empty geometry
c70a39c27 fix use requested extent with the dock
2eea0a34b use a WKT string instead of a list of coordinates to store the extent
f575df9ae add function from wkt to rectangle
a7e8a0949 rename analysis_extent to user_extent
7b3d457e9 display extent
1a9428858 Fix bug in test impact functions.
217aeea0b Small change to make PyCharm knows the type.
1ba44fbc0 Remove unused code in impact function base.
5e58a41a8 Remove unused code in core.py
064df7088 Use loop to set and restore option dialog.
3d2a28617 Add more unit test for options dialog.
0295f49ff Better unit test for option dialog.
4cfbb205a Add default InaSAFE settings
84c07473f Add minimum needs test
cd4e60d32 Add minimum needs post processors.
a38fb8139 Fix more landscape suggestion.
aa90aeac8 Use list[str] for *args.
c0fd04e29 Fix issue reported by quantifiedcode.
aa3ab0c79 Fix some issue reported by landscape and delete not used test.
4d6b3af6a Add landscape badge in README.
876d29f4c Delete fabfile.py, no longer maintained.
20ba23af8 Add landscape config file.
2f3af45a4 Try to remove get_defaults for settings.
e3eeeff48 Add unit test for option dialog
845f841c6 Take female, youth, adult, elderly ratio from default values.
5485b815b Fix pycharm refactor.
c81bf2788 Set default page of option to basic tab.
d2792acd0 Fix naming same to outer scope.
66ff1d284 Add test_settings.
e0c142649 Revert back deletion until we remove EQ IF.
e7ac9dc9b Reorganize methods to better files.
b20ec7ab3 Remove default values from defaults.py to definitions/default_values.py
fe0cc1cbe Add comment in default.
dfddcff54 Clean code.
c4fbc1416 Add checker to avoid python error.
62bf81738 Save and load InaSAFE Fields from QSettings.
4a527b92c Fix rebase conflict.
7f911c689 Basic GUI for InaSAFE default values options.
d86a615be Add min max for default value.
2145cca1b Fix rebase conflict.
eb4e9b777 More coding standard.
a10b5d288 Use GIS order.
b0d7571af Fix conflict in color.py
acab524e9 Fix failed unit test.
67589ae23 Add raster in volcano hazard allowed geometry.
2913cc083 Only show available geometry for hazard and exposure in IFCW
b0a43ffa8 Remove unused get_previous_step
9ba54cc9d [issues_3343] Fix truncated address
d8af48af8 Updated diagram with reporting workflow
63acbadf4 Added brew install command to get git-export-all needed for release script to work.
0f5657d3e use definitions for color and width in the extent
5f7be82ea refactor settings
75cb812db fix qsettings with an aggregation layer
bc4cc1526 update graph about minimum extent for an analysis (#3510)
bf5c16347 Merge pull request #3514 from Charlotte-Morgan/icons_minneeds
987ad0174 (charlotte/icons_minneeds) update and change icon
0f32cb977 add min needs icons
d2bd7e5f1 add min needs concepts and lic

Changelog for version 3.5.0
================================

087ed0c (HEAD -> release, upstream/develop, origin/develop, origin/HEAD, develop) Add changelog for 3.5 (#3125)
b10bb47 Translation 3.5 (#3134)
631bf88 Merge pull request #3133 from ismailsunni/fix_3405_logo_for_place
392ef03 Merge pull request #3052 from lucernae/realtime_ash
ed449e0 Fix tests
3bc42e5 Better formating svg.
02d306d Add logo for place and image credit #3405.
8197712 Update earthquake template
f089f3e Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime_ash
b14aab1 Translation 3.5 (#3130)
ba1bf81 Merge pull request #3128 from ismailsunni/fix_2750_same_field_name_problem
fea77d7 Merge pull request #3127 from Charlotte-Morgan/develop
3fd278c Elaborate comment.
66c6bb3 PEP8.
457eaff Merge branch 'develop' of github.com:inasafe/inasafe into fix_2750_same_field_name_problem
85e9012 Fix #2750 by storing the non conflicting attribute name.
c523c7f add new concepts for affected_people, killed_people, injured_people
2b0e35f add citations for concepts
b02449d Translation 3.5 (#3124)
9fa38a6 Merge branch 'realtime-flood' into realtime_ash
9d059be Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
ff6def4 upgrade inasafe requirement
15992c8 Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime_ash
c3905be Add unit test to catch the bug.
208a9fa Merge pull request #3123 from ismailsunni/fix_3122_question_mark
de25478 Add question mark for fixing #3122
150f6e8 Merge pull request #3119 from ismailsunni/fix_3118_total_mistery
e00ec68 Merge pull request #3121 from ismailsunni/typo-3.5
ce02669 Typo.
47e9469 Small typo and coding standards for translation.
ef54d5e Merge pull request #3120 from timlinux/inasafe-3117
5180eea Support more granular definition of notes  (#3110)
38b37ad (origin/inasafe-3117, inasafe-3117) fix #3117 - Add citations to concept definitions in definitions.py
9f7dc06 Fix for #2998 - show correct attribution for each earthquake IF (#3116)
99f2853 Do not show total if it is Age, Gender, or MinimumNeeds. Fix #3118
9611b06 Merge pull request #3115 from ismailsunni/fix_2847_no_aggregation_table
42f6080 PEP8.
7a991a1 Merge branch 'develop' of github.com:inasafe/inasafe into fix_2847_no_aggregation_table
ae9ed27 Tidy up code.
0cd4fe8 Fix failed unit test.
bb4ee48 Merge pull request #3112 from ismailsunni/fix_2798_attribute_error
831e262 Updates to SPHERE standards - see #3065 (#3081)
e079be0 Implementation for standardised map titles and layer names. (#3114)
a9514bb Merge branch 'develop' of github.com:inasafe/inasafe into fix_2847_no_aggregation_table
36d33fe Better setup for postprocessor and checker.
d718d05 Merge pull request #3105 from ismailsunni/fix_3089_thousand_separator
f9a09cb Merge pull request #3111 from ismailsunni/fix_3108_no_wet
84d6d29 Merge pull request #3113 from ismailsunni/fix_2430_tick_bullet
e5becec Use tick for action checklist. Fix #2430.
436943c Add custom bullet list.
63f91b2 By pass Unknown geometry type.
bcd7ca2 More zero impact exception on the other IFs.
a18f432 Add zero impact exception if no wet in value mapping. Fix #3108
7c6581d Merge pull request #3107 from ismailsunni/fix_3076_datetime_format
8542ec7 Add more format for datetime per #3076
0f98032 add notes for all hazards (#3104)
01fdf79 Add thousands separator per #3089.
965bcfc fix #2804 - make checking the analysis environment more efficient by not reading the full raster each time you pan or zoom (#3102)
afbcc34 Merge pull request #3100 from Charlotte-Morgan/develop
9dbb7ff Merge pull request #3056 from ismailsunni/paper_cut
717b038 update test text string
babc9f9 Fix population thousand separator.
3c0f2bb fix volcano notes
e57f946 fix volcano notes
97c35d4 PEP8.
8645818 Merge branch 'develop' of github.com:inasafe/inasafe into paper_cut
0f1faf3 Fix volcano names in volcano polygon IF.
da4c641 Fix radii sorting in volcano point.
5999a53 Fix volcano names in volcano point.
d204d04 Minor text tweaks added single and multi event notes for volcano
747dfba Minor fixes (#3096)
96eeeea incorporated Tim's brain dump for roads, volcano, tsunami and places. (#3093)
dc75670 Reporting standards (#3078)
729e657 fix #3071 (#3094)
f5ae0c5 Merge pull request #3092 from Charlotte-Morgan/develop
03fed25 Merge pull request #3077 from easmetz/definitions
b8e7875 removed "the" before "people in buildings"
6d48556 Merge branch 'develop' of https://github.com/inasafe/inasafe into definitions
8765e37 replace areas with zones fix capitalisation replace moderate with medium
fc5c15a changed "persons" to "people" according to feedback from Charlotte
82efb92 Merge pull request #3087 from easmetz/EQ-IF
38b9beb Merge pull request #3088 from easmetz/population
12de12b removed statement about the "people_in_buildings" dataset being experimental
da0ff7e removed statement "there are no InaSAFE Impact Functions that use this exposure data yet"
c1eecb6 removed markdown "affected"
fefdaaf improved definitions of 'count' and 'density' to help users in wizard
aea6453 shortened description of ITB Bayesian EQ IF to fit into wizard window
8b29440 added definition for concept "affected"
3aaa12f inserted new concepts: displace, evacuated
c3f69e0 changed focus from exposure_people_in_buildings to exposure_population.
8cd6d65 Merge branch 'develop' of https://github.com/inasafe/inasafe into definitions
3268506 Added a make command so nightlies can be triggered locally (#3074)
c7454b5 changing "persons" to "people"
c507a70 removing rogue comma
d9acc84 changes to correct how the citations are done - I did them incorrectly the first time
4dc15a4 Inserted definitions of displaced and evacuated into population in buildings/population notes (as they are the same). I am not completely sure if I have cited correctly as the link is too long for the space available. The definitions are slightly inconsistent in their wording as I have used the exact UNISDR definitions. I think it would be wise to edit them for consistency of wording (ie persons vs people, etc) but I'm open to comment.
f8556bf Update ash report styling
5e2bd14 Fix plugin load error (#3075)
a5721b2 Reporting standards (#3027)
6dc6be6 Minor text tweaks (#3066)
3cd3d6f Refactor report generation for Realtime Ash: - Create templating system for population, nearby and landcover table - Display overview map and collation - Add environment variable for additional layer context - Fix AshRasterPlaces and AshRasterLandCover so it calculates Unaffected exposure correctly
c837549 PEP8.
fbbf261 Only show unique volcano names.
15ef03f Move version compatibilities to definitions.py
8406770 Merge pull request #3053 from Gustry/place-value-mapping
453deaa remove clear_further_steps in exposure places classify
e04c7d3 fix zoom layer
4fa3e22 Merge pull request #3050 from Gustry/total-road-report
e5c3ab9 disable inset layer
56b6c10 Add nearby-table calculation
4e5f7ff Let there be citations. Added forma citation structures to definitions and all impact function metadata. Not exposed in any reports yet. (#3049)
8d4cf8d Add name and population fields to the wizard about place exposure (#3047)
dd158fb (rizky/realtime_ash) Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime_ash
718b75c Add Realtime Ash functionality
1384412 add total line to the road impact table
3082b59 Merge pull request #3051 from Gustry/headings
4f9c562 add headings for roads/places/buildingsin the impact summary
b925fd4 Merge pull request #3048 from Gustry/metadate_exposure
cb9ab92 fix #2911 - PetaJakarta layer style not working (#3044)
b8ba37f Metadata definition cleanups from @easmetz (#3046)
6b5e881 Merge pull request #3039 from ismailsunni/fix_2746_remove_entire_area
8ba30ae update exposure layers with new keywords
3047ea2 Small pep8.
4f0e2b6 Merge branch 'develop' of github.com:inasafe/inasafe into fix_2746_remove_entire_area
01d767d Revert back changes.
5f66469 Fix #2746. Skip post processor for road and structure if entire area.
b233e6b Merge pull request #3043 from Gustry/reports-units
4bcbce0 More dirty hack.
9de71c9 add units in roads/places reports and refactoring
459626f fix #3034 - remove duplication of hazard and exposure concepts in def… (#3035)
d289b54 Merge pull request #3041 from Gustry/ash-places
7183458 Fix #2966 - support more formats than just png for custom map north arrow and organsiation logo (#3040)
b272869 Merge branch 'ash-places' of https://github.com/Gustry/inasafe into realtime_ash
560a80c Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime_ash
e4b221c Add backend celery infrastructure for Ash Realtime
ce10c83 add airports dataset
6bdad15 ash on places
dd5fb62 Merge pull request #3033 from ismailsunni/ash_people_if
5bc861b (realtime_ash) uncomment logo path calculations
1855392 Update Ash template
8750116 Removed the impact merge tool. fix #2909. (#3036)
a41c4fa Fix failing test.
05110c4 Merge branch 'develop' of github.com:inasafe/inasafe into ash_people_if
82da242 Merge branch 'develop' of github.com:inasafe/inasafe into fix_2746_remove_entire_area
0381c0e Merge pull request #3038 from inasafe/update-pycharm-logo
27032be Fix #2746, remove Entire area.
f769a72 More appropriate URL
2781cc4 Merge pull request #3011 from Gustry/memory-error
ae31a4f Update PyCharm logo
842412c Add pdf generation tests. Fix tests.
7d25272 Impact data should be in raw format.
4316978 Code standarads.
a6f69bb Another fix failing test.
addc65b PEP8.
677a5a1 Merge branch 'develop' of github.com:inasafe/inasafe into ash_people_if
3c369eb Fix failed test on travis.
2e89716 Replace people with population.
3e5c163 Merge pull request #2995 from lucernae/develop_functionality
51b7e89 Merge branch 'develop' of github.com:inasafe/inasafe into ash_people_if
6c9ea59 Make test.
d48df20 refactoring report templates,merging child class buildings and roads (#3029)
a74440c Refactor how notes are handled (#3023)
b04125d Cleaner approach.
98d8a6c Merge pull request #3032 from Gustry/data
c23e097 It works but not good result.
d205a5a update dataset to 3.5
23a5dda Ash raster on population is running, but need to check the result.
a6883d9 Initial commit for realtime ash report test
93bbf9f Add initial commit for Ash Raster Population IF.
c35eda5 Add ash raster IF to loader.
05177a5 Update keyword version.
de17325 Merge pull request #3005 from ismailsunni/fix_2913_peta_jakarta
a334e4f Fix docs
045164e (rizky/develop_functionality) Merge branch 'develop' of github.com:AIFDR/inasafe into develop_functionality
fda53e2 Move metadata definitions one level up.
b30586b Merge pull request #3021 from ismailsunni/fix_2926_missing_keyword
a68ac1f Fix merged conflict.
40cd1a2 Merge branch 'develop' of github.com:inasafe/inasafe into fix_2926_missing_keyword
2d251c3 Update string for message.
a04ae55 (rizky/develop) Merge pull request #3003 from ismailsunni/fix_old_keyword_problem
dd6e3f0 Use suggestion style instead of info style
73ee39d Merge pull request #3025 from Gustry/fix-2921-minimum-needs
f0d53bb Merge pull request #3000 from Gustry/layer-visibility
8f58ef4 Merge branch 'develop' of github.com:inasafe/inasafe into fix_2926_missing_keyword
0e15cf8 Merge pull request #3024 from Gustry/road-report-summary
7c283c3 minimum needs : add a button to restore defaults
f842a44 fix tests
663d52b reverse the impact summary for roads report #2950
2d5ebe9 Add more comment and add more catcher.
f08a60b Add header.
f7aa865 PEP8.
6c18546 Merge branch 'develop' of github.com:inasafe/inasafe into fix_2926_missing_keyword
1638e1b Add message for missing keywords #2926.
502024d Merge pull request #3008 from Gustry/clean-reports
e1fef25 Merge pull request #3017 from Gustry/missing-translations
d2bcf05 add missing translations in notes
ccf555b add missing translations in the road/building report
3f9ddca Merge pull request #3016 from Gustry/remove-threshold
71629de Merge pull request #3015 from Gustry/translation
c60b182 Remove print and add clearer comment.
c17efb4 fix tests about threshold
5fc288b Remove the building threshold fix #2932
ad1ce2f fix translated legend and attribute table
2b4cbe0 Merge pull request #3013 from Gustry/fix-2858-not-affected
d59008e fix #2858 not affected legend in classified raster building IF
c69daba display a nice error message if MemoryError
8da9426 fix landcover imported twice
c60c11c fix the question inheritance
58e0f00 use more POO in reports
ca5d1c0 Call Report constructor in each IF
d21fd11 Merge pull request #3010 from Gustry/data
96cf7e6 remove potential-idp, add grid jakarta and landcover to the test layers
e47aae3 Merge pull request #3009 from Gustry/fix-travis
bac97d8 fix failed tests in qgis_testrunner.sh
45fd12d Merge branch 'develop_functionality' of github.com:lucernae/inasafe into develop_functionality
0c0289a fix imports
5de3b16 (inasafe-2804) Merge pull request #2979 from Gustry/travis-docker
339a232 Add missing keyword data test.
bd0d5bd Show proper message when there is invalid keyword.
ce57b10 Merge pull request #3004 from Gustry/tr-osm-downloader
63d04d2 Merge pull request #3002 from Gustry/unicode
3cd12fd add translations for countries
b165c73 Do not read impact layer's report when there is zero impact.
8321521 Fix #2913 for key error classified polygon population IF.
3db7717 use unicode if the layer name has some accents
9f80443 Better handling in wizard for MetadataError from old xml keywords.
7b29978 Merge branch 'develop' of github.com:inasafe/inasafe into fix_old_keyword_problem
0814e82 Merge pull request #2999 from ismailsunni/fix_2969_minus_number
fa3cc9f Fix tests
01e7323 Fix failed test.
098370a Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
77be0c4 Fix failed test.
cb442cb Fix #2969
611f930 copy the dock behaviour to the wizard when the analysis is finished
be7eb21 Show if we are running slow tests
8f18921 Merge remote-tracking branch 'upstream/develop' into travis-docker
e26d7c5 Fix test data.
2dd29ba make the exposure/hazard visible when we add them from IFCW
8009329 Merge pull request #2685 from ismailsunni/not_slow_test
30a8c7f Small pep8.
718fbe7 Skip slow test only on travis.
64e8183 Get rid off X in test name.
3bed92e Merge branch 'develop' of github.com:inasafe/inasafe into not_slow_test
fffdb5d Merge branch 'develop' of github.com:inasafe/inasafe into fix_2969_minus_number
9968edd Update keywords.
fca5aa0 Better unit test.
9c44536 Better unit test and fix small issue.
ea71aeb Add index column in test data.
ea1f922 Remove categorical IF parameter.
85aa367 Add more comments
b038f0f Convert unicode to string when store in vector.
7893e92 Use value map for classified raster hazard.
5dffedf Smaller test data.
b56c5bd Merge pull request #2997 from Gustry/labels-2925
2efbf52 Merge pull request #2996 from Gustry/logs-in-tests
450d22a improve labels in settings about layer visible
97709cf remove print or logs in tests
5ac3f26 use unittest.skip instead of renaming the test
c71c08b Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
31790d0 Modify land cover report mixin to include impact summary
6cbfa8b Add data test for #2969
e0ba802 Remove slow = false for consistency.
92edf2e Merge branch 'develop' into not_slow_test
0e9d79f Replace mark as slow with skip test.
f5f3e3c Merge remote-tracking branch 'upstream/develop' into travis-docker
dc76c8c Merge pull request #2988 from Gustry/change_test
12301fb do not put test in a function name if it is not a test
586679f rename tests
b76a015 fix how we launch the test suite
b83b0fe disable QGIS 2.8
81fe0a9 enable QGIS 2.8
936eaf8 travis config
7c2aa13 fix qgis_testrunner output
451b9fb tests disabled in docker qgis
d7252e3 Merge pull request #2981 from ismailsunni/fix_1128_update_provenance
de99d36 Removed duplicated show_osm_downloader method in plugin.py (#2978)
7854d12 fix #1317 - add minimum needs for SPHERE (#2983)
4ab3149 Add old invalid keyword test file.
0131d44 Pass when the metadata is outdated on loading to combo box. (#2976)
90b118a add qgis 2.8 and qgis 2.14 to travis
c95c317 fix tty
c57551b travis
614e08e disable clip raster because of the prompt in the UI
0ac3a30 Merge pull request #2982 from Gustry/qgis-testing-improvments
371c3ba Update test on metadata.
e4eb15f add qgis version in the test log
be4dfae fix if the real iface did not find the dock
ac75a3b add test utilities package
cd9f381 fix import Dock in tests
ce216e7 Update metadata
84b4599 Merge branch 'develop' of github.com:inasafe/inasafe into fix_2945_metadata_error
208b042 Add more information in impact layer provenance.
7ecdf06 Merge pull request #2974 from Gustry/test-menu
ae42829 Merge pull request #2837 from lucernae/develop-ash-raster-landcover
7e980f9 Pass when the metadata is outdated on loading to combo box.
425eab8 (rizky/develop-ash-raster-landcover, develop-ash-raster-landcover) Merge branch 'develop' of github.com:AIFDR/inasafe into develop-ash-raster-landcover
7b40aeb select test package
81031b1 Merge pull request #2960 from Gustry/travis-docker
a9c6d9d fix tests
d856656 Fix issue when running tests that required you to manually open the console first
8e2b766 fix import UI in tests
e8fe560 clean code
6154eed revert travis.yml
d2e121d Merge remote-tracking branch 'upstream/develop' into travis-docker
d23b743 Added button to launch tests when in developer mode
e761bd3 Merge branch 'develop' of github.com:AIFDR/inasafe into develop-ash-raster-landcover
d1a2364 make travis happy
ab2be38 travis tests dock
f99234d Merge pull request #2965 from ismailsunni/experimental_travis_test
348d3e8 Run full tests again. Make travis great again.
f666901 remove all gdal use exceptions.
14589a3 Fix wrong path to coverage.
25c5011 Modify coverage.
01f01b4 Revert back to run full tests.
c34ce83 Remove gdal exceptions.
406e837 Move up get_qgis_app.
67e39ae Use gdal again.
87f2509 Revert back QGIS App retrieving.
e807563 Remove gdal completely.
7c77e6e Revert logger and experimental things
fff97d7 Fix test.
40017b7 Put back gdal, but not the gdal exceptions.
e379290 Comment out gdal.
2107370 Verbos logger.
193e4a0 Comment out the code.
0b1155b Replace .click with actual function.
21c77e7 Wrong path to batch package.
a580a74 Remove .click from the test.
32c07fe Disable test run single scenario.
77246e8 Ignore test all scenario.
e319334 Only test tool package.
e31e4c1 Merge branch 'develop' of github.com:AIFDR/inasafe into develop-ash-raster-landcover
c053d6b Add new test data for ash raster landcover
22b24d8 test travis docker
c8f309d Merge pull request #2954 from Gustry/work-2385
1bf59e8 Merge pull request #2903 from lucernae/fix-2896
25183d8 Merge pull request #2950 from timlinux/faster-impact-on-roads
5f63d30 #2385 legend order in classified raster building IF
0f5e46c Merge pull request #2952 from Gustry/nodata-flood
aaa2965 Changelog updates for 3.4.1
c740a3a Merge pull request #2943 from ismailsunni/fix_failed_test_osx
bcba8d2 Changelog updates for 3.4.1
5aade10 Fix comments from Gustry for #2950
ec88d40 faster impact flood on roads
691c715 Fix failing tsunnami impact on roads tests
991887e Remove impact length test
3ba583e Remove debug and use <= 0 for dry
42ada46 Use gdal to get nodata and exclude dry cells too.
227b074 Merge pull request #2949 from Gustry/fix-2948-legend
6777518 Merged changes from upstream
5b4a4e0 Improvement for tsunami on roads IF performance - don't vectorise nodata raster cells
485bcd3 fix legend order when the layer is None
ad56ad7 Merge pull request #2904 from Gustry/empty-line-2318
7211b05 Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
2fbdce5 fix sentence about no data in the report
47f2992 add missing thousands separator
4698c72 fix tests
56745b5 update notes about no data and 0
8f54c25 remove empty lines from postprocessing outputs #2318
03c56f3 Merge pull request #2931 from Gustry/fix-2915-building-report
05998ae Merge pull request #2929 from Gustry/fix-2927
4efb4cd Merge pull request #2935 from Gustry/fix-2925-display-layers
7804718 Merge branch 'develop' of github.com:inasafe/inasafe into fix_failed_test_osx
9437d72 Merge pull request #2939 from Gustry/test-data
c9831a7 Remove print statement.
5d85708 Fix failed test in test_shake_grid.py
f0acf88 Update metadata to 3.5
fcf99f6 update test data after running tests with 3.5
6d10597 add setLayerVisible to the fake qgis legend interface
bc89e4f Merge branch 'develop' of github.com:inasafe/inasafe into not_slow_test
bd7cb04 fix #2925 set the layer visible when we add it the map canvas
1706a6e fix tests value mapping
dab93a3 Merge pull request #2905 from Gustry/layer-order-2899
f7f9b51 Merge pull request #2901 from lucernae/fix-2684
0f3612c Merge pull request #2923 from timlinux/develop
8ffdc93 Merge pull request #2919 from ismailsunni/fix_2908_shakemap_converter_error
eb65d82 Merge pull request #2924 from borysiasty/develop
e855790 add tests about the JSON in the generic polygon on buildings
c846af7 add categorized rendering to test buildings
28e66f4 fix #2927 enable lineEdit if the checkbox is toggled in settings
d884e25 [Wizard] Follow up the previous commit
0d329da [Wizard] Fix compatibility with recent QGIS versions. Fixes #2906.
cf3941b Merge branch 'develop' of github.com:AIFDR/inasafe into develop-ash-raster-landcover
5568f00 Merge pull request #2914 from Gustry/styles
1c317ce Merge pull request #2918 from ismailsunni/fix_2898_xml_character_handling
f63e7b8 [BACKPORT] Fix failing dock test on QGIS 2.15 (and possibly earlier versions).
3c812fa add missing map_title in EQ IF
623af40 Fix #2908, handle KeyError in keywords.
f12b9d7 Add test with special character.
121c74e Fix #2898. Handle special character in xml.
a1a7a09 fix tests
7635a04 make these legend parameters compulsory
a556385 add missing IF to automatic testing
3c884a6 move layer name and map parameters to metadata in earthquake IF
a7c21a7 move layer name and map parameters to metadata in inundation IF
61313a4 move layer name and map parameters to metadata in volcano IF
2984a5f move layer name and map parameters to metadata in generic IF
7d9e88e add get key in IF metadata
cf59886 remove "by each hazard zone"
d6ab3af fix #2899 impact layer should draw over the hazard layer
5549d1c (rizky/fix-2896) fix #2896
2f7b689 (rizky/fix-2684) fix #2684
c5e475c Merge pull request #2893 from ismailsunni/fix_2676_minimum_needs
0af1c7f Merge pull request #2894 from Gustry/typo-minimum-needs
57e41b2 Merge pull request #2891 from ismailsunni/fix_2773_remove.keywords
3a71c33 Add back test_vector.py but set keyword to empty.
e331006 typo
9d3e15c PEP8.
8a09c06 Compile translation strings.
cc586e5 Update translation.
e06f1ac Fix failing test in travis.
c378bbd Change data test keyword version to 3.5
f92abe8 Less code, less maintaining overhead.
9819026 Remove dead code and test.
e751d01 Fix failed test.
f2e4403 Removing dead code.
ac2c1bb Remove dead code on core.py and test related.
16f4eae Remove unused code in keyword.io
d661bdc Remove .keywords related part 2.
fd6601e Remove .keywords related part 1.
1017f23 Merge pull request #2888 from Gustry/fix-2884
1040ce6 Update keyword version in test data.
0f8ce37 Delete .keywords file
f685428 Set version to 3.5
39ecbb9 Merge pull request #2889 from ismailsunni/backport_3.4
b54e646 Merge branch 'develop' of github.com:inasafe/inasafe into backport_3.4
cef74e3 fix #2884 mistake in the tsunami legend
1c30d25 partial commit
73466f0 Merge pull request #2882 from ismailsunni/backport_fix_2880
828bb75 Fix #2880
ffc26f1 Merge branch 'develop' of github.com:AIFDR/inasafe into develop-ash-raster-landcover
550a6d1 fix tests
d5c70ed Merge branch 'develop' of github.com:AIFDR/inasafe into develop-ash-raster-landcover
a8d2e45 fix tests
0ea0224 Merge branch 'develop' of github.com:AIFDR/inasafe into develop-ash-raster-landcover
9d44ecc tidying up code
bb15b21 Add Ash Raster Landcover Polygon Impact Function Move register_impact_function to new module called loader (to avoid get_qgis_app deadlock when running individual tests of impact_functions)
9c94e15 (rizky/realtime-flood) Add HTML frame based report for impact summary
e71e59b Tweak IF report generation: Revise symbol counting method
4181dd5 Tweak IF report generation
d77a471 Update reporting code from InaSAFE 3.4 migration
580a88a Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
faec393 InaSAFE Headless: Add more information for filter_impact_function
52615af (ismail/not_slow_test) Remove not slow filter in travis.
167cf64 Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
7d6f648 include qml files for uploading
807bda1 modify headless tasks: read keywords

Changelog for version 3.4.0
================================

0864ba5 (HEAD -> master, origin/master) Merged in changes from develop branch
2ac0e5b (origin/develop, origin/HEAD) Merge pull request #2786 from ismailsunni/fix_missing_note
9ad3885 Add missing note in post processing table.
baeb749 Merge pull request #2771 from borysiasty/develop
d9e397b pylint fixes
ec82e72 [Wizard test] Use default assertion messages
ea87623 [Wizard test] Put the Dock object inside the class
6e97cd8 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
2c3d626 Merge pull request #2776 from ismailsunni/backport_2724
2467791 Update metadata's changelog.
bbd6fb1 Fix #2724.
6a8ccb1 Merge pull request #2767 from ismailsunni/land_cover_impact_data
3fa1d7a Fix failed test in travis.
31b10f2 Cleaning up code.
8392ac1 Add LandCover Report template.
eab45ca Add impact data to LandCover IF.
879d871 Add land cover report/data mixin.
baeb52c [Wizard] split test file into two smaller
89e2fe3 [Wizard] Improve test coverage
104d4a5 Pylint
68c1c51 [Wizard] Bugfixes
e1ed6c7 Make FlatTable converter to dict.
155283d Add read and write to json for FlatTable.
f750174 Fix merge conflict.
eb054e6 [Wizard] Improve test coverage
1185405 Merge pull request #2766 from timlinux/develop
0dd43a8 Merge pull request #2768 from timlinux/fix-2704
d795e1c PEP8. Merely triggering the travis.
c4e9ee9 Merge branch 'develop' of github.com:inasafe/inasafe into land_cover_impact_data
1224a2e Cleaning up code.
a10b608 (origin/fix-2704, fix-2704) Fix pep8
7a2f7d7 Minor formatting tweaks to help doc modules
ce07bd5 Merge remote-tracking branch 'upstream/develop' into fix-2704
87f3990 Merge pull request #2757 from Gustry/raster
765196b Remove unused code, update test in impact report.
2f625d7 Remove generate html and report from report mixin.
5fa75f7 Add json data sample for land cover IF.
d3bd0ae Resolved merge conflicts, backported fix for #2759
bfdc0e9 Fix for missing keyword in layer raising error
f49189f Merge pull request #2763 from Gustry/if-refactoring
e25316b fix test
11ebd31 small changes
9bc129e merge analysis_workflow in calculate_impact
c781712 add docstrings
23722ec add reclassify methods using GDAL
4f393ca add a polygonize function with GDAL
4974ec0 Merge pull request #2758 from ismailsunni/travis_cache
e02a8c3 Cache directory
544db4e Add cache in travis configuration.
c5067c0 Merge pull request #2756 from ismailsunni/fix_2754_error_aggregation_keywords
4582b8d Fix #2754, failed to set keyword for aggregation layer.
8af918f Merge pull request #2742 from ismailsunni/json_impact_data
55a2296 Mark some test as slow. I propose a unit test should be less than 10s.
ea7292d Change flood event to use json impact data.
dc20a65 Merge branch 'develop' of github.com:inasafe/inasafe into json_impact_data
eee2e79 PEP8.
b48ff05 Format generated json file.
6b76b6d Merge pull request #2753 from Gustry/metadata
6bb695c remove duplicate metadata in the wizard
c327ad2 Fix typo in file name.
1c73426 Fix merged conflict.
47e8001 Make test works on test_dock_regressions.
d45c311 Cleaning up code.
e5f5613 Update wrong test control.
0ab1f6f Merge pull request #2747 from borysiasty/wizard2
5c7ef08 Fix test save scenario.
5b1b28d Fix test minimum needs.
661f32e Fix test in test engine
b55bdd6 Fix failed test in test impact report.
0df7cbc Fix post processing report in dock and wizard.
fc03099 Merge branch 'develop' of github.com:AIFDR/inasafe into wizard2
fa4c1d3 Fix merged conflict.
38fb59b Impact Data for PostProcessing works.
0970a30 Able to generate json for postprocessing.
4a051a1 Merge pull request #2745 from ismailsunni/fix_2744_regression_people_polygon
dcf5ab4 Add sample of post processing.
4b0e903 Fix test impact function for land cover.
581adb3 Merge branch 'develop' of github.com:inasafe/inasafe into json_impact_data
b1d5c1c Merge pull request #2709 from wonder-sk/landcover_impact_function
50e7210 [Wizard] Try to fix the failing test
0683270 [Wizard] Make the test yet more verbose
66279ae [Wizard] More verbose test
39fb9d6 Better code style, PEP8.
95c44b4 Merge branch 'develop' of github.com:inasafe/inasafe into json_impact_data
b2a279d Fix another failure in refactor.
01f1523 Fix typo.
82d755b Add test for polygon people template.
c95ca2f Rename all to polygon people
48653a7 Add Impact Data for polygon population.
8fef48e Merge pull request #2748 from Gustry/grid-jakarta
e7f56ba (etienne/grid-jakarta) add licence files for test data
7903c32 add aggregation grid on Jakarta
abbabfb Impact Data in ClassifiedPolygonPeople IF.
e3824d0 Add impact data people polygon sample.
096c90b Format minimum needs.
45578ae Format impact breakdown for people polygon.
3524115 Format impact summary for people polygon.
da59567 More pep8 fixes
601051d [Wizard] Update tests
4012dd7 [Wizard] bugfixes
fe5944d Separate impact summary and breakdown
488b974 Fix merge conflict.
bb90872 Impact Data for FloodRasterRoadsFunction and TsunamiRasterRoadsFunction
bb94c75 Add test for generate data road IF.
066dd0a Add impact data for FloodPolygonRoadsFunction.
5bb7c7b Add template for road.
a5d283d Add impact data to road report mixin.
ad8d8cc Merge branch 'develop' of github.com:AIFDR/inasafe into wizard2
e3e21d6 Refactored wizard cleanups
e73073a Merge pull request #2741 from ismailsunni/fix_2740_update_exposure_map
96bbafa Add residence and reformat dictionary
b8fec15 Add road sample impact data
d49713c Add asMultiPolygon in checker. Fix #2744.
8da9206 Merge pull request #2716 from Gustry/volcano
5640b78 Merge pull request #2732 from Gustry/helper
60a9b62 Update expected result in test for #2744
23949ac Update data test to make it the regression clearer.
b8094a7 (martin/landcover_impact_function) Replaced Processing routines with own intersection implementation
c0e1f95 Better code style.
4f41178 Reproject aggregation layer before doing intersection with exposure
60e0ea6 Support also single event hazards in land cover IF
ac0c87f Docs for pivot table + fix if not all columns are present in data
807c0e2 Fix small typo to make Travis passing.
7a13c9f Fail early - raise exceptions where necessary
204bad4 Fix failed test in batch runner.
6c864ee Remove debug statements
657d257 Update control file to make the test pass.
dfcb905 Impact Data for ClassifiedPolygonHazardPopulationFunction.
430d498 Impact Data for ContinuousHazardPopulationFunction.
883186f Impact Data for ClassifiedRasterHazardPopulationFunction.
4c83788 Impact Data for FloodEvacuationVectorHazardFunction.
4e4d9e4 Impact Data for FloodEvacuationRasterHazardFunction.
132f404 Impact Data for TsunamiEvacuationFunction
6d11835 Impact Data for VolcanoPointPopulationFunction.
409ae55 Impact Data for VolcanoPolygonPopulationFunction.
5cc8502 Remove calculate impact.
7cb71fa Move calculate impact to IF base.
e6bd43c Merge branch 'develop' of github.com:inasafe/inasafe into json_impact_data
fb3bbb3 Better naming. Coding standard.
47b497b Add unit test for generate data for population.
67bb468 Fix failed unit test.
641ec01 Add unit test for population report template.
6f097b6 update the landcover in Jakarta instead of London
da3f666 fix pep8
36c39aa Impact Data work for Population IF.
ee92e97 Merge pull request #2733 from Gustry/timeout
8c2be9a Merge pull request #2726 from Gustry/osm-downloader
0448a67 Add proxy method to get proper template object.
27e2079 Add generate data for population IF
b098ead Backport recent changes in wizard to the refactored version
af5f92c Merge branch 'develop' into wizard2
cf02534 Fix merge conflict in test_wizard.
4cf1b04 Impact Data for VolcanoPolygonBuildingFunction.
fda6115 Impact Data for VolcanoPointBuildingFunction.
8a50c75 Hot fix for failed test in wizard.
945d3c7 Better path for test files.
3a2197f JSON file for testing impact report.
135736a Impact Data for TsunamiRasterBuildingFunction.
e041e90 Impact Data for FloodRasterBuildingFunction.
a56a845 Impact Data for FloodPolygonBuildingFunction.
4980b4f Impact Data for ClassifiedRasterHazardBuildingFunction
f0f4458 Remove html report generation from IF.
543ddd0 Impact Data for ClassifiedPolygonHazardBuildingFunction
b364c5f Fix PEP8 in wizard dialog.
2cccaaf Move wizard metadata to definitions.
d4c4846 Update structure and road value mapping.
d620d5b Fix failed to run the test in test dock.
145a779 Add method to handle template from layer, not json only.
071bc48 pep8
63557a3 Merge pull request #2721 from borysiasty/develop
f1583c2 Maybe this will make nosetests show the debug output
baeb372 use stderr to hopefully get the output shown in travis
6b04257 Fix tests, add debugging statement
1987e38 improve test buffer
4cf3d31 fix if the request is cancelled, the http response is none
23cd8d7 handle HTTP 509 if the overpass is busy
16badaf manage a timeout error from the overpass in the OSM Downloader
78f2b75 add debug helper functions
4041e5e comment
b3d6681 add some unit tests
a46cd75 Merge remote-tracking branch 'upstream/develop' into landcover_impact_function
754e498 Remove landcover IF parameter (replaced by exposure's keyword)
3f654ae Merge pull request #2730 from ismailsunni/fix_2720_develop
bc4ab16 Fix issue #2720
3f96a41 Create HTML from JSON for EQ building works in Dock.
1f62d7b Make template able to read from JSON file directly.
1c9f3fe Return html and message object. Add unit test also.
2f9f606 remove deprecated functions from QGIS
0d94b81 fix pep8
3716c53 minor changes in the OSM Downloader UI
25ae17c First unit test for generating report.
5ef3bfa Add report templating package.
085af3a Typo fix
ca987af Merge branch 'develop' of github.com:AIFDR/inasafe into develop
731c7c1 Write json on EQ building IF.
292774f Fix test in test_core
f4e814f Generate data for building IF.
995962e Rename exposure's value_map to value_mapping
44716b9 Add name and description placeholders to the wizard's temporary metadata
830327a Action list for polygon population.
1cb636e Action List and Notes for road IF.
b185ced Remove not needed variable.
709b78e Merge pull request #2710 from wonder-sk/metadata_changes_after_tests
4794f8f Merge pull request #2712 from Gustry/fix-network
d24b75e Wizard v2
92c1edf Add road and structure mapping
112f2c1 Fix test
6509640 Experimental bar chart for each land cover class in report
dae7f6d Reporting of impact per each aggregation zone, improved pivot table
ebad04d Initial implementation of pivot tables for IF reports
481dfca Helper class for calculation of aggregates of tabular data
e3bdbf4 Land cover report in two steps (1. get data, 2. format) without mixin
9cd71bf Use QGIS intersection alg for interestion of exposure vs aggregation layer
966e061 Initial support for aggregation for new-style IF
241b2f9 fix tests
b95e6eb Merge pull request #2659 from lucernae/realtime-flood
6a524e1 fix tests
3a2305a Fix failed test.
7f9b894 remove unused var
c4e70d3 Better code formatting.
e3442ae fix tests about volcanos
818f083 Fix failed test.
98a8d05 Separating format and data in IF population.
23ad31d removing geodesy module
20f5080 polygonize volcanos point, use QGIS api in buffering
7f14932 fix issues in shake template with new placename
a11742f Move action list and notes formating to base mixin class.
962b6e7 Move action checklist and impact summary for population mixin
bd8c963 Tidy up code.
e2da44c Fix failed test on building breakdown.
73dff97 Add value for fields.
8dfbb33 Fix test due to typos.
693d120 Fix QPaint device error.
0dab81d Separate building breakdown formating and the data.
94bc208 Styling for impact layer - high/medium/low
e8f4ef4 Take into hazard classes into account
8944d42 Separate impact_summary formating and the data.
c9b1209 Add classes to godzilla hazard
ee82204 Change format notes to notes method in IF building.
0e87e2c Fix tests
2f080f7 fix delete network reply after a download
d6f6ed1 Fixed report generation for land cover
121fe86 Update metadata of landcover exposure
e6c35b1 Update metadata of test landcover hazard layer
bdb2d83 (martin/metadata_changes_after_tests) These are automatic changes to files after tests are run
3e29add Make action list in better structure.
f62e987 Fix unit tests
22b44bc Add percentage of affected area for each land cover type
7c4352e Unit test fixes after addition of new impact function
425d647 Added unit test data for land cover impact function
960baa0 Added classified hazard vs land cover impact function
a1c91e0 Refactor method name in impact report.
b9000ef Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
a8a85f3 Merge pull request #2707 from easmetz/develop
ab00d75 (libby/develop) Merge remote-tracking branch 'upstream/develop' into develop
1816ffe ###Problem Peta Jakarta delivering python error
d2146c3 (libby/fix-2704) Changed name of help topic to match icon and gui title.
f43d5c9 ###Problem
8b1e7b5 Major feature Add:
1f8c453 First half of dock help being polished. In progress.
de0f1cd - Corrected capitalisation of "questions", "results" and "buttons" in Dock Help. - Bolded "questions", "results" and "buttons" in Dock Help.
5fb3c76 Corrected capitalisation of "Impact Function"
f755684 Corrected capitalisation of "Impact Function"
8c529c7 Fix import icon. Changed order of options in Analysis Area window.
c5d96fe Merge pull request #2705 from Gustry/if-refactoring
c3eb02d Reviewed extent selector help. Still in progress v3. Added information about bookmarks and Toggle Scenario Outlines
60b4ada Reviewed extent selector help. Still in progress v2.
d131d7a (etienne/if-refactoring) moving call to set_if_provenance in base.py
a1408f8 fix IF refactoring
d85339a Reviewed extent selector help. Still in progress.
9fa6e47 set the aggregation layer from the aggregator
c72664a Reviewed dock help. Still in progress.
10f84f0 removing check user_extent, clip_parameters will set the value
c43eda9 fix catch exceptions in IF
3b601c3 Merge pull request #2703 from easmetz/fix-2702
89b38b3 (libby/fix-2702) fix #2702 Review context help for OSM downloader dialog. Added new information about Political boundaries.
be9c3ee Merge pull request #2661 from Gustry/refactoring-if
19139e4 update tsunami on roads IF
38351f5 Merge remote-tracking branch 'upstream/develop' into refactoring-if
dabb8b2 Merge pull request #2695 from Gustry/tsunami-if-develop
87b14d3 revert refactoring intersect_lines_with_vector_cells
afadf04 revert refactoring flood_cells_map
f6063c4 add missing translations
13136d7 add translation about meter
a37d398 fix tests
4096e12 fix metadata tsunami on roads IF
3d132d5 moving call methods in tsunami if
6c115c7 refactoring tsunami IF (roads and buildings)
009cdce unit in road postprocessor
e2e4d71 add units on each rows, not on columns in the road report
8ce4df1 call mixin init in IF
8207092 add flag for add unaffected column in the road report
9fd02ea disable Flood On Raster IF for a tsunami hazard
354ce4f fix tests tsunami on roads IF
3c2f62d fix roads which intersect partially the hazard raster
7fe4c98 commit to the output every 1000 features
3ce82f3 impact report tsunami IF
1339811 update tsunami on buildings IF
ee91870 add tsunami IF init
46d0e56 Merge pull request #2690 from timlinux/fix-2689
4024dcc (origin/fix-2689) Fix PetaJakarta flood style to be consistent with PJ website
9b29875 Merge pull request #2668 from Gustry/fix-2361-roads-postprocessing
9f26536 update to "total affected" in the road type postprocessor
90ee863 fix hide exposure layer after an IF in develop
e554000 Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
144e4ba Merge pull request #2655 from Gustry/unicode
ab79f89 fix #2361 count roads length in post processing instead of features
a80eda3 (rizky/realtime-flood) Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
4702407 fix tests
46623c9 add small comments
dba7c81 revert builds.dbf to the previous commit 611d7b6
1a0373e refactoring the way we launch the IF
dfd799d cleaning some comments
001796f fix analysis in wizard
f6637c3 fix extent in IF setting
38094d1 (borys/develop) Merge pull request #2647 from Gustry/mistakes
cd98a1f pep8 and fix tests
7943239 remove import Analysis
7377395 Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
fb1bdf5 Major feature addition:
46f29bc remove analysis.py
af4f104 move setup_analysis
23348b3 Merge pull request #2656 from Gustry/aggregator
dcf0f1b Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
0686ed5 fix #2652: fix impact function addition over NaN values
3e2dc95 add realtime flood template
e7fd1f9 move run_analyse into IF
936fef2 create run_analysis method in base.py
bb942db Merge pull request #2658 from timlinux/develop
1f6d96a Fix issue if bookmark cannot be reprojected in extent selector
452cfd9 move setup_impact_function in IF
ad0f759 check if the excpetion got an exception parameter
5b88a33 move aggregator in IF
397c4b1 (rizky/develop) Merge pull request #2654 from Gustry/osm-buildings
935ed67 Merge pull request #2650 from Gustry/analysis
7db617d fix tests
b164727 unicode error if layers do not overlap in French
f321bf4 buildings 2.5D if qgis >= 2.14
a25ab6b Merge pull request #9 from ismailsunni/gustry_analysis
2a33d92 Merge pull request #2649 from Gustry/staging-osm
e3d48d5 (ismail/gustry_analysis) Import get_qgis_app for fixing test in IF package.
39ec83a Merge branch 'analysis' of https://github.com/Gustry/inasafe into gustry_analysis
907a11b Fix problem : QPixmap: Must construct a QApplication before a QPaintDevice.
d90f77a move postprocessor_manager in IF
16e6bec move setup aggregator
dee5df5 use staging osm-reporter if developer mode is ON and if it is not a final release
2790c49 Merge pull request #2584 from Gustry/optimal_clip
7807275 Merge pull request #2593 from Gustry/class-count
2223e92 fix test
5fc6324 Merge pull request #2646 from Gustry/multipolygons-osm
a895543 Merge remote-tracking branch 'upstream/develop' into optimal_clip
331d082 add South Africa and France to the OSM downloader
3595320 add multipolygons support in the OSM Downloader
3b3850c develop: add feature
57e684b Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
48bf35e Add celery deployment for realtime-flood
21f5a71 remove aggregation_test_impact_vector_class_count.xml
3ccdc70 Merge branch 'develop' into class-count
e94dde3 remove test about class_count and test data
1f377fb fix test tsunami_raster_building
b44b8e8 Merge branch 'develop' into class-count
6521e9e remove statistics in test files
5cd173f remove statistics_type in python
e61df6d move optimal_clip

Changelog for version 3.3.2
================================

afed399 (HEAD -> master, upstream/master) Merge pull request #2727 from Gustry/timeout
9645fef Merge pull request #2729 from ismailsunni/fix_2720
45eae08 Fix issue #2720
96f3c24 fix if the request is cancelled, the http response is none
8b44d90 handle HTTP 509 if the overpass is busy
e820ad7 manage a timeout error from the overpass in the OSM Downloader
431c4a4 Merge pull request #2722 from Gustry/fix-network-master
bafaca7 fix delete network reply after a download
9f610ef Merge pull request #2708 from timlinux/master
24b79c3 (libby/master) Merge pull request #2701 from timlinux/master

Changelog for version 3.3.1
================================

c3211e6 (HEAD -> master) ###Problem Peta Jakarta delivering python error

Changelog for version 3.3.0
================================

28318d2 (HEAD -> master, origin/master) Updated changelog for 3.3.0 to include tsunami on roads changes
988a12b (upstream/master) Merge pull request #2694 from Gustry/unit-master
2894f66 fix metadata tsunami on roads IF
9fc441c Merge pull request #2693 from timlinux/master
0b3fa7a unit in road postprocessor
6981387 Fix PetaJakarta flood style to be consistent with PJ website
c9697b2 Merge pull request #2692 from ismailsunni/translation-3.3.1
c6d9649 compile translation.
654c50c Update translation from transifex.
5f6bda5 Merge pull request #2680 from Gustry/tsunami-if
4351c9c Merge branch 'master' into tsunami-if
56a7ef1 add units on each rows, not on columns in the road report
c412d06 Merge pull request #2688 from Gustry/backport-2361
9686bf0 update to "total affected" in the road type postprocessor
a7a734d fix #2361 count roads length in post processing instead of features
2db13f1 call mixin init in IF
bcc8508 add flag for add unaffected column in the road report
0df0558 disable Flood On Raster IF for a tsunami hazard
a7a1b0d fix tests tsunami on roads IF
d85be58 fix roads which intersect partially the hazard raster
92459fc Merge pull request #2683 from Gustry/fix-exposure-layer
3e272d6 commit to the output every 1000 features
fd59cc5 fix hide exposure layer after an IF
f4533b7 impact report tsunami IF
6d6df96 update tsunami on buildings IF
b8d057b Merge pull request #2678 from Gustry/fix-unicode-exceptions
5a13373 add tsunami IF init
1e322e5 check if the excpetion got an exception parameter
c2abaf8 fix tests
333765d unicode error if layers do not overlap in French
5e58529 Merge pull request #2665 from Gustry/mistakes
ecaf13d Merge pull request #2667 from Gustry/fix-master-2663
30eb5aa fix 2663 in master
9b377e4 Typographicals errors
4e6d0e2 add missing bullets
cb21121 fix spaces in help
1a3d02f mistake
b695b9d mistakes in wizard dialog
91dc508 Merge pull request #2645 from timlinux/master
311820d Merge remote-tracking branch 'upstream/develop'
ab7f485 Merge pull request #2644 from ismailsunni/translation-3.3
3e3e866 Updated metadata.txt to final
748e78f Resolved merge conflicts with develop
ffe878a Compile translation strings.
0258e92 Update translation.
6941c8b Merge branch 'develop' of github.com:inasafe/inasafe into translation-3.3
a897f46 (develop) Merge pull request #2641 from ismailsunni/remove_death_code
169b645 Update string.
a777b48 Update translation from transifex.
d27bf4e Merge branch 'develop' of github.com:inasafe/inasafe into translation-3.3
5ea1cb3 Remove dead code. Styles.py.
a13105f Merge pull request #2640 from timlinux/develop
e4fb933 Small typo fix in petajakarta help
9c9e1e1 Fix issue with styles for flood on polygon pop when class field is an int
b4715a1 Merge pull request #2638 from timlinux/develop
21f77c0 Merge pull request #2639 from ismailsunni/update_data_test
3c1d3f5 Remove unused method. Trigerring travis.
a8c7f5e Update strings.
f37c3de Update translation from transifex
c32f659 Merge branch 'develop' of github.com:inasafe/inasafe into translation-3.3
2cdf084 Use FloatTuple for resolution in data test metadata xml.
d5a8f4f Merge pull request #2472 from timlinux/fix-2471
91771f1 (origin/fix-2471, fix-2471) Updated style and XML template for PetaJakarta
602577a Fixups for petajakarta flood styles
f1b8c82 Revert changes diverging from upstream
b01c57c Merge changes from upstream
4b9428d Metadata updates
b7b4d19 Update strings.
d1b6886 Update translation from transifex.
c2ed2c6 Merge remote-tracking branch 'inasafe/develop' into translation-3.3
6c30014 Merge pull request #2551 from Samweli/develop
8694c26 Merge pull request #2634 from ismailsunni/fix_2553_hair_loss
5656613 Fix docstring for classes.
4bdd1f5 Remove misleading comments.
3b3d1a4 Merge pull request #2635 from inasafe/issue-template-2
2d53e23 (upstream/issue-template-2) Create ISSUE_TEMPLATE.md
b208e96 PEP8
df05ca7 Add FloatTuple property for resolutions.
9c8c029 Update data test from tuple to float (resolution)
24d0880 Fix merged conflict.
3e7f60b Use resolution as float, not tuple.
40f8260 Add project for the issue.
1c84f91 Fix expected values.
4c67b81 Move test dock regression to separated file.
b2f20bb Remove unused test data.
5b3cc26 Merge pull request #2627 from Gustry/type-error
1afc59e Updated PJ downloader to work with new API. Removed date and area level options
9f75b4e Resolved merge conflicts
37d2e6e Resolved merge conflicts
e38f5da A little formatting change to wizard
5e70990 Merge pull request #2633 from ismailsunni/fix_2623_json_seriazible
d5db6ed Remove unused code.
81ab832 Move encoder to different file and pep8.
22bbf48 Add more cases for encoder.
a4b6c37 Make the metadata json work for date.
d2eb7ea Add case for QUrl for json metadata writing.
b261b60 Make metadata able to read datetime from json.
3cd36c2 Add more case for json write.
7ddb2ca Merge pull request #2601 from lucernae/develop_functionality
defefad Add special encoder class for inasafe metadata
121d57d Add url and date in the xml
6012e3c Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
c20625b fix #2626 be sure that we have unicode for unique values from a layer
6c7379b Merge pull request #2621 from Gustry/extent
d4cff80 Merge pull request #2622 from ismailsunni/fix_legend
2b80262 Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
121010f Major configuration update:
fdf22c9 Add Readme for InaSAFE-Headless
e0097f1 Uses python requests to download file
c0775e4 check if user_extent is None
7cdb135 Add more suitable data test.
56f94ac Fix legend to use greater number than preious range.
ccc0474 fix #2604 check if the user_extent is well defined
14c1fa0 Merge pull request #2620 from Gustry/osm
a3af306 Merge branch 'develop' into osm
1e6d414 Move celeryconfig declaration
9956c57 Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
0c188d4 Merge pull request #2616 from ismailsunni/fix_2603_update_LanguageCode
f61b724 Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
478a8c7 update keywords for the OSM tile layer
6806b19 updated test with new changes
eaf3e92 Merge pull request #2619 from Gustry/fix-2618-extent
0d5f06b fix 2618 : x min and x max in GUI
3585976 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
1dafc0d impact layer now showing YES zone only
6b26997 Merge pull request #2608 from Gustry/network
a69537d (origin/inasafe-2553) Merge remote-tracking branch 'upstream/develop' into inasafe-2553
e178a69 Update string.
e361bb4 Update from transifex.
9f2110c Merge branch 'develop' of github.com:inasafe/inasafe into translation-3.3
00efde9 Merge pull request #2614 from ismailsunni/fix_2612
6815434 Merge pull request #2617 from ismailsunni/develop
940a74b Merge branch 'develop' of github.com:inasafe/inasafe into develop
1418f67 Fix typo.
f7d2a0b Update translation.
28481f5 Update translation from transifex.
da5980b Merge branch 'develop' of github.com:inasafe/inasafe into translation-3.3
24ad164 Add new end line if not exist in metadata.
c89a6f1 removed no zone featurea in impact layer
9d871d6 Merge pull request #2615 from Gustry/qgis_version
f81ea1c Update LanguageCode to English
a01e238 qgis version and language in osm downloader url
5da9d0e fix test for <2.11
2513c3e Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
efe9b1c fix empty environment variable cases
ba89edc fix test
8182d77 Change single to once, and reformat Tanzani minimum needs to be more readable.
093420a Add values to map legend. Fix #2612
0ba6fb9 Merge pull request #2611 from ismailsunni/fix_2609_target_field
56c6484 PEP8
f263dd2 Add missing keyword in IF Raster Tsunami #2609.
cd7c751 Merge pull request #2606 from ismailsunni/fix_2605
6f775c6 fix #2588 remove the URL request if we get the data
e73b809 Merged ismailsunni:Samweli-develop
53ee3fe returned test data state
38ddf93 returned deleted exposure.sqlite file
4ab8bd9 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
8bc5d19 Fix typo that make the calculation weird.
98fafa2 Update test control.
73b2668 Merge remote-tracking branch 'ismail/Samweli-develop' into Samweli-develop
310c58e Update unit test.
3a9c82e Add Null value in the data test.
4e4ff92 Merge branch 'develop' of https://github.com/Samweli/inasafe into develop
a3435e4 Changed population to people
cdd472c Fix #2605. Read from xml first then from keywords.
d578633 Add invalid .keywords file for testing #2605. It will fail on test_dock.py:test_validate.
ed3b8f6 Fix misleading exception message.
0453e33 More change from population to people.
d7ae9bc For #2554 - explicitly test with resampling enabled and disabled
040ecb1 Merge branch 'develop' of github.com:ismailsunni/inasafe into develop
e8d1869 resolving conflicts
a9355d5 Working test for 2553 when resampling is off
dbec594 (inasafe-2553) Fix error trying to compare message in test because it is not text
c2570ad Added also test to check that keywords have not been sideloaded from another layer
b64f9f0 Merge remote-tracking branch 'upstream/develop' into inasafe-2553
669ab24 Updated test datasets to fix keywords and ensure allow resampling and not allow resampling are set properly
fab9718 Update test file metadata, add read iso metadata tasks
dee103c Change population to people.
86fbdac Add notes in the report about Null value
29bdf6b Add Null value in the data test.
6a3940f Accept Null as zero.
b2828e3 Merge branch 'develop' of github.com:inasafe/inasafe into Samweli-develop
ec0cd70 Merge pull request #2602 from Gustry/tr
b563201 remove translation in the OSM downloader test file
a6868b7 refactor analysis changes of inasafe 3.3
41549b0 Updated tests for 2553
0deea81 Merge pull request #2444 from lucernae/develop_functionality
df2ac50 Fix tests: update keyword file read tests
7c052e4 PEP8 in wizard.
8ca7245 Refactor variable name.
536f73f Add new string for wizard per #2596
7e087d1 Add more explanation for extra keywords.
de7d7b6 For #2596, fix missing constant question and add area in population.
0014ab6 Use title case for layer name.
e9e8f2f Merge branch 'develop' of https://github.com/Samweli/inasafe into Samweli-develop
60a9cf2 Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
ce9d08e Merge pull request #2536 from lucernae/realtime-flood
351ccd2 Merge branch 'realtime-flood' of github.com:lucernae/inasafe into realtime-flood
6c6d6e0 Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
0a0fe6e Merge pull request #2492 from timlinux/standards
da77d6c (origin/standards) Fix unintended indent
840f0de Fixed indentation error
0259dca Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop_functionality
1e694c7 develop headless celery based task
7321b56 (standards) Merge remote-tracking branch 'upstream/develop' into standards
4c8c9aa Small typo fix
f0bc833 Merge remote-tracking branch 'upstream/develop' into inasafe-2553
b90ec4f Merge pull request #2597 from timlinux/develop
498856e Updates inasafe_data sha to use qmls tagged as version 2.8.1 Wien
476a9b6 Fix formatting in metadata.txt
313ffd2 Standardise style version in all qmls
2b16341 Merged changes from develop and resolved conflicts
759fde8 Merge pull request #2595 from ismailsunni/fix_failing_test
8485a67 PEP8
51bc9d8 Fix failed test.
42b4463 Merge pull request #2564 from Gustry/fix-2468
8ef57db (ismail/translation-3.3) Update translation strings.
6ffaa94 Update translation from transifex on 25 Jan 2016.
af41f83 (rizky/realtime-flood) Merge branch 'develop' of github.com:AIFDR/inasafe into realtime-flood
4de0caa Update keyword version to 3.3, and uses .xml keywords file
63e3696 (etienne/develop) Merge pull request #2542 from ismailsunni/tsunami_raster_building_if
b1dcf1c Merge pull request #2591 from ismailsunni/fix_2410_error_report
083c2b9 (ismail/tsunami_raster_building_if) Merge branch 'develop' of github.com:inasafe/inasafe into tsunami_raster_building_if
af9d701 (ismail/fix_2410_error_report) Better building usage count. Add categories as parameter.
791e402 Merge pull request #2590 from ismailsunni/fix_2235_huge_difference
4fe001e (ismail/fix_2235_huge_difference) Add more detail in unit test
1a6ef37 Add the matrix not the number of displacement. Fix #2235
9d904a0 Tidy up code.
320c0bc Moved #2553 test to dock
3aeef46 Merge remote-tracking branch 'upstream/develop' into inasafe-2553
0ba5f8f (ismail/develop) Merge pull request #2580 from ismailsunni/fix_2529_zero_transparent
35442b6 (ismail/fix_2529_zero_transparent) Merge branch 'develop' of github.com:inasafe/inasafe into fix_2529_zero_transparent
bfd5ef0 Merge pull request #2586 from ismailsunni/fix_2585_qdate
58803ea Fix typo that makes the problem before.
1a7ee4e (ismail/fix_2585_qdate) Show only date in keyword wizard date selection.
7806efa Show proper format of date in dock and wizard.
485d354 Add notify REST API when new shakemap is pushed
c438037 Add error checker for incomplete grid.xml
2cc1bc3 Merge branch 'realtime-flood' of github.com:lucernae/inasafe into realtime-flood
4672133 Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
868d5e5 issue #2438: add tests for issue
71ed12d Merge branch 'develop' of github.com:AIFDR/inasafe into develop
2a6692f corrected values in impact layer style
efda664 Fix merged conflict.
16b2ecf Merge pull request #2582 from Gustry/clip_parameters
e913246 changed the way of creating impact layer style
cbfc4e3 (etienne/clip_parameters) pep8
53a1fe6 store the viewport extent instead of the map canvas
58f8b8d Merge branch 'develop' of github.com:inasafe/inasafe into fix_2529_zero_transparent
67fe710 PEP8
faf9cfa Set all transparency to 0 if not value = 0
27d04f7 (etienne/fix-2468) add threshold to earthquake
4eacdb6 move var in base.py
bcf789d fix clip_parameters in analysis_handler
2a3331d Merge branch 'develop' of github.com:AIFDR/inasafe into develop
de7d7e3 changed impact layer style creation
6962546 revert wrong commit on test data
ea580ca fix aggregation layer setter
31c9616 fix errors
a34c7e0 move clip_parameters
bf69f4b Merge pull request #2581 from ismailsunni/fix_2530_no_unaffected
8ba064d added checker for population number
125395e fix DOCK test init
a70108e disable building threshold in earthquake
a14a6cb Merge branch 'develop' of github.com:AIFDR/inasafe into develop
358100f updated comment on the new function
f65cb35 fixed logic for querying hazard levels
7080c04 fix docstring and typo
16ed41a Merge pull request #2579 from Gustry/crs
d20904e Merge branch 'develop' of github.com:inasafe/inasafe into tsunami_raster_building_if
a3ff9d8 Update data test.
817a5b5 Fix failed test.
0fc7cb8 (ismail/fix_2530_no_unaffected) Add unaffected population in report in IF Flood polygon poppulation
394c622 Set transparent for raster value = 0. Per #2529.
c6cd621 move clip_parameters function in IF
1b47004 use QgsCoordinateReferenceSystem instead of integer EPSG code
a95bc0f Merge branch 'develop' of github.com:AIFDR/inasafe into develop
c55f123 refactored code in the new IF
4383b98 Merge pull request #2578 from Gustry/message
7faaeb8 move message prerun
4f54274 Merge pull request #2577 from ismailsunni/fix_2569_url_field
987a145 Merge pull request #2574 from Gustry/safelayers
f9c7879 (ismail/fix_2569_url_field) Clean up unused code in keyword_io.
9c6771e Only handle for QUrl object.
94186d3 Merge remote-tracking branch 'inasafe/develop' into fix_2569_url_field
cef1a5f fix test, change AggregationCategorical to BuildingType postprocessing
139a696 add building_report_threshold in every IF using building mixin
63506e4 add maximum value
66d2423 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
88d555b changed new IF exposure unit to count
0d9e9fa Merge branch 'develop' into fix-2468
94f508f fix text : set self.building.report_threshold
62db93d use SafeLayer in Analysis
61a00a1 Merge pull request #2575 from ismailsunni/fix_2570_format_int
829acda Fix URL extra 'code' in keyword in dock.
9f67ced Merge pull request #2573 from ismailsunni/fix_apostrof
e68febc Merge pull request #2568 from ismailsunni/fix_2545_report_order_consistency
c6069f1 (ismail/fix_2570_format_int) Format number of pop in action list.
37411e7 setup IF function before layers
e30ff1d (ismail/fix_apostrof) Fix apostrof.
74306c4 Tidy up code.
5c35d43 Merge pull request #2566 from Gustry/self
2684934 (ismail/fix_2545_report_order_consistency) Reorder impact report in population IF .
6bdc67f use self.exposure and self.hazard in analysis
199b170 rename hazard, exposure and aggregation in Analysis.py
2859c86 add threshold parameter to the building postprocessor
28af506 set the threshold in self
707b667 Merge pull request #2563 from Gustry/space
ea4c0d5 fix missing space
d10d4d2 Merge pull request #2557 from Gustry/safe-layers
6852bef Update strings.
f011732 Pull translation from transifex.
3015911 fix missing spaces
5d861db downgrade versionadded in safe_layer
d5ae660 Merge pull request #2559 from Gustry/clip-param
2892bd7 Merge pull request #2556 from Gustry/tr
8fb7a82 Merge pull request #2561 from ismailsunni/value_mapping_key
ab7dfca (ismail/value_mapping_key) Fix test.
3b1e574 Use definition's key as key in value_map keyword not definition's name.
6f5745e clip_parameters : replace the list by a dictionary
661c68f Use unaligned clips for test data for 2553
39f90cd add docstrings to generate_insufficient_overlap_message
a763fac add methods to safeLayer
01c315e refactoring signals in safe
2879139 added minimum needs function in the IF
6e59f43 refactoring signals
5d059d7 use safe.utilities.i18n.tr() instead self.tr
df04100 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
e5d3d91 removed usage of area_type in IF analysis
a06019a Merge pull request #2554 from Gustry/etienne
9dc1b85 add myself to travis
28fead4 fixed test_run in new IF
971a021 updated the test for IFCW
5db8f80 Merge pull request #2550 from ismailsunni/revert_deleted
d4fd93b (ismail/revert_deleted) Update data test.
7e460c3 Update data test.
68dbe88 Revert accidentally delete.
a8d0c81 fixed 5 travis fails
45da907 fixed conflicts with develop branch
4edc8e7 changes according to #2543
08960bc Merge pull request #2546 from ismailsunni/fix_2385_sorting_hazard_classification
d91ab1f (ismail/fix_2385_sorting_hazard_classification) Fix failed test in test_wizard_dialog.
edf8442 Change to High, Medium, Low Hazard Zone
c06291f PEP8
3c82cb8 Re-order tsunami depth in impact report in tsunami IF population.
d15f36a Use value mapping in volcano polygon IF population to sort the result.
e88ca1f Update test to make it pass.
1b01752 Update name to more human friendly.
c0a0121 Use value mapping in volcano IF building to sort the result.
230636a Fix merged conflict.
99ca67b Merge pull request #2548 from ismailsunni/backport_from_master_2527
7e34526 Merge pull request #2539 from ismailsunni/iso_keywords_3
c403903 Fix order by using Vector Classification in classified polygon population IF.
f31ecf8 Add get_qgis_app to avoid error running one test.
8424cb8 Fix failed test.
7974568 (ismail/backport_from_master_2527) Remove some more unneeded files from plugin installer and fix version number reference in release.sh script.
4e1d509 Small fix to nsis plugin exe generator logic
13de436 Use Vector Classification to sort the hazard level in report.
8eee33c Fix wrong refactor.
ddaf518 Pull out definition method from KeywordIO class.
2b207f5 Put the hazard order from high to low in flood and tsunami IF
44fcd7b Merge pull request #2544 from ismailsunni/fix_2425_IF_volcano_unit
9dc5063 (ismail/fix_2425_IF_volcano_unit) Move population breakdown to above total affected.
2e9f1fa Use radius in IF Volcano.
31c247c Set maximum number of distances to 8
f644853 PEP8
d0aebdf Use proper km in Volcano Point IF Population.
0dfa119 Use kilometers in Volcano IF Building.
9876400 Fix failed test.
7b9f196 Add a better notes and coding style.
e126a60 Update color and add dry zone.
01a110e (ismail/iso_keywords_3) Change keywrod version data test to 3.3
b37c63c Add better color style for impact layer and help in IF parameter.
ffda2a1 Fix failed test and remove tsunami from flood raster IF.
f759eba New IF works in test suite but not in QGIS (crash).
de2714b Add notes for tsunami raster building IF.
6280ea2 Merge pull request #2541 from ismailsunni/revert_modify_test_data
4cafeaf Add low, moderate, high threshold for tsunami raster building IF.
611d7b6 (ismail/revert_modify_test_data) Revert test data.
1cf6c99 Merge branch 'develop' of github.com:inasafe/inasafe into tsunami_raster_building_if
1a19e42 Merge pull request #2540 from ismailsunni/fix_2384_unaffected_column
e68429c Fix failed test.
19060c3 Register tsunami raster building IF.
281a8fb Add tsunami raster building IF based on flood one.
0fe1e91 (ismail/fix_2384_unaffected_column) Fix failed test.
1b6f260 Add unexpected column for IF road.
ca33fc0 If IF use custom affected categories, do not show unaffected column.
9b3cf79 Remove not affected handling from IF volcano point.
4513745 Remove not affected handling from IF volcano polygon.
61f02d4 Remove not affected handling from IF Eq
0596e37 Put handling for not affected building in mixin.
d330a34 Add unaffected column in earthquake_building IF.
790e50f Add unaffected column in volcano_polygon_building.
7f476be Add allow_resampling properties
f24a1b5 (ismail/fix_2384) Update gitignore
106219b Update gitignore
5e4f051 Fix set IF provenance order.
6e34250 (ismail/if_provenance) Add proper start_time.
751ecaa Put set_if_provenance before generating keywords for impact layer.
bf6e136 Add new keywords to classified polygon people IF.
36200ad Add IF provenance in all IF.
4ba700b Read also IF Provenance for ImpactLayerMetadata.
e42c31f Add test_core.py
26fc7ad Add provenance to impact layer in EQ IF before returning result.
8a3a4dc Make metadata able to write and read provenance in json and xml.
0298f65 Make metadata able to write IF provenance.
d4c46f6 Fix test due to update if provenance.
637ed81 Adding method to save provenance to metadata object from dictionary.
8dfd8d2 issue #2438: add tests for issue
f03600c issue #2438: fix location source to come from BMKG
5e8d555 Merge branch 'realtime-flood' of github.com:lucernae/inasafe into realtime-flood
0c3e8b7 fix tests and refactoring
6e81b69 Adding if provenance step.
2aeeb1b Merge branch 'iso_keywords_2' into if_provenance
6e9a9a3 Merge branch 'develop' of github.com:inasafe/inasafe into iso_keywords_2
ef0fd19 Merge branch 'iso_keywords_2' into if_provenance
8b12b37 Merge branch 'develop' of github.com:AIFDR/inasafe into realtime-flood
6dab88c Use clone layer also for another failed test.
3ee8147 Add new xml file for data test.
4c39bb9 Use clone layer to avoid modifying test data.
7205a47 (rizky/develop) Merge pull request #2535 from ismailsunni/fix_2532
15de8de (ismail/fix_2532) Fix #2532
cc4c9e3 Use clone layer to avoid failing test unexpectedly.
a8640bd Merge pull request #2525 from ismailsunni/fix_2523
92c5fc1 Alway set keyword version to the latest version.
7168ee4 Use different keyword version, not taking from metadata.txt
7e7ed0d Update test after updating version.
b01fb76 Change version to 3.3
8244279 Delete no longer needed compare_version method.
1c5052e Use is_keyword_version_supported in wizard.py
87a825a Use is_keyword_version_supported in dock.py
5b5e961 Add is_keyword_version_supported method.
6bad151 Merge branch 'develop' of github.com:inasafe/inasafe into iso_keywords_2
20ace8b Merge pull request #2534 from Gustry/fix-2532
f953ae6 (etienne/fix-2532) fix var name #2532
90d9eef Add provenance for EarthquakeBuildingFunction
14f71df Enable adding data to provenance step.
a6a4f15 Remove duplicate ignored directory
06f0218 Merge branch 'develop' of github.com:inasafe/inasafe into iso_keywords_2
374e111 Merge pull request #2526 from ismailsunni/tx_configuration
1811233 (ismail/tx_configuration) Merge branch 'develop' of github.com:inasafe/inasafe into tx_configuration
ca8ffa6 Update transifex configuration to match with new projects
0314803 Delete unused file
661aa8f Merge pull request #2524 from Gustry/analysis
7215857 (ismail/fix_2523) Fix some test so that it's able to run individually.
b68c2ce Use get_unicode for output path pdf.
77e6627 fix indent
c52bf68 Merge pull request #2522 from Gustry/style
7e218f0 move setup_IF inside setup_analysis
1243315 fix test
88df6df analysis refactoring : moving optimal_extent and insufficient_overlap_message
e0adfa0 set the floodprone in blue
1955610 Merge pull request #2516 from Gustry/proxy
3eb5730 Update hash value for inasafe_data
a676b53 Merge pull request #2520 from Gustry/network
0a18144 fix error message if the server is down
b7a70de (rizky/develop_functionality) add generate report function
a9d69b5 Skip test since it's not used anymore in the new metadata.
c8963a6 Merge branch 'develop' of github.com:inasafe/inasafe into iso_keywords_2
8ca8508 Merge pull request #2518 from ismailsunni/Charlotte-Morgan-develop
3570e18 Update xml after running tests.
248c318 Remove old xml metadata code.
0f9c87d Fix failed test after fixing template.
7e3663e more fixes
846b74e remove file not used
d9feee7 ISO template fixes first pass
2c4d918 Merge branch 'develop' of github.com:AIFDR/inasafe into develop_functionality
9cb1233 PEP8.
1970d54 (ismail/Charlotte-Morgan-develop) Update test for @Charlotte-Morgan's PR.
b02e1da Merge branch 'develop' of https://github.com/Charlotte-Morgan/inasafe into Charlotte-Morgan-develop
46f3364 Skip no longer needed test.
c7f5e39 Update json control file for test.
14c3fa7 Update date time format.
d77537a Add datetime to date property
510a89d update docstring versionchanged
b351e97 add styles to flood test data and fix data audit for censur
2ec2042 Convert to String for source URL (QUrl)
30f415a Fix merge conflict
35a7581 Merge pull request #2517 from borysiasty/develop
55720ed Update hash value for inasafe_data.
ec9c841 Un skip a test (previously done for testing).
b60c7a1 Update keyword version and layer_purpose for test data.
88e5cf6 Fix weak extenstion slicer.
4cfc9bb Add patch for aggregation keywords.
103a9e5 Update test regarding layer_purpose.
b03c12e Fix test regarding generated xml file.
6ff3a7c Update test data keywords.
60a0659 Fix test in test_message_viewer.py
96b8717 Fix failed test in test wizard.
0ab02ee Remove missleading error message.
639ee76 Add keyword version for data test.
74e1089 Add some new keywords to for census metadata.
6f775b9 Add prob_fatality_mag to new metadata.
188ece8 (borys/develop) [Wizard] Yet another fix for repeated use.
f70155c [Wizard] Use standard QDateTimeEdit instead of QgsDateTimeEdit. Fixes #2515
85cb82b Ensure the 'non-matching keywords' table uses strings imported from definitions. Fixes #2349.
fa0fbb9 Fix serializing classified raster values
b2e3b0d [Wizard] Clear old inputs on repeated use. Fixes #2514 and #2467
4b0c659 #667 Use the network manager provided by QGIS and move it to the file_downloader file
35b9b66 Fix merge conflict.
c857e8a Update hash value for inasafe_data
f7705ca Update file control for metadata test.
a1632b2 Update test keywords.
675cbc7 Revert changes related to new key for aggregation metadata.
4cf9fac Update expected value to make test pass.
3e384cc Update test keywords.
1490431 Update keyword path in test.
22b6cc8 (charlotte/develop) Update default road action checklist
42e920d Update default population action checklist
f906ec5 Update default buildings action checklist
8687961 Update keywords for datatest.
6208683 Add tuple property
a999120 Update keywords path.
cd5375a Set keyword to generate file because it's never been saved.
1a7aec1 Read keywords again after saving to a file.
1f84a73 Fix keywords version and exception
5bd5dda Update test data keywords
c07596c Update test data keywords
b69d529 Update test data keywords.
647536c Add ListProperty
8844920 Add layer_purpose and keyword_version.
9b4e06c Add layer_purpose for generated aggregation layer.
b879727 Add keyword version to metadata if not found.
cc8d440 Add duct type to for aggregation attribute to return None.
5ff7094 Use default value in metadata as None.
3191a00 Merge pull request #2512 from timlinux/less-noisy
0924aa2 Merge branch 'develop' of http://github.com/AIFDR/inasafe into realtime-flood
9e08a6a develop #2476: Update tests and push flood logic
c80b5e8 Merge pull request #2511 from Gustry/network
d8802d5 (origin/less-noisy, less-noisy) Comment out many debug messages that don't contribute much and add a lot of noise to travis logs
889a742 Update keyword for aggregation.
9a359e3 Fix keyword_io copy keywords method.
bf8c553 Use additional type of exception.
c2e8733 Use old aggregation key.
faf5a6d Add more verbose exception.
b2d3349 use read_iso19115 for reading metadata
5fec957 Update data test metadata.
503fd98 Use read_iso19115_metadata to read metadata.
2c2022e inform the user about the network status in the OSM downloader
69c18e4 Merge pull request #2510 from Gustry/evacuation-center
cceff90 Fix for changing key in aggregation.
71482d9 Add test for old .keywords.
5c0b317 Change key for aggregation keywords.
5805081 Update metadata for aggregstion layer.
14b3d90 Add FloatProperty for metadata.
2f68c30 Update keywords for aggregation.
9b94c60 Resolved merge conflicts
3db5354 replace potential IDP by evacuation center
04cee5d Merge remote-tracking branch 'origin/develop' into standards
0745de6 Added note about using date picker for date in keywords editor.
bbe7182 Merge pull request #2509 from borysiasty/develop
cef742d Added flood prone areas change to metadata
0fd0703 Merge pull request #2501 from Gustry/floodprone
e51122a Merge branch 'develop' of github.com:AIFDR/inasafe into realtime-flood
9219279 Resolved merge conflicts with master
da783ea Change key for metadata in test.
8ec2bce Add boolean property
3a03795 Merge branch 'develop' into standards
47e2099 Merge pull request #2498 from timlinux/develop
69ce4a5 Update data test keyword
6327e0a update metadata
3b2f212 Update test data.
0a82135 Update test data's metadata
5a3c676 Automatically add keyword version
b28012b Fix failing test in impact function manager tests caused by introduction of bayes EQ IF
b4de3aa [Wizard] Get rid of rest of eval() statements. Fixes #2329
8597c0e [Wizard] Replace evals with KeywordIO.definition
1022c91 Merge remote-tracking branch 'upstream/develop' into develop
bfccb16 Merge branch 'develop' into floodprone
d80a5e7 [KeywordWizard] Use QDateTimeEdit for date keyword. Fixes #2499
77300a4 Revert commit eb489403bf
9f560fd Merge branch 'develop' of github.com:AIFDR/inasafe into develop
5d9d5b3 Merge pull request #2508 from timlinux/fix-2504
e9f87db (origin/fix-2504, fix-2504) fix #2504 - exception raised when messaging cell contains nested table or bullet list due to slashes param not being accepted by table class to_html() method.
2e090c9 raise error if no xml for file based layer.
c477db4 Update rule to catch invalid xml metadata file.
6d8b182 Push tags to upstream rather than origin
969ef5b Add more verbose exception message.
b9fb102 Fix test_update_keywords in test_keyword_io
8e57bcf Remove custom failed test message.
9b138a6 Merge branch 'iso_keywords_2' of github.com:ismailsunni/inasafe into iso_keywords_2
160ffb4 Update keyword to make pass test in test_io.
7ecd164 Fix for test in test reports.
1c49d85 Add keyword version in test data
955f4c3 Add more verbose Exception message.
69220b2 Add obtain specific keyword.
c150fe2 Add integer property.
afe12ce Add layer_purpose value to old data test.
7fd251b Update test data in metadata module.
236fca1 Add .xml to clone method.
543b887 Add target_field to impact layer metadata.
1f7122f Add volcano_name_field to hazard layer metadata.
75e1819 Add road_class_field to exposure metadata.
c7eef29 Add generate impact layer's keywords function.
a8db253 Add more versose error message
eb48940 Fix #2504
d43d148 Merged master changes to develop
c7ed150 fix typo in OSM downloader
5914bb7 add flood prone to the OSM downloader
bebaee0 Add more versose error message
ebecbff Update metadata.
b5468e5 Use .xml instead of .keywords.
e83c6a4 Update metadata.
68f3f2a Add date to metadata migration verificaiton
e3b00c5 Remove date in keywords (for now).
355c812 Forget about date for now.
98cc63a Add better tester when migrating a metadata.
41064ca Add Dictionary Property in Metadata.
7733079 Add better message to find missing keywords.
ed9b0cd Update xml file to iso 19115 if not found.
bc28009 Fix for failing test with ITB Bayes eq function introduction
68235e3 Try to read .keywords file if the xml file is not compatible.
31eb225 Migrate to use ISO 19115 metadata.
6cffa60 Added ITB Bayesian IF to registry and changelog
9adae3a Refactor metadata utilities location.
7c2c56d Merge pull request #2350 from dynaryu/develop
2f21e24 Update keywords file.
de1f217 Merge pull request #2493 from ismailsunni/changelog-3.2.4
4739796 Fix unicode reading.
d4ee522 Nicer asserts for wizard dialog
3bdd18f Dont use message param for unittest builtins as you get better diagnostics if you leave it out
26ebea9 (ismail/changelog-3.2.4) Fix travis and pypi link in README.
cd29284 Add changelog: add new IF Classified polygon hazard on polygon people
3c3bed5 develop #2476: major proper refactor and add realtime flood
e29fb0e Formatting cleanups to wizard
fd68360 Merge pull request #2487 from borysiasty/develop
2cabd21 Merge pull request #2483 from timlinux/keywords
148acd5 Temporary skip unit test.
38aa237 Merge pull request #2442 from Samweli/develop
a7613d9 Fix unicode frustation.
4fd6416 Remove trailing space. Use Cmd+Alt+L to reformat the json file in PyCharm.
2e45b2e changed more methods accordingly to the standards
49c53c7 Change keyword version to string.
98637ed added comments on unit test
b3c3f6b Add datatype to iso metadata. Need to be reviewed later.
ad0b951 Update test file for test metadata.
f14ea0a Fix missing space in json file.
b90196b Change document_date to date.
f805cc7 Update existing_impact.json after changing document_date to date.
fb9fd86 Always return keyword version as string.
3e2b354 Omit None value in ISO metadata from dictionary representation.
24515dc Add read_iso19115_metadata method and test.
221f82a Add create_iso19115_metadata methods.
548edb5 Add update_from_dict method for metadata.
95254f1 Fix unit test.
31a1db5 Add unit test
0d1f4be develop #2476: refactor realtime
3839486 Comment --with-id that makes the problem in ubuntu nosetests.
9b1951d Fix tests for test_clip_vector_with_unicode
d67bac1 Fix failed test: test_read_keywordless_layer.
2c4b37d fixed accidentally edited test
51194c2 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
9de3dcc formatted code accordingly to the standards
897f584 Merge branch 'develop' of github.com:inasafe/inasafe into develop
22c1fe1 Remove old xml metadata.
0459e99 Merge pull request #2486 from ismailsunni/wizard_additional_keywords
b4c711c develop #2476: support for PetaJakarta Floodmap
797aec1 [IFCW] After registering keywords in the KW sub-thread, don't display again the step from where it was called. Fixes #2347
0e1ba07 pep8 and Pylint fixes
6660f30 [Wizard] Add Keywords Creation Wizard confirmation step. Fixes #2422
ca08c97 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
c3a093d passed pep8
db1d325 Dont crash PJ downloader when @charlotte-morgan says she does not wish to create the non-existing download directory.
e3dfead Refactor PetaJakarta downloader to accommodate requests from @charlotte-morgan. See https://github.com/inasafe/inasafe/pull/2472
bb849bf (ismail/wizard_additional_keywords) Merge branch 'develop' of github.com:inasafe/inasafe into wizard_additional_keywords
069fa03 Resolved merge conflicts
8c3ed16 Add test for additional keywords.
f611e13 Merge pull request #2478 from timlinux/fix-2475
fa49b9f (origin/keywords, keywords) Fix for failing keywords tests
fced60c Use wrap_slash for filename cells
b9e7942 Added wrap slash functions in messaging so that long filename cells can be wrapped
827771f Resolved merge conflicts
4a3e818 Updated metadata.txt
964917d Working implementation of on the fly projection for polygon flood on building points/polys. fix #2475
2d87c4d Merge branch 'develop' into fix-2475
fd925f9 Initial implementation for #2475 - support On the fly projection in IF
0acd4d5 Added an entry for PetaJakarta downloader to metadata.txt
a38e216 Implementation for #2471 - add support for loading PetaJakarta data in QGIS
c471a96 First order implementation prototype for adding petajakarta data to InaSAFE
dc2433e refactored run function in the new IF
489bbad added icon for area
1aead6b (ismail/master) Merge pull request #2466 from timlinux/master
9303622 Merge pull request #2465 from timlinux/fix-2464
ba88e79 (origin/fix-2464, fix-2464) Fixed failing test for #2464
922bc87 fix #2464 - support point buildings when doing polygon flood analysis
f81091f checked for None type geometry object
c6dcd77 modified analysis only from selected extent
a48b212 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
36296e7 created new color symbology
97c0fbe Merge pull request #2447 from timlinux/inasafe-2446
4166ebf (origin/inasafe-2446) Merge branch 'develop' into inasafe-2446
fe3afdc Sort out more conflicts with master that were not merged properly
817fe82 Sort out more conflicts with master that were not merged properly
9d2df1f Merge remote-tracking branch 'origin/develop' into develop
754373e Resolved merge conflicts from master so develop is now in sync with master
13a6985 Merge pull request #2456 from lucernae/translation-3.2.2
5487cf1 Merge pull request #2458 from lucernae/update-raven
526ac85 (rizky/translation-3.2.2) Recompile and re add qm translation files
c6f2a5a Fix file attributes for qm files
c671446 (rizky/update-raven) Update sentry dsn for InaSAFE desktop and Realtime
e26efd5 Update translations
9248f6d Update strings.
21ab9f5 Update translation
2070618 Update translation strings.
1f1776d Exclude untranslatable strings from tr function.
973d0c8 Set version to alpha 3.2.2
ad1fafe Update strings translation.
de81ae4 Fix strings issues.
df5f474 Update translation.
7ac7137 Update strings.
c7f4ecc Merge branch 'develop' of github.com:AIFDR/inasafe into translation-3.2.2
cb81a44 Fix returning IF ids in list-function in inasafe
fe9c8c0 Modify inasafe-cli to return filtered IF list
6f40753 edited tests to comply with travis
95a53e1 a fix for one travis failure
c29bceb added check for area geometry before any calculation
355ff06 removed unused imports
6ff8aed Merge pull request #2454 from Charlotte-Morgan/develop
4513c5e using generic polygon for testing the new IF
8afe6fd modified new IF to use single and multiple events
c55ff94 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
8f8887c intersected census with the current flood data
ab3b634 fixed the s
8bd0c2a tweaks to context help
4dde811 tweaks to context help
058829d refactored methods in area report mixing
6c2f40a Add test-translation for fr, es_ES, af
b59b27a Update strings.
be5b0b6 Update translation from transifex.
4a54602 set develop metadata to alpha mode
a1f3ada Merge branch 'master' into develop
558f0d6 Merge pull request #2450 from timlinux/gource
07b8ce7 (origin/gource) Updates for gource
adcff11 added % symbol to all percentages in report
b52fcc3 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
56750c1 (inasafe-2446) Put the OSM layer always to the bottom of the legend.
00bd2e6 Added option to add OSM tile layer
f71c7e7 Move misplaced import
ed5340c Wrap function to read keyword file in KeywordIO
1c090af change on test layer legend index on dock
eb5cb4b updated test_run on the new IF
bfc2cef added licences for sample data
adbbe6b added realistic test data
c6d3229 Merge branch 'develop' of https://github.com/Samweli/inasafe into develop
54b8413 started code formatting
06e9228 Merge pull request #1 from timlinux/samweli-develop
ca48fcb (origin/samweli-develop) Code formatting and style tweaks
080bc65 cleared unwanted comment in test wizard
09b869d fixing classification failure
1e15abc a fix in test wizard
f2db14f fixed 1 error
a1c8656 fixed 2 failures in travis
c6297b9 fixed 6 failures
0886391 intergrated mixin usage in the new IF
0d95f25 Added area report mixin
d188b5f removed a large unwanted file
4e4d66d fixed merge conflicts after pulling from upstream/develop
df50234 fixed merge conflicts
ce9f0ef taking id & population from keywords
482a48d added the new IF
5ec6cca correct typo
a58dda6 change npy to csv for input
90c718b Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop
d375b4f add itb bayesian fatality model

Changelog for version 3.2.0
================================

40c5ad2 (HEAD, upstream/develop, develop, 3.2-release-prep) Merge pull request #2394 from lucernae/translation
5d9cabb translation
cfbeaff Merge pull request #2391 from ismailsunni/develop
b597c15 Merge pull request #2386 from timlinux/inasafe-2265
0b14adb Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
635e327 All is translated.
2570d94 Update strings.
2f18f08 Update translation from transifex
513e334 New string to be translated.
4e941fb Composer template update for A3 Landscape - see #2265
00ecadf Commit missing template changes for #2265 fixes
1bcaa23 Merge pull request #2387 from ismailsunni/develop
e61cf6c Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
3d7d1b8 Merge pull request #2383 from ismailsunni/develop
6c598a0 fix for #2265 - improve map layout and fix inconsistencies
7b13a75 Fix typo.
8983f5c Put new string inside tr().
39b5474 PEP8.
3a1fd6a Rename Null name field in aggregation layer to Unnamed Area [feature.id()]
ccf512d Add handlers for Null in messaging item and abstract_list
b513b65 Rename Null value for attribute's value in aggregation layer.
2b0da22 (origin/develop, origin/HEAD) Merge pull request #2377 from timlinux/inasafe-2313
fff2e8c Merge pull request #2379 from ismailsunni/apidocs_2
06e9529 Merge pull request #2378 from timlinux/2210
2e85e93 (origin/2210, 2210) Fix syntax error in aggregator.py
e037939 (origin/inasafe-2313, inasafe-2313) Fix failing test in #2313 branch
34145a7 Further enhancements for #2313 - improve keyword display. Added if branches for cases when we want to show values from definitions.py rather than keyword literal.
d6bd562 Further improvements to keywords display in dock. See #2313
8357391 Merge pull request #2375 from lucernae/realtime
dd17599 fix #2210 - Use context based feedback during analysis to properly reflect what clipping behaviour is in place.
4ba88f2 Merge pull request #2374 from timlinux/3.2-release-prep
e96dcea fix #2342: change report message
f3d2c8d Removed stray comment in keywords_io
ea18d12 fix #2313 - Use sensible ordering for keywords in dock.
eca7688 (inasafe-1212) Merge pull request #2371 from lucernae/realtime
ae22d3d (origin/3.2-release-prep) Updated metadata for release
f6e4f9e Fix potential bug with realtime extract process:
b9758be Merge branch 'develop' of git://github.com/AIFDR/inasafe into apidocs_2
33ad557 More explanation for make target.
82d5254 Fix favicon path.
a457496 Update directory again.
476d781 Update conf.py and make target
5937bbc Move to proper directory
c4129d3 Merge pull request #2368 from timlinux/inasafe-2367
c4d1a6e Update make target for apidocs
f2d18db (origin/inasafe-2367, inasafe-2367) fix #2367 - regression caused by #2322
c25bbca (inasafe-2357) Merge pull request #2364 from timlinux/inasafe-2322
6a6ead5 Update directory for better separating.
0b26209 Generated file from sphinx-quickstart
b0d05a1 (origin/inasafe-2322, inasafe-2322) Fix docstring in add above layer method
240e33e Use single line for method signature in add_above_layer as per @ismailsunni's PR review for #2364
10ce427 Fixed failing test for add_above_layer method in dock
b64b590 Remove old api-docs
d58ef29 Add make target for apidocs
1e1eccb In progress added tests for add_above_layer for #2322 - still failing though
35a7846 fix #2322 - ensure impact and intermediate layers are added directly above exposure and aggregation layers respectively. I also made various other tweaks and optimisations to the related code paths in dock.
cdfcacc Merge pull request #2363 from ismailsunni/develop
63c8f41 Set legend title for generic and volcanic IFs
cef2158 Set legend title for road IF.
a135c14 Set legend title for population IF.
b7d9247 Set legend title for flood building.
e8c733f Merge pull request #2360 from cchristelis/bugfix/2318
f594d63 Merge branch 'develop' of github.com:AIFDR/inasafe into bugfix/2318
2a98cd6 Fixing removal of large numbers in postprocessors.
687878a In progress implementation for #2322 - layer inserts but not showing in legend.
8b3a63c Merge pull request #2358 from Samweli/develop
1abf7fa Fix syntax errors for #2322
8afe885 Merge remote-tracking branch 'upstream/develop' into inasafe-2322
d6d0243 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
ce3f94b translated correctly the TZ minimum needs profile
e9c502d In progress fix for #2322
7740c52 Merge pull request #2356 from timlinux/parameters
81d2d9c (origin/parameters) Second part of fix #2355 - make checkboxes to the left of checkbox labels
4da2685 Part one of #2355 fix - make checkable group boxes formatting better and remove excess widget padding.
b3188dc Merge pull request #2352 from tomchadwin/develop
2be5e4f Travus: Move python-software-properties install from pip to addons
bc3107f Travis: Install python-software-properties via pip
d1f0be7 Travis: Avoid sudo for git install
fbd9562 Merge pull request #2351 from timlinux/pep8
4f23b5e Travis: Install packages via pip
ce5e333 (origin/pep8) Fix pylint
6c2672c Fix pep8 errors
7d889134 Merge pull request #2348 from borysiasty/develop
b225fef [Wizard] Fix main icon
c4a8929 Merge pull request #2345 from cchristelis/bugfix/2318
c529521 Merge pull request #2346 from borysiasty/develop
e7a67c6 Merge branch 'develop' of github.com:borysiasty/inasafe into develop
955e522 [IFCW] Fix the test
98932ef [IFCW] Try to fix the test
babe4b3 [IFCW] Embed the Extent Selector dialog in the wizard window.
14068ed Merge pull request #2344 from timlinux/osm-url
3cdfba0 [IFCW] Try to fix the test
bddf894 [IFCW] Embed the Extent Selector dialog in the wizard window.
0b46e81 (origin/osm-url) fix #2343 - Use InaSAFE uri for osm downloader
916a23c Merge pull request #2336 from ismailsunni/develop
1dce5a8 Compile translation.
bf6159f New translation.
f2a220a Translation file updates
4a31cd9 Add proper punctuations.
075c20f Fix merged conflict.
c67b271 Merge pull request #2341 from lucernae/indicator
cdc7311 fix pep8 & pylint
c040624 Merge branch 'develop' of github.com:AIFDR/inasafe into indicator
236f393 fix #2340: correct bug to clearly get the relevant shake id
b1d4812 Merge pull request #2339 from timlinux/3.2-release-prep
f7c31ad Updated changelog for release
185a1e4 Fix for #2260 - inasafe package is too big
26634c9 Merge pull request #2337 from lucernae/fix_pylint
d11b1f7 Merge pull request #2338 from timlinux/develop
0b6c86f fix timezone issues and bug in getting the last shake map
d231495 Fixes for broken wizard tests in PR #2333 in  Charlottes branch
8b33087 Merge remote-tracking branch 'upstream/develop' into develop
0c92063 fix_pylint: with some tentative modificatin
fae4fa1 (ismail/develop, inasafe-2336) Compile translation.
645b449 Add Spanish in translation.
da8f076 Translation file updates. All strings are translated.
38f50bb Translation file updates
395b4e6 Pull translation.
5642ae8 PEP8
75a6d5e Merge pull request #2330 from lucernae/indicator
945ccc3 [Wizard] String update
ebfaee4 Merge branch 'develop' of github.com:AIFDR/inasafe into indicator
2a3b7a9 fix pep8
24959f3 Merge pull request #2335 from borysiasty/develop
068437a [Wizard] Fix #2327
62c5f7d [IFCW] Properly detect layers with mismatching keywords version
952accd (charlotte/develop) update user facing names in definitions.py - take 2
4c0deab update user facing names in definitions.py - take 2
1e41f51 update user facing names in definitions.py - take 2
a899285 Merge pull request #2295 from lucernae/fix_zero_impact_exception
1c8ecc8 Merge pull request #2331 from timlinux/inasafe-2253
2c3dc2c update user facing names in definitions.py - take 2
d012926 (origin/inasafe-2253) fix #2253 0 remove scalebar from map template
009bf1b Merge pull request #2328 from timlinux/inasafe-2313
fe7c355 Merge pull request #2324 from cchristelis/bugfix/2318
c6b29ed Merge pull request #2315 from timlinux/develop
bdc682e Merge pull request #2326 from Charlotte-Morgan/develop
901ebda Merge pull request #2323 from borysiasty/develop
a6f4354 Implementation for #2313 - let the keywords table keys be shown from definitions list rather. Also refactored the keywords table generation into keywords.io so that it can be re-used elsewhere...
eb9034a fix bug in notify shakemap push
ab6034d tweak wizard_dialogue.py replace "register" with "assign keywords"
88a0d18 Fixing tests
7ff29f6 add Realtime indicator features
eb46929 Merge branch 'develop' of github.com:AIFDR/inasafe into bugfix/2318
0c6a1be Hiding empty/'no data' columns
fae9eb3 [IFCW] Better explanation why a chosen layer has unsuitable keywords/type
7f87744 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_zero_impact_exception
d93a3a6 Fix untranslatable strings
ce915b6 [IFCW] Don't list xml files in the browser + pep8 fixes
231c826 Merge pull request #2307 from cchristelis/bugfix/2276
e950d2c [IFCW] Properly disable the Next button when re-entering steps with browser. Fixes partially #2282
2e258b1 Merge pull request #2317 from borysiasty/develop
8925217 [Wizard] Better prevention from creating multiple wizard sessions. Fix some simple cases of #2075
9b7d51d Merge pull request #2316 from ismailsunni/develop
654ddd7 Change text in wizard. Fix #2312
cfa59a4 Merge pull request #2314 from ismailsunni/develop
b5cf220 Added sorter for grid.xml files
f885134 Updated minimum needs post processor to fix nan bug.
93dca6e All is translated. Not yet compiled.
8470a43 Update translation string.
730d90b Fix sentence.
07efec3 Update string translation after fixing typo.
c58e338 Fix typo. Fix #2310. Fix #2309.
1a89737 All strings translated. String freeze for version 3.2
8dea44e [Wizard] Make the dialog big enough to avoid scrollbars in KDE. Please revert if it breaks anything on Windows.
2ab0678 Merge pull request #2308 from borysiasty/develop
bb40275 [IFCW] Fix #2217
612b7e2 Bugfix: don't count unaffected buildings into total affected.
89924ea Merge branch 'develop' of github.com:AIFDR/inasafe into fix_zero_impact_exception
7ba27fe fix #2220: - Earthquake Building (Raster Hazard - Vector Exposure) - Generic IF Classified Polygon Building (Vector Hazard - Vector Exposure) - Flood Raster Road (Raster Hazard - Vector Exposure)
89a5671 Merge pull request #2304 from ismailsunni/develop
754d0c3 Translation file updates
d27152c Merge pull request #2297 from Charlotte-Morgan/develop
604c343 tweak wizard_strings.py
297adf1 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_zero_impact_exception
2f9b30a Merge pull request #2303 from ismailsunni/fix_2301
8c3865c (ismail/fix_2301) Fix #2301
9911625 Merge pull request #5 from timlinux/charlotte-develop
1b637c1 (origin/charlotte-develop) Fix for unused argument error in wizard
54617e9 Merge pull request #2298 from timlinux/pycharm-in-readme
82448e5 fix #2288 to gracefully handle cases where zero impact occurs for flood polygons on buildings.
0b533ff fix #2221 - ensure override cursor is restored after an error occurs.
120b605 Give polygon flood on roads IF a better name. Handle zero impact better in latter IF. In progress fixes for #2288
83f31a8 Fix #2286 - Keyword wizard fails on to_text call
e368524 (origin/pycharm-in-readme) Updated README to include thank you to pycharm
51d4e0a tweak wizard_strings.py
0cd7c62 tweak wizard_strings.py
58d59f6 tweak wizard_strings.py
98c76c4 tweak wizard_strings.py
1dc7142 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_zero_impact_exception
845dd52 fix #2220: raise ZeroImpactException when no roads intersected
4ce19d9 Merge pull request #2294 from timlinux/inasafe-2288
c4cf2e3 (origin/inasafe-2288) fix #2288 to gracefully handle cases where zero impact occurs for flood polygons on buildings.
40086c6 fix #2221 - ensure override cursor is restored after an error occurs.
e429958 (inasafe-2288) Merge remote-tracking branch 'upstream/develop' into inasafe-2288
365b67c Merge pull request #2287 from timlinux/inasafe-2286
c7f0e41 Give polygon flood on roads IF a better name. Handle zero impact better in latter IF. In progress fixes for #2288
894e706 tweak wizard_strings.py
82b4a39 tweak wizard_strings.py
6b54159 tweak wizard_strings.py
5b88db1 tweak wizard_strings.py
28dd12f tweak wizard_strings.py
6a02dee (origin/inasafe-2286, inasafe-2286) Fix #2286 - Keyword wizard fails on to_text call
01607c5 Merge pull request #2283 from ismailsunni/develop
526935a PEP8.
9461435 Fix #2279, typo.
e51a98c Merge pull request #2280 from Charlotte-Morgan/develop
7e38671 Merge pull request #2275 from cchristelis/bugfix/2228
97441ab Update disclaimer text in defaults.py
cb440cd Update text in wizard_strings.py
7b749e5 Merge pull request #2263 from lucernae/fix_impact_merge_dialog
4d9a145 Merge pull request #2274 from timlinux/inasafe-2268
46e0183 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_impact_merge_dialog
4890424 Merge pull request #2256 from cchristelis/bugfix/2235
8f8666e (origin/inasafe-2268, inasafe-2268) fix inasafe-2268 - use nicer table formatting for keywords in dock
cf51b84 Update disclaimer text in defaults.py
f789d13 Merge pull request #2271 from ismailsunni/translation
595ab29 (ismail/translation) Update string for translation.
53771b5 Merge pull request #2270 from ismailsunni/fix_2266
b83a856 (ismail/fix_2266) Coding standard.
a8ceaf0 PEP8
54d66fc fix #2266
89ad3fe fix #2262 #2233: remove ascii hacky fix.
29b9ca4 Merge pull request #2269 from timlinux/inasafe-2267
bcc8784 Merge branch 'develop' of github.com:AIFDR/inasafe into bugfix/2228
ce95020 Bugfix #2228: Population on vector flood fails to run.
a031efd (origin/inasafe-2267) fix #2267 - too much padding at top of dock
996b689 Merge pull request #2264 from cchristelis/bugfix/2258
ea11479 address issue #2262
11f4873 address issue #2262
68e949b t push Merge branch 'develop' of github.com:AIFDR/inasafe into bugfix/2258
bf2253c Bugfix 2258: Buildings should only be added once to total.
37c162a bugfix for issues #2229 and #2233.
b64240f Merge pull request #2255 from timlinux/inasafe-2242
443e9a7 Merge pull request #2254 from timlinux/inasafe-2241
d9083bd (origin/inasafe-2242) fix #2242 - squashed skippy in about box
f71212e Merge pull request #2251 from ismailsunni/set_all_hazard_categories
5adb360 Merge pull request #2252 from cchristelis/bugfix/2240
1db65e5 Fix icon size issue in dock for inasafe logo.
e2ddf0e (origin/inasafe-2221) Merge pull request #2246 from timlinux/inasafe-2244
7d46d93 Merge pull request #2248 from timlinux/inasafe-2245
51fa3ee Added missing icons in #2241 fix
b7df222 fix #2241 and added both blank and white variants of InaSAFE logo. Fixed logo and padding in wizard too.
4087606 Merge pull request #2250 from timlinux/develop
0640f4e (origin/inasafe-2244) Fixed corrupted about dialog
144ffea Merge pull request #2249 from cchristelis/bugfix/2222
ce36a53 (origin/inasafe-2245) One more tweak for #2245
111bbd0 (inasafe-2245) fix #2245 - lets just use a sans serif font for now - font-face is not working well in dock under osx and windows. Also the fonts are quite large and I prefer not to bloat out the package size of the plugin installer if possible.
7223736 (ismail/set_all_hazard_categories) PEP8.
976fa61 Set organisation logo in dock to false by default (boomerang issue)
52dcb99 Merge branch 'develop' of git://github.com/AIFDR/inasafe into set_all_hazard_categories
5e17ecc Fix test in test_wizard_dialog.
96184bc Update disclaimer text in defaults.py
6fe9297 Update disclaimer text in Readme
6a4acaf PEP8.
d54abbf Fix #2153
ec39191 Set all IF to multiple and single hazard.
daea29a fix #2245 UI: new look is missing bold
ba46882 Resolved merge conflicts with Charlottes disclaimer text
7cccdf9 Merge pull request #2243 from Charlotte-Morgan/develop
84e1b6c Merge pull request #2234 from ismailsunni/fix_2153_flood_on_road
16744f8 Added more padding around dialogs
05c9540 Adding road report test.
40365b4 Updated roads raster flood impact function to work with report mixin.
63f6471 Updated roads flood ploygon impact function to work with mixin.
052ea62 Roads report mixin.
17c60b6 Merge pull request #2232 from cchristelis/feature/report_mixin
8b4df19 Update disclaimer text in defaults.py
c03314d Update disclaimer text in Readme
d00dcaf (ismail/fix_2153_flood_on_road) PEP8.
b27a393 Merge branch 'develop' of git://github.com/AIFDR/inasafe into fix_2153_flood_on_road
a88170d Fix #2153
4c5c078 Merge pull request #2199 from timlinux/resources
3b01582 (origin/resources, resources) Fix last failing test in resources branch
014de92 Merge pull request #2224 from timlinux/wizard
8b93a02 Merge pull request #2227 from ismailsunni/fix_2156
acc0ae3 Merge pull request #2219 from ismailsunni/fix_2198_apply_to_develop
cb6a647 Annotated brand class to indicate which version it was added in.
9be9ecb Fixed typo causing ubuntu fonts to not load
942f7f6 Merge remote-tracking branch 'origin/resources' into maria
dfaa257 Resolved merge conflicts with css branch
50e3b72 Merge remote-tracking branch 'upstream/develop' into maria
5b894e7 (origin/wizard) Fixed failing tests in wizards caused by removal of definitions import by reinstating it and adding a note explaining why it is there. fix #2207
bcc2808 Merge pull request #2157 from cchristelis/feature/report_mixin
38ce57b (origin/css) Update another reference to logo to use brand rather
1ce8f20 Don't use javascript to do branding styling - I think it hangs tests
35c1bf1 Merge pull request #2223 from timlinux/inasafe-2221
29c2929 Merge pull request #2226 from timlinux/templates
6a2e865 (wizard) Styling updates for wizard header
5ce2478 Added styling for wizard header
16a1039 Prevent rampant resize in wizard - fix #2206
0e064c2 Bugfix 2235: Fixing earthquake population count issue introduced in c6d83eedba7852fd84a85f4392395cc65766f43a
679f2de (ismail/fix_2156) Fix #2156
5949c1b Remove many spacers and use more minimalistic layouts - working on #2207 wizard resize issue.
ee7b642 Bugfix 2240: fixing inundation problem due to bad merge at 9fc87d8cfe8d83cb3d965f018bc9a2dfaee6a233
59194c7 Merge branch 'develop' of github.com:AIFDR/inasafe into bugfix/2222
a1333b6 Bugfix: Handle exception that causes OSX to crash on empty minimum needs provenance.
11fc1b7 Adding road report test.
afef20c Updated roads raster flood impact function to work with report mixin.
8a8228d Updated roads flood ploygon impact function to work with mixin.
3a10b0b Roads report mixin.
75ac27e (origin/templates, templates) Added new templates from Iwan - see #1314
14ed0cf (css) Resolved merge conflicts while applying Maria beautiful styling updates
4c39324 (inasafe-2221) Try to restore override cursor - see #2221
831b712 In progress sizing tweaks for wizard - see #2207
0985a1c Change test for smaller screen size on travis.
8cd6bc4 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/report_mixin
84acc82 (ismail/fix_2198_apply_to_develop) PEP8.
30b9570 Fix failed test due to cherry-pick.
ae1aeb6 Added unit test for #2132
66f7c1f Fix #2132 - backported string conversion when reading minimum needs to master branch
f76eaad Remove un-related changes.
b2ed262 returned the working tests in minimum needs
25efcdd added Tanzania minimum needs json file
cefaa85 Fixng tests.
539d394 Updating docstrings and versions.
f6744d5 Coding standards: Adding docstrings
befd3f3 Fixing issues introduced by merge.
cf19dcd (maria/develop) Style update
3a37415 Merge remote-tracking branch 'AIFDR/develop' into develop
64a6a2a (tempaltes) Merge pull request #2202 from timlinux/papercuts
740b949 Merge pull request #2215 from timlinux/ui-tweaks
01f95a0 Merge pull request #2214 from timlinux/icons
7a27805 (origin/icons, icons) Updated icons from Maria
abbac6e (origin/ui-tweaks, ui-tweaks) Make extents selector dialog help consistent with osm downloader help
25caf8c Merge remote-tracking branch 'upstream/develop' into resources
6b52a27 (origin/papercuts, papercuts) Fix another deprecated test reference to 'click for details'
8754f0d Fix for failing test due to error message string change
cfe35d2 (origin/inasafe-2206, minimum-needs, inasafe-2206) Merge pull request #2211 from timlinux/inasafe-2207
9d09bbf (origin/inasafe-2207, inasafe-2207) Fixed failing tests for #2207 - OSM downloader
7bdf3f6 One more fix for OSM downloader sizing issues
07fe396 Further fixes for OSM downloader interactions
95cdf1b Fixed context help in OSM downloader dialog
90e27ea In progress fixes for #2207 - osm downloader is too large for screen
95052c6 Merge pull request #2208 from lucernae/realtime
e705402 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/report_mixin
fcac293 Merge pull request #2184 from cchristelis/bugfix/2142
4ea408b Made unicode friendly, made variables explicit.
9e6a242 Merge branch 'develop' of github.com:AIFDR/inasafe into bugfix/2142
14b7d5f Merge pull request #2183 from cchristelis/bugfix/2051
3c16236 Merge pull request #2209 from timlinux/inasafe-2206
ed40053 Updated help text on minimum needs calculator to include point layers as possible input types
fad38c9 Added some more sanity checking on minimum needs calculator so that it only shows fields from the selected record that are not strings - and disables the run button if a given layer has not valid fields
0691fce Resolved merge conflicts
e4d38d9 Updated help text on minimum needs calculator to include point layers as possible input types
71539d0 Added some more sanity checking on minimum needs calculator so that it only shows fields from the selected record that are not strings - and disables the run button if a given layer has not valid fields
9025785 fix #2206 - Disable ok button in minimum needs calculator if no suitable layers loaded
ab99cc1 Realtime fix: - Fix errors in realtime where hazard name is read as int instead of str - Fix some errors in realtime tests
fe77f2c Resolved merge conflicts with Maria's branch
98bb1c5 The doc section update
4ed1128 Case consistency for Shakemap Converter in menu - see #2199
e4d5a5f Merge remote-tracking branch 'upstream/develop' into resources
2773ab9 Merge pull request #2205 from timlinux/extents-selector
d5bf993 Merge pull request #2204 from ismailsunni/new_metadata_support_marco
90da7ce Merge branch 'develop' of github.com:AIFDR/inasafe into bugfix/2051
59896dd Merge pull request #2203 from ismailsunni/version_mismatch
48a4e0c (origin/extents-selector, extents-selector) Hide bookmarks and disable radio button in extents selector if there are no bookmarks. Also display a helpful message
19529eb Tidied up README
2b1ffde (ismail/version_mismatch) Disable make pylint for a while
f359e87 Apply Tim's comment.
c159395 (ismail/new_metadata_support_marco) Merge branch 'develop' of git://github.com/AIFDR/inasafe into new_metadata_support_marco
9fd1bd0 fix #1861 - dont warn about no keywords if no layer is active in QGIS
b0dfacc PEP8 Pylint
4d66357 Merge branch 'develop' of git://github.com/AIFDR/inasafe into version_mismatch
22060e9 Filter out mismatch version.
d1815b6 Remove text saying 'click for details' in error dialog
4a92688 Enable gitter notifications after travis builds
aa4bb65 Fix path to icon in metadata and remove redundant icons
626286f Add message for mismatch keyword version.
2e4fc9b Removed unused resources
1926950 Merge remote-tracking branch 'maria/develop' into develop
aa01bd5 Merge pull request #2194 from ismailsunni/develop
7f8d9d5 Merge pull request #2172 from ismailsunni/qgis-2.8.3
1c4430b Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
ad02fc3 (ismail/qgis-2.8.3) Merge branch 'develop' of git://github.com/AIFDR/inasafe into qgis-2.8.3
b14caf9 Merge pull request #2193 from ismailsunni/develop
b425227 Merge pull request #2179 from timlinux/menus
2b1e0a3 Merge pull request #2190 from timlinux/inasafe-2189
cce1264 Remove typo.
fd9b1a6 Add path.
ff1f474 Adding package.
4704d2b Add --force-yes.
ba31bb7 Logo, icon and font update
84fca79 Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
a90ffe7 Add package for scrutinizer.
6e20e6c Merge pull request #2192 from ismailsunni/develop
d4f01fc Add more excluded path.
4720d66 Exclude safe_extras in scrutinizer.
c88d77d Merge pull request #1 from AIFDR/develop
4ed0a7d Merge pull request #2191 from timlinux/inasafe-2171
408496c Fix merged conlflict.
d334ea9 Revert back to use QGIS 2.8.1
e3075b3 Merge pull request #1929 from timlinux/inasafe-1811
5d9dede Skip problematic-test.
4f16edb PEP8.
729050e Put dock in setupclass method.
c952e84 Move DOCK to class attribute.
1e42144 Uncomment test. Safe to merge again.
685625b Mark test as slow to avoid Error in Travis.
dca9ed5 Add make test_suite_all [PACKAGE=name] for easier testing.
ab025b7 Comment out failed test in Travis. Don't merge it yet.
c08ac88 PEP8.
d3187db Add --force-yes.
c25081e Fix merge conflict.
344becc Merge pull request #2186 from lucernae/realtime
297f212 scrutinizer fix
d75d130 Merge branch 'develop' of github.com:AIFDR/inasafe into realtime
d5c67d9 fix timezone issues in realtime
6395514 Merge pull request #2176 from ismailsunni/scrutinizer
01e8e21 (ismail/scrutinizer) Merge branch 'develop' of git://github.com/AIFDR/inasafe into scrutinizer
db9a32b Merge pull request #2178 from dynaryu/develop
eaece00 Add scrutinizer badge.
6b3983c Fix bug, which breaks on vector floods with float flood values.
24b4e6b Fixing inundated / wet category swap.
98c99ba modify test code to reflect the change in zero fatality condition
0fabb3c remove coverage.
f9ac662 added prettify_xml
85fced1 added all KW with the temporary mappings
0b6dc7e added IF processing step
de40bdf added more kw
9c4e8da removed monkeypatching cdata it is already defined somewhere else
63dd1a0 added more documentation
faefca7 renamed json to dict in provenance
f3af3fa removed xml_type from the properties as it is redundant
d973dbc adding documentation
cd5b85f added support for non file based metadata
ad1e4f4 added read from db framework
6556fe2 Super clever way to auto generate properties. Getters and setters are dynamically generated from _standard_properties
eacd6b6 allow reading and writing of provenance in XML
f3ecfa0 big refactoring, removed xml_type and allow None. the xml type is now inferred from the path all properties allow NoneType inserting xml nodes is now possible at any place new node parents are automatically generated
55b309b some refactoring
c5f2b57 removed layer_id  from exported files and more refactoring
2ad987a added xml read and write
e2efff6 added ability to read and write JSON
aa06da2 another big chunck of  refactoring
97f21f7 factored metadata to use subclasses
33afa17 added more properties and json write
ce32eb5 added some mandatory properties
0da1367 replaced use of BaseProperty in the tests
e2317a0 Full rewrite of the metadata stuff
b7f035e Add .scrutinizer.yml and update travis.yml
893f90f re fix test code to reflect the change in the zero fatality
d633de2 Revert "fix test code to reflect the change in the zero fatality condition"
3dc65c9 fix test code to reflect the change in the zero fatality condition
3cb434e revive zero fatality condition
dd7cdb2 add description for parameter x
5cdd93d Change the two impact functions for fatality estimation and test files
002060e Update travis.yml for qgis 2.8.3
9c98e8d (origin/menus, menus) Merge remote-tracking branch 'upstream/develop' into menus
66627ea (origin/inasafe-2189, inasafe-2189) More syntax error fixes
d129da5 Fix syntax error in dock
87df887 (origin/inasafe-2171, inasafe-2171) Cleanup some overzealous refactoring for #2171
fdb9972 fix #2171 - disable organisation logos in dock by default
a18cb90 Merge remote-tracking branch 'origin/develop' into develop
efae992 Another small fix for #2189
6dd33d4 fix #2189 - unicode object has no attribute 'to_html'
4e46600 Put dock toggle menu option first.
0d98f2e Merge branch 'develop' into menus
55d4ab6 Remove unused import
9ef4e37 Adjusted menus to have spacers - fix #1820
97694ec (origin/inasafe-1811, inasafe-1811) fix #2077 - confusing message saying we are ready if extents are not correct
db14df0 Reinstate unicode in test file
3a5e45c scrutinizer fix
ce1d61a fix timezone issues in realtime
4cd1e3d Add scrutinizer badge.
eb0d977 modify test code to reflect the change in zero fatality condition
dbc8d93 remove coverage.
d86f912 Add .scrutinizer.yml and update travis.yml
a542360 re fix test code to reflect the change in the zero fatality
58e6325 Revert "fix test code to reflect the change in the zero fatality condition"
a51e641 Small tweak to ready message
de81844 Merge branch 'develop' into inasafe-1811
42e4501 Fixes for last failing tests for #1811 - extent selector
8fda2a2 Fixed issue with run button not being disabled when notifications are unchecked in extent selector. Fixes another failing test in #1811
44b95c5 Fixes for failing test - remove unicode text in control file
5d7edde Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop
097b873 merged
dd7e9ae Interaction fixes for extent selector - ensure run button state is set correctly after using extemt selector dialog
114ba06 Fix for another failing test in 1811 extent selector branch
a32148e Fix for #1811 behaviour - only show ready / warning if analysis is in a runnable states. Fixes failing test test_issue_71 and improves usability
c22385e Resolved merge conflicts with develop
354a31e Merge branch 'develop' into inasafe-1811
9a2f8e3 Merge pull request #2164 from ismailsunni/pylint
8e5783c (ismail/pylint) Pylint.
b9dd0fb Merge pull request #2161 from ismailsunni/IF_uses_layer_keywords
88fe1e0 (ismail/IF_uses_layer_keywords) Small docstring fix.
3ae233e Remove setup_layer in IF base classes.
b84fd09 Use self.hazard_class_mapping for classified vector hazard IF.
6cca47b Use self.hazard_class_attribute for classified vector hazard IF.
1bb8574 Merge branch 'develop' of git://github.com/AIFDR/inasafe into IF_uses_layer_keywords
8c567dc Fix failed tests because using attribute from IF base class.
8f8b2ce Use attribute from base class for building IF.
0a74874 Merge pull request #2158 from ismailsunni/IF_uses_layer_keywords
7339ca2 Volcano polygon building uses layer's keywords.
b1b7ecf Volcano point building uses layer's keywords.
93dad72 Classified raster building uses layer's keywords.
18b7a8f Classified polygon building uses layer's keywords.
165aaca Fixing pylint.
3b77067 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/report_mixin
57085c8 Added tests for population mixin.
68940be Fix multiple volcano name problem.
04156ad Fix broken test.
eacf44d Merge pull request #2155 from ismailsunni/develop
b591474 Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
3121926 Wizard wording - tweak for fixing #2084.
b33d5b8 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/report_mixin
3eb22d3 Fix flood polygon population report.
3fd2472 Fixing pylint and pep 8 violations introduced by merge.
bb721c9 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/report_mixin - Lots of conflicts review
0ba4add Merge pull request #2149 from ismailsunni/develop
349208a Fix #2082
ef4523c Merge pull request #2145 from cchristelis/volcano_sprint/2105
e76a6f6 Merge branch 'develop' of github.com:AIFDR/inasafe into volcano_sprint/2105
357bbd4 Merge pull request #2130 from cchristelis/volcano_sprint/2090
4e4fb9b Merge branch 'develop' of github.com:AIFDR/inasafe into volcano_sprint/2090
a124848 Updated Changelog
611b198 Add test to verify correct adding of totals
45825c4 Fixing calculate total logic.
81c7160 Updated changelog
4b9c757 Add building type postprocessor to volcanic ash impact function (i.e. Generic)
d9a2997 Merge pull request #2137 from cchristelis/volcano_sprint/2103
dce6b81 Updated changelog
97b096d Merge branch 'develop' of github.com:AIFDR/inasafe into volcano_sprint/2103
e49d17b Updated changelog
2a1267d Updating changelog
ba61252 Merge branch 'develop' of github.com:AIFDR/inasafe into volcano_sprint/2090
7871fe2 Fixing breaking test
13c037c Adding regression test to new building type postprocessor.
2823beb Merge pull request #2127 from ismailsunni/safe_layer_migration
fecb499 Fix merged conflicts.
15471a5 Merge pull request #2031 from wonder-sk/qgis_api_classified_polygon_building
cb1d173 Merge pull request #2116 from mbernasocchi/develop
63c66de Merge pull request #2113 from gitter-badger/gitter-badge-1
82cf23c Merge pull request #2121 from timlinux/metadata
c415def Merge pull request #2138 from ismailsunni/develop
684c8eb Set dept in update-test-data to 15.
1a2714f Merge branch 'develop' of github.com:AIFDR/inasafe into volcano_sprint/2103
5548183 Adding building type postprocessor to volcano polygon building impact function.
851842b Improving building type post processor to allow non integer affected states.
6246ed9 Merge pull request #2131 from timlinux/3.2-papercuts
e1ef4b1 (origin/3.2-papercuts, 3.2-papercuts) Better docstring for continouse generic IF
414bcc2 Minor refactoring
d23ed99 Adding building post processing to volcano point IF.
c89dc40 slightly better code structure.
9c5be36 Merge pull request #2101 from cchristelis/develop
2159efb Adding test cases to assert new functionality.
5fc1119 Volcano bugfix - #2090 - prevent hazard attribute names from masking exposure attribute names
baaeb40 Merge branch 'develop' of git://github.com/AIFDR/inasafe into safe_layer_migration
cc2967e Merge pull request #2122 from ismailsunni/fix_2111
ef10b7e Tim's review for PR safe_layer_migration.
80256af Merge branch 'develop' of git://github.com/AIFDR/inasafe into fix_2111
f3542fe Merge branch 'develop' of github.com:AIFDR/inasafe into volcano_sprint/2090
1bd2ed8 updating tests
0c816ff Merge branch 'develop' of git://github.com/AIFDR/inasafe into safe_layer_migration
456c94f Remove QGIS Layer Wrapper.
7b17a0a Merge remote-tracking branch 'upstream/develop' into inasafe-1811
4625209 Wrap QgsMapLayer and Layer in IF's layer.
24bde41 Fixes for extent selector based tests
76c8889 Merge pull request #2126 from lucernae/realtime
2bce086 Fixes for failing extent selector tests - disable messageBar useage in tests
e1c1b52 Migrate Inundation IF to use SafeLayer.
0d6edcf Migrate Generic IF to use SafeLayer.
6b431ef Migrate Earthquake IF to use SafeLayer.
4baa47a Migrate volcano IF to use SafeLayer.
a8bb685 Migrate volcano IF to use SafeLayer.
7dd1b15 Migrate volcano polygon population to use SafeLayer.
2de88bb Add SafeLayer
952ea9a Improving text consistency.
dfdba34 Merge branch 'realtime' of github.com:lucernae/inasafe into realtime
e6b0b8f Add source env for realtime testing. Modify realtime/script to execute without automatically sourcing an env. This will let the caller decide which env to use. Fix minor bug in shake_event.py, when skipping calculation without calculating nearest city. This will make realtime push nearest city description correctly
f576333 Insuring ints are used as total imapcted population.
365e8cd Population rounding wording update.
c12f027 updating tests
0b92879 Merge branch 'develop' into inasafe-1811
40ff1a6 Add source env for realtime testing.
a3dda3e Merge pull request #2123 from Gustry/sroll
6dfc2d2 Pylint
10bfff5 add scroll area to the osm downloader
b54fb14 Use get_unicode.
0f65655 Merge branch 'develop' of git://github.com/AIFDR/inasafe into fix_1991
3bcaece PEP8.
0c829b4 Fix #2111.
71ca10e (origin/metadata) Added about in metadata.txt since it is now mandatory for QGIS plugin repo.
a467bf3 Merge pull request #2118 from lucernae/realtime
fe5f161 Make Realtime push fails silently if the REST server is down.
165150d Merge pull request #2110 from lucernae/realtime
a18e4c3 Merge pull request #2098 from lucernae/fix_unit_definition
50100f8 allow passing a PACKAGE arg to test_suite_quick usage: make test_suite_quick PACKAGE=common
5a88745 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/report_mixin
7f8945f Adding population mixin to VolcanoPolygonPopulationFunction
4cfb781 Merge pull request #2109 from Gustry/travis
503471e Added Gitter badge
b6081b8 Merge remote-tracking branch 'origin/develop' into develop
d47e0ef Merge remote-tracking branch 'origin/develop' into develop
c1168a2 Adding population mixin to VolcanoPointPopulationFunction
f90b5ae Merge branch 'develop' of github.com:AIFDR/inasafe into fix_unit_definition
98b4b76 Merge branch 'develop' of github.com:AIFDR/inasafe into realtime
10c0fc0 add experimental branch to travis
ae74c78 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/report_mixin
ef102dc Adding population mixin to TsunamiEvacuationFunction
86bfb9e Bug fixes for make all shakemaps script
3fdf3de code cleanup
5ec5750 Remove poorly committed test line
e0e75bb fix #1173: make realtime fetch the latest map available if the shake maps doesn't occur in the minute.
1f95937 fix #1173: Process all the possible shake maps in one minute cron
7e97c27 Add realtime methods to push to Realtime server
56e1626 Adding population mixin to FloodEvacuationVectorHazardFunction
cb24131 Fixing tests
063fad9 Merge pull request #2102 from Charlotte-Morgan/Language_fixes
cff9a75 Ratio wording update
15d285f Ratio wording update
c27d07a Fix merge conflict.
10c28e7 Ratio wording update
b87f0b2 Ratio wording update
1feb04a Ratio wording update
197438a Ratio wording update
a30b0be Use all building totals in building breakdown, not just affected.
0f2bc4d Merge pull request #2100 from Charlotte-Morgan/develop
faa9b98 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
5bd9459 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/report_mixin
f5b318a Merge pull request #2095 from ismailsunni/fix_2085
ce20e88 text tweaks for volcano poly population report
6bb421c text tweaks for volcano poly population report
074a37e Merge branch 'develop' of git://github.com/AIFDR/inasafe into fix_2085
f7360bf Merge pull request #2097 from ismailsunni/fix_2091_volcano
4817e87 Refactor unit definitions
add1667 Merge pull request #2088 from Charlotte-Morgan/develop
f173f20 Merge branch 'develop' of git://github.com/AIFDR/inasafe into fix_2091_volcano
9a42fae Remove hazard_keywords volcano_vector_hazard_classes in Volcano point for #2091.
cd537a4 Adding population table mixin to ContinuousHazardPopulationFunction
e1a6098 Merge pull request #2096 from Gustry/pylint
e24b0a8 fix pylint
5eadc96 Adding population table mixin to classified raster population impact function
728361d Enable single_event hazard mode for volcano point IF. Fix #2085.
14f4b14 Updated Classified Polygon Population IF
ad2e225 minor updates to definitions.py
94bd45c Correct formatting.
d04db60 Correcting indent.
fae2f4a Use different method to retrieve value from keywords.
132593a Add notes about the pager model, when this is used to estimate fatalities.
1d86c86 Updated earthquake fitality impact function to use population report mixin
d8642be Code cleaning up.
0a5db4c Use layer's keyword property to retrieve a value of a key.
5aa07ba Add property for layer's keywords.
bb9c8e8 Clean unused code.
e131f84 Completed continuous flood if on population report mixin integration.
e756525 PEP8 and Naming.
fc19b6f Replace IF parameter to use layer's keyword in flood_vector_building_impact.
8562055 Replace IF parameter to use layer's keyword in flood_polygon_roads.
1299b86 Replace IF parameter to use layer's keyword in flood_polygon_population.
be3506a Population mixin class baseline.
c11632f Continued prototyping
b785921 Population Mixin implementation
1e4030a Replace IF parameter to use layer's keyword in  flood_raster_road
911a423 Fix Test Framework quit unexpectedly.
9fc87d8  Replace IF parameter to use layer's keyword in flood_raster_osm_building_impact.
95b5c72 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/report_mixin
8c0c7b6 Use utilities function to retrieve value from layer's keyword.
b76fee2 Replace IF parameter to use layer's keyword in EQ and generic IF
820042b Replace IF parameter to use layer's keyword in volcano IF.
057ecbe Merge remote-tracking branch 'origin/develop' into develop
057f86b Merge pull request #2073 from timlinux/fix-1985
e160a2f Merge pull request #2072 from ismailsunni/develop
9ac9ab7 Update hash for inasafe_data
3d27c1c Update keyword version number to 3.2
a604720 (origin/fix-1985, fix-1985) Updated icons as to Fix #1985
677d182 PEP8 and pylint.
bc6a4cd Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
dcca87f Sort keywords when write to keywords files to get less changes after running the test.
0741cfe Merge pull request #2071 from borysiasty/develop
b0b3606 [KWizard] Save the allow_resampling keyword as string. Fixes #2068.
8796718 Revert unwanted automatic changes in ts files.
101455c [KWizard] Fix the allow_resampling keyword. Fixes #2068.
9349eab [IFCWizard] Temporarily hide aggregation icon until we have one suitable (as requested in a comment to PR #2060)
96a6dfb Update layer keywords again to fix some tests.
cee6fa4 Merge pull request #1988 from Jannes123/cli
e0eb275 versoinadded tags
3b9bf35 Add keywords version for test data in boundary, control, hazard, idp.
9dbd6c3 downloader function update
40be896 Update keyword versions of some of datatest to make all tests pass.
77afcbd Merge branch 'develop' of github.com:AIFDR/inasafe into cli
683afe3 Merge pull request #2067 from Gustry/progress-osm
c0666e4 change docstring in the osm downloader
e329070 Add keyword version.
1d0ba23 fix pep8 and moving function
7a0915c Merge develop
92d0be1 new downloading function without qt gui
c82fba9 Merge pull request #2066 from ismailsunni/develop
4596849 PEP8.
4b7f7e3 Remove default class.
b9b741b Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop
22de161 add validate geographic extent to utilities/gis.py
7f007da Merge pull request #2063 from Gustry/add-idp-layer
a7a0fff fix make data_audit fr buildings and flood
a6738e4 Merge pull request #2064 from lucernae/sync_parameters_package
167e835 Synchronize safe_extras parameters with parameters repo
8c43420 fix data audit for potential idp
b7aba22 add IDP layer to test data
b2607df Merge pull request #2061 from borysiasty/develop
dc8339c Merge branch 'develop' of github.com:AIFDR/inasafe into develop
79c42ff [Wizard] Hide aggregation icon until we have one suitable
46c0065 Merge pull request #2043 from Gustry/version
3077662 Merge pull request #2060 from borysiasty/develop
78578d6 [Wizard] Fix mode label if an aggregation layer is registered within IFCWizard context.
6f4828c [Wizard] When KW wizard runs in IF wizard context, use presets based on user's selections in the IF process.
0ed5550 [IFCWizard] Add hazard and exposure icons to labels. Fixes #1466.
2433530 [KW Wizard] Generic icon for Generic hazard
7cc5685 [KW Wizard] Fallback to generic layer_purpose icon if specific not found
66a5dcf [KW Wizard] Many improvements in the upper labels of the wizard
a400322 [Wizard] Keep things simple - always display layer.name() in the header
f3cacd8 Merge pull request #2056 from ismailsunni/develop
3e34b9b PEP8.
3343bbd Merge pull request #2055 from ismailsunni/develop
0ccd021 Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
ef57443 Remove resources_rc from UI files. Fix #2045.
fd75740 Merge pull request #2054 from borysiasty/develop
f094e1c [Wizard] Better wizard mode label
d9b7f1f [Wizard] Better wizard mode label
5700e4b [KWizard] Center icons
528190d [KWizard] Include selections from previous steps to next questions.
b74c7c0 Typo fixes
8fcc161 Merge pull request #2052 from borysiasty/develop
c879937 [IFCWizard] Fix test for layer overlap. Fixes #1957
63dd070 Fixing bad commit
8035b22 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
4185504 population mixin
dbb84de fix test osm downloader
511d60e Merge pull request #2039 from borysiasty/develop
7f69fe1 add inasafe version to the osm downloader
184736f Merge branch 'develop' of github.com:AIFDR/inasafe into cli
e30f5bc Update tests to recent kw changes
329204e pep8
0b68aec [IFCW] More descriptions formatted as invisible tables
966960a Merge branch 'develop' of github.com:AIFDR/inasafe into develop
ccc1e85 Merge remote-tracking branch 'upstream/develop' into inasafe-1811
0d9e8d2 Merge pull request #2035 from Charlotte-Morgan/develop
2d84f63 Merge pull request #2040 from akbargumbira/streamline_analysis
37060a4 pep8 fixes
81ba3cb merge definition changes from Rizky
8fcf115 Move user and host name to IF base class.
04a9308 [KW Wizard] Update tests
ba33f26 pylint
0e7beb8 [KW Wizard] Put the Classifications step before the Field
2488bc4 [IFCW] Update settings summary to the new GroupParameter
326ebb9 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
84cc986 pep8
42ffd64 [IFCW] Fix postprocessors settings summary
b349314 Merge pull request #2025 from lucernae/develop_if_options_revisions
ae02c35 Fixes for extent selector with point hazard. Green dot cleanups for pycharm
1fa2181 fix pylint and test
bfc89ac [KW Wizard] Set allow_resample checkbox with the current value from the layer's kewyword file
d72f577 Merge branch 'develop' of github.com:AIFDR/inasafe into develop_if_options_revisions
16e51a0 IF options parameter review and bugfix:
2c2017c Merge pull request #2034 from ismailsunni/develop
1536445 Capitalize and use single event for generic continuous IF.
000eb67 Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
11f19e9 Remove single event from generic IF.
39192d9 Merge pull request #2032 from ismailsunni/develop
4add7f3 Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
311d5eb Update description for layer mode classified and continuous.
ba9a5a3 Merge branch 'develop' of github.com:AIFDR/inasafe into develop_if_options_revisions
0c18542 Merge pull request #2017 from ismailsunni/develop
cbc8de3 Pylint.
f8cbec7 debug extent setting for download
6063ff0 Handle building categories correctly with QGIS layers
ad9ff68 changes in safe broke cli
10c10ed Added unit test for interpolate_polygon_polygon() based on QGIS
30b2df0 Merge branch 'develop' of github.com:AIFDR/inasafe into cli
99e3b2e osm download function
e309844 Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop
04a476f Converted classified polygon vs building IF to use QGIS API
8074326 Merge branch 'develop' into inasafe-1811
18afe0f Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
69e6dd4 Merge branch 'develop' of github.com:AIFDR/inasafe into develop_if_options_revisions
f86d6fe Change in IF Options for ContinuousHazardPopulation:
bd23eb5 Fix unit test due to capitalizing.
9bf3556 Revert wrong changes.
ffe58f3 Merge pull request #2011 from akbargumbira/streamline_analysis
1ea05be Capitalize names in definitions.py
191be4a Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
e6a989a Update message error.
39bc578 Pylint.
ac11d89 Merge branch 'develop' of github.com:AIFDR/inasafe into develop_if_options_revisions
dc6950b Update message error for easier debugging.
79faf7d Merge pull request #2023 from Charlotte-Morgan/1975
a3c9d50 Merge pull request #2027 from timlinux/pep8
e98fd38 (pep8) PEP8 fix for api builder
ac989c2 unittest refactor
7b466c7 Wohoo. Remove impact calculator thread class.
6c3357c (rizky/develop_if_options_revisions, develop_if_options_revisions) Merge branch 'develop' of github.com:AIFDR/inasafe into develop_if_options_revisions
694c50e develop #2018: add descriptions for IF options
cec64d7 Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
f56e920 Fix test_state
308ff68 (rizky/develop, faster_flood_raster_roads) Merge pull request #2024 from Gustry/fix-space
80ff88a fix test osm downloader
ebe5678 Merge pull request #2020 from Gustry/fix-space
8e1dbb5 Fix test_issue71 due to IF metadata keywords.
144f860 Merge pull request #2016 from wonder-sk/faster_flood_vector_building
9c8e651 In progress updates for definitions.py
8d0ae06 Remove check_integrity parameter from the calculate_impact method.
3a8c03f test from desktop
75ddbc3 Wohoo! Remove ImpactCalculator class.
98d9ce2 Remove unused function accessor.
594ff2c Move requires_clipping as IF property
82c6bbe Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
aef4b3f Merge branch 'develop' of github.com:AIFDR/inasafe into streamline_analysis
4e3564b fix space and comma
e2bd3a9 Merge pull request #2019 from Gustry/fix-space
dcffb56 delete space in the OSM downloader
6210647 PEP8.
96364cb Skipped failed test in wizard.
a707665 Update test data keywords to match the tests.
34cc2e1 Only use generic unit / classes for generic IFs.
9e6049f Merge pull request #2015 from ismailsunni/develop
9e8e364 Make flood vector-building impact function faster
432ad02 Merge pull request #1655 from timlinux/api-docs
171004e Merge pull request #1913 from lucernae/fix_impact_merge_race_condition
6f8cf8f Update layer's keywords in test data due to new wizards.
4e6f948 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_impact_merge_race_condition
322986b Merge branch 'develop' of github.com:AIFDR/inasafe into streamline_analysis
2739051 Merge pull request #2012 from lucernae/small_bugfix
a3d247b Merge pull request #2013 from borysiasty/develop
1b7b331 Merge branch 'develop' of github.com:AIFDR/inasafe into small_bugfix
e4e2375 Merge pull request #2000 from timlinux/fix-1999
a4722ae Merge pull request #2007 from wonder-sk/faster_flood_raster_roads
aa0d918 [KW Wizard] Remove dummy debug prints
b006b43 [KW Wizard] Fix support for numerical fields in categorical value mapping
679fde3 [KW Wizard] Put the hazard/exposure type step before the hazard category step
3d40942 [Wizard] Update the keyword wizard
242cd2b Merge pull request #2009 from Gustry/gui-osm-downloader
98c3611 More changes to improve code style
13357d5 Remove unused method split_by_polygon_in_out()
ba80962 Added unit test for the new functions
b7edd72 Drop "gdal" from test's name for flood raster/roads
b30ee24 Code style improvements
6c85a64 Updated fload raster road impact function to demonstrate expected coding standards
fcc6ade Fix test
b5138a3 Removed the extra flood raster/roads IF and dropped _qgis_gdal suffix
a2779a2 Add support for reprojection in flood raster/road impact function
d3f12e5 PEP8 / PyLint fixes. no functional changes
85312b5 Optimize flooding raster/road impact function
57bc645 Merge branch 'small_bugfix' of github.com:lucernae/inasafe into small_bugfix
3e98601 Merge branch 'small_bugfix' of github.com:lucernae/inasafe into small_bugfix
dcc6fc1 Merge branch 'small_bugfix' of github.com:lucernae/inasafe into small_bugfix
6946ca9 Bugfix for minimum needs:
662b124 (origin/fix-1999) Rename Xml to XML
34be7cc Bugfix for minimum needs:
2fb93ea Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop
48cae94 add probability for PAGER fatality model
fb4c80a refactor
1d82a1a refactor
8bc3b90 Merge pull request #1924 from lucernae/add_intermediate_if_class
e797973 Remove the input layers validation to the IF base class.
fab2e4e fix pylint
17ef2ad correcting PAGER fatality model
0e6e29a Fix tests
8337522 Merge branch 'develop' of github.com:AIFDR/inasafe into add_intermediate_if_class
bfea0cb cleaned up
cecb259 Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop
538e252 merged
ff13004 Merge branch 'develop' of github.com:AIFDR/inasafe into cli
23f6baf clean
339b900 extent selection functioning
dc25dd0 add bbox to countries and try to detect the country in the OSM downloader
6acdfd4 improve UI about the boundary export
13cfc4f Change layer_mode_none to layer_mode_classified
d4eccb6 Merge pull request #1971 from akbargumbira/streamline_analysis
c6d83ee changed computing no of fatalities and displaced
57413e2 Merge branch 'develop' of github.com:AIFDR/inasafe into add_intermediate_if_class
7d7e4f6 Merge pull request #1925 from Jannes123/cherries
0448d27 Fix pylint
9e2cc57 Set extent to the impact function instance.
5d4fed4 fix pep8 and pylint
8a9a76d Merge branch 'develop' of github.com:AIFDR/inasafe into cherries
64c21f7 Fix tests
33763fa Merge pull request #2008 from akbargumbira/develop
307e909 Merge branch 'develop' of github.com:AIFDR/inasafe into cherries
d076567 Update function category based on the new metadata.
34f634b Remove safe.engine.utilities
0f943ba Merge branch 'develop' of github.com:AIFDR/inasafe into streamline_analysis
4608390 Set exposure and hazard from the impact function instance
5215485 (martin/develop) Merge pull request #2006 from ismailsunni/ultra_fixing
60aa350 Merge branch 'develop' of github.com:AIFDR/inasafe into cherries
3620a7a PEP8
c737dff [IF API] exposure_class_fields
6f8109e Use population for scenario to avoid failed test.
d1f2507 PEP8.
8834d3a Fix failed test in jenkins: test_issue160
051636d Add structure_class_field and road_class_field.
750baa7 Introduce exposure_field_class.
4f610a5 Merge branch 'develop' of github.com:AIFDR/inasafe into streamline_analysis
bcaebbb Use clone_shp for testing
d5ac4d6 Merge branch 'develop' of git://github.com/AIFDR/inasafe into ultra_fixing
c070467 Remove unused additional_keywords
131716c Skip failed tests in wizard due to none removal.
9c9bc74 Revert none to classified in test data.
981a763 Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop
23eaccf Merge pull request #1923 from Gustry/gui-osm-downloader
a75aed6 Remove layer_mode_none from Impact Functions.
39129ed Move layer conversion depending on IF type in the IF base class.
04d1ebd Remove extract_layers method.
52996a6 fix tests
544f2ff Merge branch 'develop' of github.com:AIFDR/inasafe into streamline_analysis
640cb06 Merge pull request #2002 from akbargumbira/develop
f1dd41f Update keywords of the tif output from the shakemap converter tool with new metadata.
f4d1e4c Merge branch 'develop' of github.com:AIFDR/inasafe into cherries
a9bef3a Merge pull request #2001 from akbargumbira/develop
984c277 Remove unused code.
0ccb409 [Unicode] Fix unicode problem in Shakemap converter tool.
62e4c45 (fix-1999) Fix #1999 - Grid.xml convertor not working. Improved menu action label to make it clearer what the tool does. Zoom to layer if user asked to add it to the map canvas.
2827294 Merge remote-tracking branch 'upstream/develop' into inasafe-1811
861770f Pass the hazard and exposure layers to impact function instance to aim our IF design.
ef8f25d Remove packing unpacking exposure and hazard layers and use them directly.
7d24855 Merge branch 'develop' of github.com:AIFDR/inasafe into cli
457c784 Merge branch 'develop' of github.com:AIFDR/inasafe into add_intermediate_if_class
2cbd62f Add tests for base class. Change layer check constraint to match metadata
6802d88 Update all IF's prepare method.
bf3a243 pylint fixes
b9b322b Merge branch 'develop' of github.com:AIFDR/inasafe into streamline_analysis
597a397 Merge pull request #1970 from akbargumbira/if_parameters
b6b40f5 Remove the wrong docstring.
9bdcb4d Add some more non-conflicting attribute check when assigning exposure layer.
563f4f3 code cleanup: delete unused files, add additional attribute for vector exposure mixin
b351435 Remove non-conflicting attribute checking in the volcano polygon population IF.
3a78dc5 Remove checking non-conflicting attribute in the concrete classes.
4d10307 Add validation for non-conflicting target field in the IF base class.
ef3c20b unittests
83c7870 added shorthands v and l
ebbb984 fix docstring
d25b4de fix pep8 and pylint
65c4d98 deleting unused file from git
976e2e5 code cleanup
0c2fd80 Merge branch 'develop' of github.com:AIFDR/inasafe into add_intermediate_if_class
13b635f Merge branch 'develop' of github.com:AIFDR/inasafe into cli
e2b2402 refactor parsing of optional args
7831a7d Resolved merge conflicts
61aa948 Working example on volcano polygon on building to use layers from IF base fields.
cb31d7d Merge pull request #1987 from lucernae/fix_pylint
8707643 (rizky/fix_pylint) fix pylint
52c80ea Merge branch 'develop' of github.com:AIFDR/inasafe into if_parameters
80e3db6 Merge branch 'develop' of github.com:AIFDR/inasafe into streamline_analysis
8bb6f89 Merge pull request #1979 from lucernae/move_provenance_to_minimum_needs
1229b7b Merge branch 'develop' of github.com:AIFDR/inasafe into move_provenance_to_minimum_needs
0a1c637 Merge pull request #1984 from borysiasty/develop
2a7a10d Merge branch 'develop' of github.com:AIFDR/inasafe into streamline_analysis
374f2e5 refactor
89a9927 [Wizard] pep8
4fee72d [Wizard] Update wizard test
183789b [Wizard] Make Pylint less complaining
fccf7cb [Wizard] Support for additional_keywords
4aee87e Add relations to additional_keywords, so _value can be related to _field
912723f Merge pull request #1983 from ismailsunni/develop
9bf219e PEP8.
b2dbed0 Merge pull request #1982 from ismailsunni/develop
fac62f0 Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
9d2be3d Update sha for inasafe_data.
d7864df Deeper refactor, changing the key for single event and multiple event.
e50a3ad Refactor variable name.
64df3a8 IF API for additional_keywords.
36c632e Introduce 'additional_keywords' in metadata.
d3037b9 Merge pull request #1981 from lucernae/fix_if_metadata
22525a4 fix tests
9a46e56 Merge branch 'develop' of github.com:AIFDR/inasafe into move_provenance_to_minimum_needs
1d81b72 fix volcano polygon population metadata to not accept hazard point layer
6e63569 fix tests
21e94b1 Remove typo.
f1877c4 Merge pull request #1978 from borysiasty/develop
1743f72 develop #1958: move provenance from IF option to minimum needs tab
082d560 pep8
e13944c [Wizard] Update test
0d7c0f4 [Wizard] Support for layer_mode_none. Make unit mandatory for mode_continous, classification mandatory for mode_classified and field mandatory for both modes. Minor ui and text fixes
c5bdfaa Merge remote-tracking branch 'upstream/develop' into inasafe-1811
386783e Merge remote-tracking branch 'origin/develop' into develop
20caa2b Dont pass iface around
917dade Merge branch 'develop' of git://github.com/AIFDR/inasafe into develop
911bf17 Use layer_mode_none to all previously classified exposure.
6bbe2a6 Merge pull request #1976 from borysiasty/develop
7f11a2e (borys/develop) Merge branch 'develop' of github.com:AIFDR/inasafe into develop
169d490 Fix description
1a0e355 Merge pull request #1974 from ismailsunni/develop
1d4063c Add some descriptions in definitions.py
aa5060d Merge pull request #1973 from ismailsunni/IF_API
718f13b Update hazard_categories_for_layer
dc7070b Update hazards_for_layer.
053eaf7 Merge pull request #1972 from ismailsunni/metadata_update
469c7a2 Fix failed test related to road.
3787611 Merge branch 'PR_1967' into metadata_update
9fd50a7 Introduce layer_mode_none and use single event and multiple event.
753035a move files and debug path calculations
5938167 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
360a991 Merge branch 'develop' of github.com:AIFDR/inasafe into cli
ea918e2 Vector/Raster file autodetect
2c9c7e4 docstrings
a3b9f5b refactoring globals into passed arguments
4953278 (akbar/streamline_analysis) In work progress for removing packing and unpacking layers.
bfca58d (akbar/if_parameters) Use target field and not affected value from base class.
1db115d Merge branch 'develop' of github.com:AIFDR/inasafe into if_parameters
7850814 Merge pull request #1969 from akbargumbira/develop
569b1e2 (akbar/develop) Fix metadata for Classified Polygon on Population.
57522c0 Merge branch 'develop' of github.com:AIFDR/inasafe into if_parameters
d3088f1 Merge pull request #1968 from akbargumbira/develop
6b44914 Fix failing tests.
58fe1a7 Moving target field and not affected value to base class.
9d0c82f Merge pull request #1966 from lucernae/fix_if_metadata
75a9417 [Wizard] Dynamic layer_mode from API. Always create the layer_geometry keyword
8a629f5 [IF API] Fix names
be74201 change generic IF metadata
9c0a3b5 Additional metadata checks and other base class which currently doesn't have IF inheritor
671e057 pep8 and pylint
c73fa13 Merge branch 'develop' of github.com:AIFDR/inasafe into add_intermediate_if_class
8dc764f report function debug
2c6028e assigning base classes to IFs
316b80b Merge pull request #1963 from ismailsunni/IF_API
e5e7fc4 Merge branch 'develop' of git://github.com/AIFDR/inasafe into IF_API
6ff9ae6 [IF API] Update API.
8615d4b Merge pull request #1962 from ismailsunni/IF_API
cec59e5 [IF API] Add available_layer_mode API.
d8c0ee6 Fix merged conflict.
cf2d03f Remove unused class field.
d5b0e6f Merge branch 'develop' of github.com:AIFDR/inasafe into add_intermediate_if_class
639d19f Merge pull request #1809 from ismailsunni/new_metadata_keywords
d969acb wip first report gen in pdf
2f7b31d PEP8.
5ca100c Remove deprecated code.
f9e1dc6 Fix test in safe/gui/tools. All test pass.
296e84a Fix test in safe/impact_statistics
02322e0 Fix test in safe/impact_functions.
791bd02 Replace (old) definitions.py to new_definitions.py.
06e5e49 Remove old metadata (definitions.py).
ceb3bcf Fix test in test_impact_function_metadata.
84c9895 added docstring
9f737d5 switch back to mmi 2 to 10 and adding displacement rate function
8f2f767 Fix merged conflicts.
fade5ee Merge branch 'develop' of https://github.com/AIFDR/inasafe into develop
3d166e6 Fix failed test in test_aggregator.
d8b3131 compliance with PEP8
c07fd7b Fix issue in plugin due to keyword dialog removing.
e4cb51e Fix several failed test.
d749f5b Fix test in test_registry.py
c2071da Remove keywords dialog from InaSAFE.
abe785a Remove keywords dialog usage from dock.py and show message box instead.
f3a3d9d cleanup and remove test data
fb7d6a2 Merge branch 'develop' of github.com:AIFDR/inasafe into cli
71dbf3b usage install text update
4f66dca Remove deprecated API in IF Metadata.
8eb0554 Remove deprecated API in IF Manager.
708002a update usage
1a87414 remove test data
c819079 refactor for bash command installation
79a299a cli test data
9646e86 change mmi range and augment test
7dd9554 git merge
f2eca5a path calculation debug
7ffa1b8 Merge pull request #2 from borysiasty/new_metadata_keywords
e708b96 (borys/new_metadata_keywords) pep8
9c0d994 [Wizard] Fix messages
1a85a7f Update the wizard test to the new keywords
198c80d Update the wizard to the new keywords
aa5e98f Update test data to the new keywords
a69c64a vector or raster inputs
5563074 vector or raster inputs
4a3084c refactoring
3e7661b Merge pull request #1948 from akbargumbira/realtime_bugfix
c3f291d (akbar/realtime_bugfix) Address Pylint violation.
da3c667 Merge pull request #1950 from lucernae/fix_minimum_needs_window
77b40e4 Some fixes to ITB IF for EQ Realtime.
2dfaf0a refactor and cleaning
e84b4a3 Merge branch 'new_metadata_keywords' of https://github.com/ismailsunni/inasafe into new_metadata_keywords
230e5e6 fix import statement
43d0ac9 Merge branch 'develop' of github.com:AIFDR/inasafe into realtime_bugfix
2ebc6ff [IF API] Fix always returns all unit in the API.
6d7e6bb [IF API] Update function_for_constraints with default arguments.
6aefbdb Merge branch 'develop' of github.com:AIFDR/inasafe into fix_minimum_needs_window
1d58063 Fix display warning message bar.
7565da3 Merge branch 'develop' of github.com:AIFDR/inasafe into inasafe-1811
576d427 Update wizard test to new keywords
e405128 Update wizard to new keywords
b52e426 Minor fixes in impact_function_metadata.py
b483e07 Minor fixes in new_definitions
1da263b Merge pull request #1955 from lucernae/fix_minimum_needs_calculator
349076d cleanup wrong import
ebab214 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_minimum_needs_window
2ab8450 First attempt to update keywords dialog. Don't merge it yet.
64294bc Merge branch 'develop' of github.com:AIFDR/inasafe into fix_minimum_needs_calculator
dd261ef fix #1947: fix weird bug. change the dialog to modal dialog (previously model-less dialog)
122c5e4 first analysis success
f7a51e3 work in progress commit
3608977 analysis runs impact layer created
56347ae analysis runs without errors no output
aff02c2 Change hazard scenario and hazard zone to single hazard and multi hazard.
2372a91 Refactor hazard categories.
00dfedf Rename API.
0b1c7e0 PEP8.
bf20988 [IF_API] Add get_available_exposure_constraints.
3fb038c [IF_API] Add get_available_hazard_constraints.
44111da Merge branch 'develop' of github.com:AIFDR/inasafe into realtime_bugfix
212b1c2 [IF_API] Add get_functions_for_constraint.
7e8692d Merge pull request #1 from borysiasty/new_metadata_keywords
f5f1ac1 [IF API] Fix names
9666c74 Merge branch 'new_metadata_keywords' of https://github.com/ismailsunni/inasafe into new_metadata_keywords
163b73e [IF API] Add get_available_exposures
aa23ca4 [IF API] Add get_available_hazards
a2a3065 [IF API] Add raster_hazards_classifications_for_layer and vector_hazards_classifications_for_layer.
34b67ea [IF API] Add hazards_classification_for_layer.
29345d0 [IF API] Add exposure_units_for_layer.
97d45f4 [IF API] Add exposures_for_layer.
b2a1817 [IF API] Add hazard_for_layer.
3817f4c [IF API] Add hazard_categories_for_layer.
c80e2c1 Skip failed test and add purposes_for_layer.
2ad2d2e wip commit /usr env problem
10dad44 Merge pull request #1953 from akbargumbira/fix_1936
e0f0d63 (akbar/fix_1936) Fix failing test.
d6c4cff Use algorithm name flag to avoid original xml overwritten by the xml keywords.
adaef49 Remove pydevd debugger.
edb479a Update keywords assigned for tif output of the shakemap grid converter.
533c924 Make some string translate-able
cae5a98 fix #1946: Change the accept terminology in import as "Open"
460d6c0 fix #1945: hide close button in resource editor and handle reject changes
a8c6088 this closes #1926 #1930 1933
8db38c5 fix #1944: allows a scrollbar so the user doesn't have to resize window when it exceeds the OS windows
3236a6c cli debug commit
1b05bf3 cant create Layer objects
30c1ec3 buggy commit
de9a2a9 Merge branch 'develop' of github.com:AIFDR/inasafe into cli
ddfba7f Fixes for failing tests for #1811
f373be2 Remove static provenance in the IF.
6093200 Merge branch 'develop' of github.com:AIFDR/inasafe into realtime_bugfix
b23c03b Merge pull request #1934 from akbargumbira/develop
298b63d Update metadata for develop branch.
3f2e89f Fix wizard resizing bug
6a7abe6 Change the status to alpha again for develop branch.
27b6984 (jannes/cherries) new-style parameter dict widget
e6856e8 Merge upstream changes from develop
837a799 Further implementation work for #1811
50560ce Reduce noise by clearing message queue when a new warning is pushed to the message bar
2d4d6d4 URL dynamically generated in the OSM downloader
275db43 debug new-style parameters
bb60c17 new-style parameter debug
d53f28a add moe tests to OSM downloader about boundaries
20c7c4b add more countries to OSM downloader
05b6605 git mistake
65db240 remove git mistake
8891075 new-style parameters update
3d7193d debug new-style parameters
83d56e5 develop #1914: add ContinuousVHContinuousVE
1feffd6 develop #1914: add ClassifiedVHContinuousVE
b93292c develop #1914: add ClassifiedVHClassifiedVE
a671aea develop #1914: add ContinuousVHClassifiedVE
e1fcaae develop #1914: add helper classes
f022685 add boundaries
9c9e96a new-style parameters update
fbf8c0c add IDP camp export and improve GUI
c519301 (jannes/cli) cli start
74fe5dc this closes #1893
6606eef merged
4e2d841 Merge branch 'develop' of https://github.com/AIFDR/inasafe into fix_impact_merge_race_condition
299827e Fix #1862: Avoid race condition when removing the temporary report files
f033bba Merge remote-tracking branch 'upstream/develop' into develop
392b356 Merge remote-tracking branch 'upstream/develop' into develop
705af5e merged with develop
f54ece9 In progress implementation for #1811
00262ed Fixes for #1811 and #1861 - improve messaging when user has invalid extents or no active layer
9fa1a88 Migrate some usage of definitions to new_definitions in wizard_dialog.
6bae55c Migrate definitions to new_definitions in keywords_dialog.
807d60d Remove converter_dict.
e13b5c0 Move constant from definitions to new_definitions.
1e6b23a Refactor keywords dialog.
e303cd8 Update hash to match with updated keywords in inasafe_data.
3e1e4c9 PEP8 and some pylint.
001dfb4 Make all pass in test_keyword_io and test_utilities.
c30640b Make all test pass in impact_statistics.
aae2604 Fix all test in test_engine.
2897800 Update wetdry to flood to fix all test in test_dock.
e10d79d Add more unit to generic IF.
8c75894 Fix almost all failed test in test_dock. Two left.
af50646 Change wetdry to flood in vector classification key.
76c85b3 Update keyword's layer in test data.
81ea5f8 Update test_filter in inundation IFs.
87ee5de Update test_filter in volcano IFs.
278b57f Update test_filter in earthquake and generic IFs.
e552f4d Fix logic in filter_by_keywords.
6e2b012 Update filter method in registry and change the IF's layer_requirements.
f7af51f Update filter_by_keyword_string function.
ca2b34c Remove old metadata definitions from IFs.
85a5fb1 Add get_layer_requirements method and generate all IFs'
b4785e4 Fix wrong import.
203ba22 Small fix for unimported metadata.
f091d39 Recheck applied new metadata keywords to all IFs.
639f70d PEP8.
ec7fb94 Apply new metadata keywords to flood IF.
5e7c382 Apply new metadata keywords to earthquake IF.
e2ddc65 Apply new metadata keywords to generic IFs.
18350f3 Apply new metadata keywords to volcano IF.
405a8b5 Write all new metadata keyword.
e187ad4 (origin/api-docs) Added api docs scripts from docs repo
34c3208 Merge remote-tracking branch 'aifdr/develop' into develop


Changelog for version 3.1.0
================================

19bbe17 (HEAD, upstream/develop, origin/v3.1-prep, v3.1-prep) Merge pull request #1908 from akbargumbira/develop
b9afd37 Merge pull request #1907 from timlinux/docker
b2d512e Update and compile translations.
fe8970d Merge pull request #1906 from akbargumbira/develop
f6fa836 Standardize nan warning.
218e1df (origin/docker, docker) Rather use hosted docker repo for test builds
28c47ce Merge pull request #1905 from timlinux/docker
c9098ec Merge pull request #1904 from AIFDR/pylint
59f7b4b Fix typo nan warning.
3787fc6 Merge pull request #1903 from timlinux/pep8
a02f1f5 (upstream/pylint, pylint) Fix pylint errors
4cb8396 Fix for python path in docker
135f08d (origin/pep8, pep8) PEP8 fixes and removed some redundant code / vars
142c1b3 Merge pull request #1902 from ismailsunni/update_translation
78d15d7 Update translation.
9c0a640 (develop) Merge pull request #1898 from cchristelis/feature/1800_nan_handling
fa3b845 Merge pull request #1901 from timlinux/pylint
0e3a6c9 Merge pull request #1900 from timlinux/docker
d14cbaa (origin/pylint) Pylint fixes for release
b3d9f2f In progress work to support running tests under docker for a homogenous testing environment
9394133 Merge pull request #1895 from timlinux/ui-tweaks
f984361 (origin/ui-tweaks, ui-tweaks) Test items are equal in registry list, not lists themselves (fixes failing test)
11be6c4 Merge remote-tracking branch 'upstream/develop' into ui-tweaks
8b1d931 Merge pull request #1896 from timlinux/pep8
29432d2 Merge pull request #1899 from akbargumbira/develop
61494ee Ensure all IF's on population have ZeroImpact handle.
c120edb Merge with develop
6fa783c Better NaN handling classified_raster_population.
9a56cdc Merge branch 'develop' of github.com:AIFDR/inasafe into feature/1800_nan_handling
5789421 PEP8 fixes
6ca0133 Small tweaks for extent selector and osm downloader dialogs so they look better on osx
03d6011 Merge remote-tracking branch 'upstream/develop' into develop
7f6254e Better NaN handling - flood_polygon_population.
ea7f156 Better NaN handling - classified_raster_population.
56017f8 Better NaN handling - continuous_hazard_population.
37a4542 Better NaN handling - tsunami_population_evacuation.
b1f2a33 Merge pull request #1865 from lucernae/fix_parameters_reset_after_run
a406a39 Merge pull request #1875 from timlinux/inasafe-1861
16fb8ab Merge pull request #1891 from akbargumbira/develop
8a5ce97 Merge pull request #1894 from Jannes123/clean_resources
0cb06a2 remove duplicate text from resource file
25bedab Add ZeroImpact handle.
f235591 Merge branch 'develop' of github.com:AIFDR/inasafe into feature/1800_nan_handling
dc334cb Fix failing tests.
40e0cce Better NaN handling - volcano_point_population.
7b9d418 Better NaN handling - volcano_polygon_popuolation.
14c1108 Update the style and metadata.
d263e60 Better NaN handling - flood raster popuolation.
d37cfd5 Fix the logic in classified hazard on population IF.
a66b70d Merge pull request #1881 from Jannes123/min_needs_precision
6b105f5 Merge upstream changes
efe1107 revert
d382f01 (jannes/min_needs_precision, min_needs_precision) docstring
8289fb7 Merge pull request #1886 from akbargumbira/develop
1cad197 Merge remote-tracking branch 'upstream/develop' into develop
8c9805b Merge pull request #1880 from timlinux/fix-1843
bec7751 Fix failing test for #1843
ffa4689 Change how we intersect the extents if the hazard is point data.
e2ed972 Resolve clipping problem by adjusting the extent in the case of vector on raster.
f8a784f Merge branch 'develop' of github.com:AIFDR/inasafe into develop
5d3a89f docstrings update
275eb8b docstrings update
655bf0a Merge pull request #1884 from akbargumbira/develop
4250206 Tweak nodata statement in other 3 IF's
f79fe79 Tweak the nodata statement in this IF.
30bf290 Rearrange the report tabulation for this IF.
3be079c (origin/fix-1843, fix-1843) Fix failing test for #1843
a003796 Fix failing test for #1843
8847c90 rollback previous precision mistake
55445ca clean out logger
e3b8973 Merge branch 'develop' into min_needs_precision
9295407 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
197cd88 added tests
adc60c6 min needs options tab floating point precision fix
b32eb62 NaN handling
4bc03b5 Resolved final comments from Charlotte
5847d33 dynamic floating point for minimumneeds profile
185f73a Fix reference to IF names in test list based on tweaks for #1843
2be3a2f Resolved merge conflicts with master
3bd26cf Merge pull request #1871 from akbargumbira/generic_polygon
5b107a8 Handle NaN in these 4 IF's.
0889889 (rizky/fix_parameters_reset_after_run) Merge branch 'develop' of github.com:AIFDR/inasafe into fix_parameters_reset_after_run
efb371d Update Classified Polygon Pops IF, Volcano Point Pops IF, Volcano Polygon Pops IF.
d3e84f5 Change interpolation polygon raster and update Flood Polygon on Pops IF.
55ff0b0 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
1ae6455 Merge branch 'develop' of github.com:AIFDR/inasafe into generic_polygon
ebdb7e3 Merge pull request #1876 from akbargumbira/develop
343b3c5 Handle NaN in the Flood Polygon on Population IF.
ebee51e Improvements to metadata based on Charlotte's suggestions. See #1843
7b0615f Merge branch 'develop' of github.com:AIFDR/inasafe into generic_polygon
13bf8eb Merge pull request #1873 from akbargumbira/flood_polygon_population
12cca0a Remove debugging lines.
7b65ee5 Add ZeroImpactException in the IF.
2a06e63 (origin/inasafe-1861, inasafe-1861) Tweaks for legend no active layer handline (#1861) and roll back changes in #1811 - I have a better implementation for that coming post 3.1 release
d8942c1 Merge pull request #1874 from akbargumbira/unicode
0f47c83 Cast to unicode. The value could be other than str object.
ce8f1b2 [Unicode] Remove casting QgsMapLayer source to string.
872c9bd Improve Flood Polygon on Population to not use hardcoded attribute.
5263882 Only round total affected for presentation.
4c30971 Update Volcano Point on Population to use the new interpolation method.
7e4519e Update Volcano Polygon on Population to return exposure layer as the impact layer.
a8c4738 Fix failing test.
dc316a9 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_parameters_reset_after_run
18e112a Finalise Classified Polygon on Population IF.
0a78d76 Much faster create_classes utilising the power of numpy.
8daf921 Change the interpolation for polygon on raster
635240e Merge branch 'develop' of github.com:AIFDR/inasafe into generic_polygon
afd6b9e (jannes/develop) Merge branch 'develop' of github.com:AIFDR/inasafe into develop
dab65f5 floating point precision fix # #1851
a5290f7 Merge pull request #1866 from lucernae/develop
04e7c38 (rizky/develop) Update Translations
621c2e4 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_parameters_reset_after_run
fdbdec1 Merge pull request #1864 from lucernae/fix_generic_if_postprocessors
1e9eb2c (rizky/fix_generic_if_postprocessors) Modify false logic. Fixing tests where show_intermediate_layer is enabled
7fedfe7 Fix #1863: Rerun function with the same param
7c53d68 Fix #1854: Modified aggregation to use impact layer extent if aggregation layer is not provided
e04c252 Merge pull request #1848 from timlinux/fix-1843
91662a7 More standardization on IF package name.
7c94095 More standardization on IF name. Fix failing tests.
a8cd085 Initial implementation of returning the impact based on exposure.
4efc04b Resolved merge conflicts
d9bc46a Merge pull request #1834 from timlinux/fix-1830
2c5524f Merge pull request #1858 from timlinux/fix-1857
409e7d4 (origin/fix-1857, fix-1857) Further fix for #1857 - support on the fly projection for flood on roads and flood on buildings
a6c7124 (origin/fix-1830, fix-1830) Merge remote-tracking branch 'upstream/develop' into fix-1830
2774ca7 Fix #1857 - support OTFP for flood vector building impact
25fe425 Merge pull request #1822 from timlinux/v3.1-prep
bc63a34 Merge pull request #1855 from cchristelis/develop
7daa2fc Fixing newly added pylint. #Pylintpolice
a0e2475 merged upstream changes
bbc7fec Merge remote-tracking branch 'upstream/develop' into fix-1830
29497c2 Address comments for @cchristellis for #1843
9ae424b Merge remote-tracking branch 'upstream/develop' into fix-1843
b1b4782 (etienne/develop) Merge pull request #1850 from timlinux/pep8
14b9c99 Merge pull request #1635 from timlinux/develop
2a67e35 Merge pull request #1760 from timlinux/fix-1484
48fceb0 Mreged changes from upstream
0060342 Merge pull request #1852 from timlinux/fix-1792
bc0b443 (origin/fix-1792, fix-1792) Further fixes for #1792
c3e7697 In progress cleanups for age based postprocessors. See #1792
c7bb24d PEP8 fixes
086002c Merge pull request #1793 from Jannes123/develop
ad906ac Merge pull request #1847 from cchristelis/develop
f6a1d95 Fix #1843 We need to review the text for all impact function metadata.py files.
b4eee74 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
a24fc25 Suppressing the buggy pylint error on Jenkins (caused by an astroid bug).
b93bfc9 Merge pull request #1844 from akbargumbira/develop
d15bc68 Change the exception message to a layman term.
6e6558b minor pylint
acee5fb in progress work for #1843 We need to review the text for all impact function metadata.py files. Also fix #1828 (don't call impact functions experimental).
4559b29 merged with upstream
20f2581 Merge pull request #1846 from cchristelis/timlinux-fix-1820
30eaa67 Validate if the IF has exactly 3 values of thresholds
9ba5907 refactor
76b0e94 alice in wonderland scrollbars fixed
557b28e Udating improvined menu layout.
9a557ef Merge branch 'develop' of github.com:AIFDR/inasafe into develop
6afc88a Fix unstyled impact layer of Continuous Raster Hazard on Population IF.
66e5c5b Merge upstream changes
b4c58af Merge pull request #1842 from timlinux/inasafe-1811
60b600e Merge branch 'fix-1820' of https://github.com/timlinux/inasafe into timlinux-fix-1820
9c5b599 Merge pull request #1841 from akbargumbira/develop
5594065 Implementation for #1811 and pep8 fix in wizard code
e59a084 Fix failing tests and PEP8.
1c38ac8 Change the name of Generic IF's for more clarity.
9b8d49a Merge pull request #1840 from akbargumbira/develop
f827677 Postprocessors are always list of Generic Parameter. Simplify the summary step in wizard.
5516b0a Merge pull request #1839 from lucernae/fix_wizard
e24dc4d (rizky/fix_wizard) Fix pep8 errors
6bfd61f Merge pull request #1837 from lucernae/fix_wizard
dc79b4e Merge pull request #1838 from cchristelis/develop
2215842 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
422b901 Suppressing unneeded errors.
108cbd7 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_wizard
43732ab Merge pull request #1835 from cchristelis/develop
efe793d revert defaults.py
37bdc4d remove default descriptions
6db3865 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
ed93065 hardcode options for earthquake_fatality
588a9a5 Fix localization string and presentation error. Fix #1810 about rounding minimum needs to 1 decimal place in IF Wizard Summary. Add possible UI presentation fix for postprocessor summary
cd3ba95 Merge pull request #1833 from lucernae/test_fix
5e5dd6a correcting isinstance second argument to tupple.
e3f9bda Merge branch 'develop' of github.com:AIFDR/inasafe into develop
ee9d5b6 Fixing pylint
9ea5f75 Fix #1830 Options dialog raises unhandled error
b359092 Removing new pylint violations
df5eb4e (rizky/test_fix) Merge branch 'develop' of github.com:AIFDR/inasafe into test_fix
ef594e2 Fix strange test caused by busy signal doesn't reset. Issue #1829
4e4e88a Merge pull request #1832 from akbargumbira/generic_polygon
21fb9f6 Remove unused variables.
6ed44cf Remove cumulative tabulation in the report.
f1ff9ec Merge pull request #1831 from ismailsunni/fix_1827
aaa19d3 PEP8.
e1614e3 Merge branch 'aifdr_develop' into fix_1827
7697e1f Update translation.
010fd37 resolved merge conflicts
41f53ae Merge remote-tracking branch 'upstream/develop' into develop
b1b11d3 Add question for [hazard]_classes_question.
1542dc1 Merge pull request #1825 from akbargumbira/develop
89551cb Merge branch 'develop' of github.com:AIFDR/inasafe into develop
d06a86e Merge pull request #1826 from akbargumbira/generic_polygon
828233f Change the default value of the hazard zone attribute to KRB for classified polygon IF on building.
7b142a2 Adding missing shx
627a2f1 Fixing broken tests.
713476f Fixed unexpected indent
cdfa909 Applied item per line convention on changes
a2fd9e5 suppress where pylint errors make no sense
8133c43 pylint merge
70a8a3e updating missing files
c60613f Fixing all pylint to establish a clean baseline - continued 2
12b54b7 Don't include Not Affected category in the total of each breakdown by building type.
215d530 Fixing all pylint to establish a clean baseline - continued 2
e792d74 Fixing all pylint to establish a clean baseline - continued 1
7229c5d Fixing all pylint to establish a clean baseline - continued
57a7b31 Fixing all pylint to establish a clean baseline
4a8a6e7 Made behaviour between jenkins and make identical
fd1d67a merging pylint changes
b33aa76 Merge pull request #1814 from akbargumbira/generic_polygon
f761e67 Fix failing tests caused by changing the question.
5d1a3db Change the question for classified polygon on building and population as the hazard is not an 'event'.
f197500 Change the color_ramp to use HSV model
feea9a4 Fix failing tests.
00fd4b1 In progess updating changelog and metadata for 3.1 release
325c496 In progess updating changelog and metadata for 3.1 release
540f343 (origin/fix-1820, fix-1820) Partial implementation for #1820 - tidy up plugin menu entries.
0975aca (inasafe-1819) Merge pull request #1818 from lucernae/develop
c2bb007 Update Translations
1be82e6 Remove the minimum needs report in the IF.
26a9bc2 Fix bugs to the total building affected + not affected
d28d7ae Add classified polygon IF on population.
235c0b9 Update metadata for classified polygon
4a6048c Add classified generic polygon hazard data.
f6400f2 Add Generic Polygon on Building IF.
8b3a5a4 Merge pull request #1806 from akbargumbira/inasafe_1795
3dec8f6 Merge pull request #1804 from akbargumbira/inasafe_1727
c245a5b Update scenario file for batch dialog test.
f4ef5cf Don't enable load standard layers tool if it's not final release.
95f055a Fix failing test after removing the old flood IF.
2158d5d Remove Flood Polygon on Building IF using the old style.
b38e3bc Merge pull request #1801 from akbargumbira/develop
fe6b033 Add volcano point on population in test_registry.
fd42c16 Fix Ole and Ismail in VolcanoPolygon on Building. Get the hazard zone value from the layer itself.
e38e8e4 Fix wording.
8af0c2c Separate volcano IF on population between point and polygon hazard.
c2cf01d Merge pull request #1794 from lucernae/develop
7044275 Bugfix related to #1675: when we have errors in the IF run method, the cursor still displayed as busy.
410e0e7 Update translations
ac3e6be Merge branch 'develop' of github.com:AIFDR/inasafe into develop
c8ddd91 Merge pull request #1791 from ismailsunni/translation_update
2341707 Translation update.
f0b9dd1 Merge pull request #1790 from lucernae/develop
95847de Update translations
0bbc05e Merge pull request #1789 from lucernae/develop
5996c89 Add Indonesian translation
5538fbf fix unused import
460f29c Merge branch 'develop' of github.com:AIFDR/inasafe into develop
659dc60 Merge pull request #1787 from lucernae/develop
6729011 PEP8 fixes and remove unnecessary key-value pair in metadata
a2886e8 Merge pull request #1786 from lucernae/develop
ca4f2cf Bugfix Issue #1784 : Add file exist and zero heights checks
1981370 parameter descriptions
342921a Resolved merge conflicts
b104832 Merge pull request #1783 from akbargumbira/develop
8185001 (akbar/develop) Add French translation.
085806b Merge pull request #1782 from akbargumbira/develop
36156af Remove unused test data.
dc1b15a Merge pull request #1780 from akbargumbira/test
d1c5d83 (akbar/test) Address Pylint violation.
1d563de Use local test data for test_wizard_dialog
2c166a5 Merge pull request #1779 from akbargumbira/develop
690bb44 Update translations.
7a2e49a Update config file for transifex pointing to the new project for inasafe.
4b9bc9c Merge pull request #1778 from akbargumbira/develop
6e83a85 Remove 'disable_for_entire_area_aggregation_param' postprocessor parameter.
56efd0d Merge pull request #1756 from akbargumbira/IF_OOP
6f95503 (akbar/IF_OOP) Address PEP8 and Pylint Violation.
1692edc Merge pull request #1771 from Gustry/fix-1770
c93f70e Fix failing test caused by new building report for some IFs.
a8cf8a5 Remove _tabulate method in IF dealing on buildings.
8cdd4b2 Add building centroids in the load_standard_layers method.
eabda00 Merge pull request #7 from cchristelis/IF_OOP
430185e Only use the formatted building type name for the report.
2adbd12 Restore original state of test data
182d243 Adding test cases for buildings specific ReportMixin
07cd9da Tests covering the Report Mixin base class
83dc512 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
42f2ca0 Tests covering the Report Mixin base class
f8ab7e0 Fix failing test in safe.impact_functions.
5492db7 Merge branch 'develop' of github.com:AIFDR/inasafe into IF_OOP
6bcc4a0 Merge pull request #1773 from akbargumbira/develop
295debd It's more sensible to load defaults minimum needs if there are more than one profile exist with the same locale.
12122eb Move volcano point test data so that it overlaps with other exposure.
c692362 Fix the error raised in case of the building data is centroid.
8720861 Add building centroids test data.
dbcddb0 Code compliance housekeeping
82baba3 Updated Volcano point IF to work with now ReportMixin
1a2810f Update Volcano Building IF to use new ReportMixin
11e0efc Update Vector Flood OSM building IF to latest ReportMixin
1335b99 Updated flood vector qgis IF to work with Reports Mixin
e333cac Give default locale if locale from QGIS returns None
d9164f9 Fixed typo
a6a869f Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
e623a08 Mixin cleanups
dd88894 Updated flood raster osm IF to use report mixin
eb9e587 updated Earth Quake function to use class attributes as the means of passing impact breakdowns
b83ecf9 PEP8 issue fix
9d45c78 Use QGIS app test configuration for this impact function.
5ed4d96 Fix sor_by_locale of sorting needs profile in case locale passed is None.
d38c935 Fix the wrong logic of disabling running a postprocessor via param 'disable_for_entire_area_aggregation'
20ff50b Use instances rather than passing the same properties all around.
b8f163e Updated to work with generic IF
07d48c5 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
34c3e90 Emit function combobox changed from needs manager dialog to update the minimum needs in option.
90e2306 Updating Mixin/Earthquake IF to allow for building value breakdown+
404dc85 Remove get_question and use .question property from IF base class.
7e377f8 Update the minimum needs parameter for IF dealing with population.
8b00ca3 Merge branch 'develop' of github.com:AIFDR/inasafe into IF_OOP
2e3efec Merge pull request #1772 from akbargumbira/develop
086e436 Update loading the needs profile.
d179e4f Fix minimum needs not loaded. We mustn't declare the type to get the value from QSettings anymore.
6ca0765 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
60daed3 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
3af2dda Create mixin base class
769493f Update the IF filter by constraints and add rule when registering IF that it needs to have a unique ID.
515eaea Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
3cbe77d Smallfix for tests. Rename padang_tsunami_mw8 to tsunami_wgs84
e82a5fa Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
96e6dea fix #1770 check if the map canvas is using 4326 and enable OTF if necessary
39b8682 Review Jannes work on Postprocessor parameter.
4472086 Merge pull request #8 from Jannes123/fix_tests
a8b8a31 Merge branch 'develop' of github.com:AIFDR/inasafe into IF_OOP
56ba09a (jannes/fix_tests) clean code
5e785eb merged new-style IFs and parameters and develop
c375bdc Merge branch 'develop' of github.com:AIFDR/inasafe into develop
d58cd28 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into fix_tests
1945fd0 opt dialog tests updated
b416aa4 merge new-style IF_OOP
3c37190 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
5e00139 Add tsunami tests data.
96f016e Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
517f08c Fix test: test_dock.test_issue160
71beb77 Add test for PAG Earthquake Fatality Model.
660cbeb Add test for ITB Earthquake Fatality IF. Clip EQ test data for a faster test.
ad63a2e stash commit
13fe43b Merge pull request #1768 from Gustry/fix-unicode
7838b78 Merge pull request #1766 from Gustry/fix-1764
60a19e3 Add tests for EQ on Building IF.
86e7b23 Fix failing tests.
49056db Fix other tests.
141d18f Fixing tests data using the new standard layers.
6d72086 updated IFs work but not unittest
037c7ea 'Housekeeping' on IF docstring
8fd8e5f Refactor ImpactFunctionRegistry's get, and get_by_id methods
8251ae0 Merge branch 'develop' of github.com:AIFDR/inasafe into IF_OOP
cb9113d FIx all failing tests in local.
1fc8620 Update load_standard_layers to the new test data and add a qgs project.
ee07d39 Update test data and update all tests in safe.impact_function package.
e6e02b5 new-style params for all inundation ifs
448017d fix #1764 update documentation and fix typo
0347b18 Update all the tests in safe.impact_function to use the new test data.
96c85fc fix unicode using get_string
3eeecad Merge pull request #1761 from timlinux/coding-standards
8084366 Add buildings in region_b
a0ab308 Add tests data for region_a (JKT), region_b (Jogja), region_c (around merapi)
0bf2cd1 floodraster gdal road postp update
bf161bf Remove keywords_id in units metadata. Will introduce more failing tests.
cdf3f95 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
8839f63 AddVOlcano Vector On Population and its tests. Add population data in region_c.
74f8547 fix unicode in file path
15c0298 raster flood road postp
672b9f5 Fixing most of the tests
040f645 OSM building rastre flood postp
ab28bd6 stash commiit
f5863fd stash commit
46c72ac fix #1764 : fix test
d8ecee4 fix #1764 : allow a user to select the area with a bookmark
3ca1bf2 stash commit
49b24aa merge commit
a6aa4cf Merge branch 'develop' of github.com:AIFDR/inasafe into IF_OOP
6cac66d Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
16a80a8 Add VolcanoPolygonBuilding IF and its tests. Also add merapi KRB to region_c test package.
2b4a095 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
bd90dc2 Using mixin in flood_vector_osm_building_impact
a0f934e Merge pull request #1759 from timlinux/fix-1758
0068780 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
3ebc8dc Add Earthquake IFs
7951024 Report standardization
5f96f1e clean comments
6b83bc6 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
a722f2d Building Reports Mixins
513c831 (origin/coding-standards) Coding stadnards cleanups for gender postprocessor.
93f3153 Small code conventions cleanup in messaging text.py
8d0bb8f Small clode convention cleanups made while giving Etienne a coding standards walk through.
270531e Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
c711fe4 Add VolcanoPointBuilding IF and its tests. Add data for region_c.
8d6ccbe Add ContinuousHazardPopulation IF with tests
a984184 dialog box scrollbar fixed
0898c00 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
dae6981 Add ClassifiedHazardPopulation IF with tests"
0e62d21 Remove run method in base class. For now, most likely we need to override the validate and prepare layers.
56f3053 Add Generic ClassifiedHazardBuilding IF, with tests
88bca84 cleanout logger and previous commit mistake
731ddf2 establish #1726 reason for bug
029c7fe (origin/fix-1484) Fix #1484 - wizard is not resizable on hidpi screens
84274e9 Resolved merge conflicts
93f2016 (origin/fix-1758) [BACKPORT] fix #1758 - IF options dialog lacks top level layout.
a4109ef Remove old inundation test package.
c2d7597 Run super method 'run' in each IF's run method.
e239305 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
cc39ea8 Change the run method in base class.
ea88cc6 Import cleanup and function rename
3f10b07 Update impact function base class.
283afb6 Merge pull request #1751 from Gustry/fix1679
bfb1492 git commit
e547387 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
87acfc4 Give example on how to deal with IF manager to query IF.
3129c18 Optimize imports
01d2fb8 Add TsunamiPopulationEvacuationRaster IF with tests
3b13e80 Add FloodRasterRoadsGDAL IF with tests
e7c6bb9 Add FloodRasterRoadQgis IF with tests
4b31700 multiple new-style parameters concept
6a55e68 Add FloodRasterOSMBuilding IF, with tests
4523c3a Add FloodPopulationEvacuationRasterHazard IF, also with tests
84e2791 Add FloodPopulationEvacuationPolygonHazard IF, with tests. I guess tests not yet using the valid data.
0e94f53 Review Rizky's work for flood_polygon_roads.
781a890 Add FloodVectorPolygonRoad IF. Modify qgis test
ff1adb8 new-style multiple boolean params
f5dff49 Pass an instance of IF among dock and  wizard to analysis, impact calculator, impact calculator thread, calculate impact.
e2c23c5 proof of concept new-style boolparam
55c0084 Use ID of the IF instead of its class name to register it on the combo in the dock.
1fabd06 Changed function_type as classmethod and have it loaded from metadata
da7ee83 Remove get_safe_impact_function_type in favor of IFManager.get_function_type()
87a6fa2 Remove get_safe_impact_functions and its usage in favor of IFManager.get_by_id()
c80fcae Remove unused code in safe.impact_functions.core
3744904 Remove safe.impact_function.utilities module.
60ef8a4 Instantiate IF manager once and use it in the necessary places.
659fd21 Use its own property to get the impact functions.
3cfe080 More streamlining for things that can be done by Impact Function Manager.
344432c More improvement on Registry and Impact Function Manager.
f2110db Add some test in test_registry.py
ffe0bab Create Registry unit test. Modifying impact function manager test module, commenting unavailable one at the momen. Add some functions in registry and impact function manager.
dfeec72 Remove unused codes after streamlining utilities function related to IF.
b59beed Streamlining the way to get IF. Removing get_plugins for good.
1c97281 Streamlining getting the IF - Lessen the usage of get_plugins.
4926fd4 Remove unused codes related to getting plugins.
53f5c97 Streamlining Registry and Impact Function Manager.
de63d74 Utilise Registry singleton to get the IFs.
ffbe723 Review Rizky's work on flood_building_impact_qgis.
d8f36eb Change the term 'legacy' to 'old-style' for IF style.
a44a9b3 Merge branch 'IF_OOP' of github.com:akbargumbira/inasafe into IF_OOP
c3edf83 Merge branch 'develop' of github.com:AIFDR/inasafe into IF_OOP
e3a70c3 Add 'flood building impact qgis' IF using Qgis Wrapper in the new arch style
860bdd8 Remove unused codes e.g collecting IF requirements from docstrings.
6dc5cfb Make wizard work with the new style of IF.
0667031 Change get_metadata to as_dict in ImpactFunctionMetadata class and make metadata() class method in IF base class.
00a4127 Fix filtering impact functions in registry.
4208824 IF parameters is working but not in a nice way.
10db9e9 Use the old IF parameters.
cab5b72 default extent bug #1775
5e35341 Use registry for getting the IFs. A working example in dock for flood vector on buildings.
67dd1c1 Add a working example of the impact function using the new IF architecture.
0ee1f5d (etienne/fix1679) fix #1679 : fix docstrings and previous shapefile if exists
16bfaaf Merge pull request #1754 from akbargumbira/develop
f68bd99 Fix classname typo.
f1f2a71 Fix failed unittests.
85c3346 [Volcano on Building] Separate the IF between the point and the polygon hazard.
f1a37dc fix #1679 typo, docstring
e53973f fix #1679 : change how the zip is extracted, allow the user to overwrite or not
36e73d3 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
8e15f78 Merge pull request #1749 from ismailsunni/fix_1745
6e3c69e Don't allow users to set the target field in Volcano Building IF.
13ad903 Merge pull request #1743 from Gustry/refact
2cc26ab Fix #1475
4e63b44 fix quoted strings, qmessagebox
6665be4 Merge pull request #1736 from Gustry/fix-1735
4e5e92a Merge pull request #1740 from Gustry/unicode
ad63f45 Merge pull request #1741 from ismailsunni/backport_master
f50b024 PEP8.
54a3d56 Fix typo in metadata.txt
1166157 Revert metadata.txt to version 3.1
0e70def Backport from master.
88ea710 fix #1739 exception about canceled download
077d57a fix #1735 : fix tests
806eb63 Merge pull request #1738 from akbargumbira/develop
87db32b Fix Flood IF Raster on Population.
2fc8dc1 fix #1735 : improvements about the OSM downloader's progress dialog
ef3ec64 Merge remote-tracking branch 'upstream/develop' into develop
e6d81d1 Merge pull request #1731 from Gustry/fix-1730
b827129 merge develop
c81bfa5 fix #1730 grammar
fcb65cd Merge pull request #1733 from Gustry/fix-1732
f1a2d7b fix #1732 : OSM downloader : skip a feature type if one is empty
68cafcc fix pep8 and fix #1730 : improvements on the OSM downloader
3859c8d Merge remote-tracking branch 'upstream/develop' into develop
3e8ffc9 (tag: version-3.0.0) Merge pull request #1724 from timlinux/master
b5f65bf (origin/master, master) Pep8 fix
421a8d2 Merge pull request #1723 from timlinux/master
f2bf097 Fix for failing test on fedora
2d21873 Pep8 fixes
81e7d6f Merge pull request #1722 from Gustry/fix-1721
1964872 fix #1721 : fix typo
5aae1f3 Merge pull request #1674 from akbargumbira/unicode
ba6e5d8 Fix pylint issues
85e248a fix #1721 : change test and fix some language typo
847de34 fix #1721 add a locale flag in the url for osm downloader
a9d53f8 Merge pull request #1718 from Gustry/fix-1207
2ec811f (akbar/unicode) Merge branch 'develop' of github.com:AIFDR/inasafe into unicode
b8987c2 Merge pull request #1720 from timlinux/jenkins-tweaks
c587b48 (origin/jenkins-tweaks) Force locale to utf-8 for jenkins
2c6cb63 Use logo resizing logic from master
6e6af50 fix pep8
ea38f5e Merge pull request #1719 from lucernae/master_icon_change
276dc5a (rizky/master_icon_change) Update translation on the 'Layer keyword missing' interface
141cdcc add 'building points' to the osm downloader
7049199 Merge branch 'master' of github.com:AIFDR/inasafe into master_icon_change
e2121bf Merge remote-tracking branch 'origin/develop' into develop
925b98f Change icon in the description to appropriate icon
3f82710 Merge pull request #1717 from timlinux/fix-1712
eae7ed6 Merge pull request #1702 from timlinux/fix-1533
c9ec0a3 Merge pull request #1715 from timlinux/fix-1713
784f085 Merge branch 'develop' of github.com:AIFDR/inasafe into unicode
a0c546c (origin/fix-1712) [BACKPORT] Fix #1688 - disconnect() failed between 'loadFinished' and 'unislot'
b6cb606 [Unicode] Handle error when Exception.message returns Message object
22eb144 Merge pull request #1641 from lucernae/fix_layer_uri_normalization
c2b6157 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_layer_uri_normalization
c4df525 Merge pull request #1714 from lucernae/master_translation
288d332 (origin/fix-1713) Fix #1713 for divide by zero error when rescaling logo.
0924f79 Add new translation on dock interfaces
aa35fd5 Merge pull request #1678 from Gustry/fix-1225
789a152 Merge pull request #1711 from lucernae/master_pep8
358e048 [Unicode] Ensure that html to be written to file is in unicode for codecs module
8ce9d37 Fix lambda warning and changed it to use def
aa25d8e Fix PEP8 warnings
1820043 [Unicode] Fix failing test in keywords_dialog.
70c610d PEP8 fix
98a7d3e Merge pull request #1704 from lucernae/master
f22a53f Merge branch 'master' of github.com:AIFDR/inasafe
93241a4 Merge pull request #1708 from timlinux/master
4369b2b Merge pull request #1707 from timlinux/issue-1706
c2ce737 Merge pull request #1709 from lucernae/line_ending_fix
6f38dd0 Merge branch 'develop' of github.com:AIFDR/inasafe into line_ending_fix
24034cf Merge branch 'master' of github.com:AIFDR/inasafe
2110dc1 [Unicode] Write or read file using codecs module.
83a05e3 Line ending fixed
f37d3cd Merge remote-tracking branch 'upstream/master'
9686706 [BACKPORT] Fix #1706 - logo does not display in dock during processing.
617a7ee (origin/issue-1706) [BACKPORT] Fix #1706 - logo does not display in dock during processing.
588482b Merge pull request #1705 from ismailsunni/backport_if_split
904ff2f Merge remote-tracking branch 'origin/develop' into develop
68b1a68 [Unicode] Update some test data to contain unicode chars.
83c94a7 Fix unused import.
05eb165 Fix failed unit tests when backporting.
5328c15 Merge pull request #1703 from timlinux/master
cb70fcf Issue #1642: change the description to toolbar instead of plugins
d347bd0 Fix one more unit test from IF splitting.
8fb56bd PEP8.
f20cb8f Issue #1642 Update in getting started message to point out user to use keywords creation wizard in the Plugins > Inasafe menu
2fd84c3 Fix all failed unit tests related to IF split.
38895bc Fix more unit tests related to split IF.
492792c Split to flood_vector_OSM_building_impact.py
d1834c1 Fix unit test due to IF splitting.
6bd6296 Split Flood OSM building IF.
b4fc68d Fix 1699 - fix typo introduced in previous commit
ea87983 Fix 1699 - cancel button on minimum needs calculator dialog does nothing
9809d4d [BACKPORT] Fix 1694 - clear default paths if they point to Qt resource bundles.
aaa22fa Further fixes for #1533
1986d9d [BACKPORT] Further fix for 1533 - scale size nicely if logo is wider than the dock
2691468 [BACKPORT] Fix #1533 - logo is squashed in dock
52ed4ad (origin/fix-1533) Further fixes for #1533
bc01405 Merge pull request #1697 from timlinux/fix-1688
ff22f67 Merge pull request #1700 from timlinux/fix-1699
1998270 [BACKPORT] Further fix for 1533 - scale size nicely if logo is wider than the dock
4c3ea7d Merge branch 'develop' of github.com:AIFDR/inasafe into unicode
3b03780 It's OK to write None or empty string to keywords in Keywords Editor.
0a2af15 Merge pull request #1701 from akbargumbira/master
56a4a10 (origin/fix-1699) Fix 1699 - fix typo introduced in previous commit
e31534a (akbar/master) Remove unnecessary inspection.
5747827 Fix nonexistent wizard_dialog.get_exposure_layer
b8d5f42 Fix 1699 - cancel button on minimum needs calculator dialog does nothing
a8fec08 Merge pull request #1696 from akbargumbira/develop
e17e357 Merge pull request #1698 from timlinux/fix-1694
5f071d7 Change CRLF to LF
765be91 (origin/fix-1694) [BACKPORT] Fix 1694 - clear default paths if they point to Qt resource bundles.
aed69da Merge pull request #1692 from ismailsunni/split_IF
ec8a500 Fix one more unit test from IF splitting.
db73ac0 (origin/fix-1688) [BACKPORT] Fix #1688 - disconnect() failed between 'loadFinished' and 'unislot'
619b566 Remove unnecessary inspection.
023964b Fix nonexistent wizard_dialog.get_exposure_layer
1aa81f0 PEP8.
079895f Merge branch 'aifdr_develop' into split_IF
3a2a61a Fix all failed unit tests related to IF split.
1018f18 Merge pull request #1693 from akbargumbira/master
4481567 Fix more unit tests related to split IF.
a1951cc Split to flood_vector_OSM_building_impact.py
605a86b Fix PEP8
b4955b5 Fix failing tests.
1f50021 Fix Earthquake Building IF Issues #1686
1cebaee Merge pull request #1691 from akbargumbira/develop
3d570bc Fix PEP8
0c119a6 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_layer_uri_normalization
b26724b Merge branch 'develop' of github.com:AIFDR/inasafe into develop
2396554 Merge pull request #1684 from timlinux/fix-1533
f6ebc4a Fix failing tests.
43d34b0 Fix Earthquake Building IF Issues #1686
b1ddf97 Merge pull request #1682 from akbargumbira/master
d3a9891 Merge pull request #1676 from Gustry/fix-1648
621e863 Fix unit test due to IF splitting.
d4b9aa5 [BACKPORT] Fix #1533 - logo is squashed in dock
00b7eb4 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_layer_uri_normalization
8b8ba86 Merge pull request #1637 from lucernae/fix_keywords_editor
e446d1d Merge branch 'develop' of github.com:AIFDR/inasafe into fix_keywords_editor
f794eee Merge pull request #1646 from lucernae/change_dock_message
2052919 Issue #1642: change the description to toolbar instead of plugins
672c3de Split Flood OSM building IF.
c704dda Merge branch 'develop' of github.com:AIFDR/inasafe into change_dock_message
b6f248f Merge pull request #1683 from lucernae/pep8
2f189f3 PEP8 fix for version 1.6.2
075e4f1 Merge branch 'develop' of github.com:AIFDR/inasafe into change_dock_message
fadcb23 Fix #1662
c55edf4 Fix #1661 Update volcano hazard zone classification in our definitions.
72ea9d6 Merge branch 'develop' of github.com:timlinux/inasafe into develop
916a3df Merge pull request #1680 from ismailsunni/inner_metadata
fc5ce5d Merge branch 'aifdr_develop' into jaran
f2c2505 Pep8.
6c32d26 Fix failed unit test due to moving metadata.
5c9d56c Move add_to_list to safe.common.utilities.
033a6f2 fix #1225 : change docstrings
015aa5b fix #1225 : add UI improvements in the OSM downloader
833283f fix #1225 : allow the user to select an area by drawing a rectangle in the OSM downloader
f8ea8ff Merge branch 'develop' of github.com:AIFDR/inasafe into unicode
fd00aaa Merge pull request #1677 from akbargumbira/develop
fc6c74a Update hash of the test data.
ba6d326 Use aggregator "global default" and "don't use" strings from safe.definitions
07530e2 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_keywords_editor
b045302 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_layer_uri_normalization
0782b44 Merge branch 'develop' of github.com:AIFDR/inasafe into change_dock_message
6222b7b [Unicode] Fix problems in Keywords Editor
a14dc71 [Unicode] Stringify all the objects other than unicode before making it as unicode.
f575ff5 Remove pydev for remote debugging purpose.
8d41ea6 [Unicode] Support unicode in Impact Merge Tools
a85c4cc [Unicode] Make OSM Downloader work when we save it to output path with non ASCII chars.
e900f4d fix #1648 fix settings if no key
d5ecc00 [Unicode] Support unicode in Save Current Scenario tools.
288866f [Unicode] Support Unicode in Needs Calculator Dialog and Shakemap Importer
e92b358 [Unicode] Making InaSAFE Keywords Editor (the old one)  work with Unicode.
767bdd8 [Unicode] Don't cast to string when adding item to combobox.
3f3e848 fix #1648 : remove accent and settings after test
17f2a04 fix #1648 allow the user to save results to their own designated directory
a4be0d0 Merge pull request #1673 from Gustry/accentuated
efa4022 fix new line
52b15f3 Remove remote debugging code.
e7e9d19 [Unicode] Support InaSAFE to use Unicode
3932fa6 add function to replace accentuated characters
0f847f4 Merge pull request #1654 from Gustry/fix-896
e500730 Merge pull request #1669 from akbargumbira/volcano
1be5a12 (akbar/volcano) Fix #1661 Update volcano hazard zone classification in our definitions.
b0e4622 Fix #1662
c4fc8e8 Merge pull request #1652 from Gustry/fix-1650
f8bbefd Merge pull request #1660 from Gustry/gitattributes
c81e515 Merge branch 'develop' into fix-896
c413fd3 Merge branch 'develop' into fix-1650
51560b6 Merge pull request #1653 from Gustry/fix-1423-with-1650
306273f add more binaries files to .gitattribute
60f8aad fix #1423 pep8
1028034 fix #896 remove an useless line
44e740a Merge branch 'fix-1650' of github.com:Gustry/inasafe into fix-1650
becdf10 fix #1650 qgis version and variables
f200e40 Merge branch 'develop' into fix-1650
4924e09 Add richer validator for inner class.
fd96485 Pep8.
a3b7fd7 Move IFs metadata to inner class.
0731f39 Merge pull request #1644 from Gustry/fix-1630
7de8e4a Remove some IFs metadata to inner class.
6f253aa Merge pull request #1656 from ismailsunni/update_parameters
a1094cc Merge branch 'aifdr_develop' into update_parameters
4ad1b22 Revert accidental changes.
b078792 fix #896 remove pydevd lines
a588b10 fix 1423 with new QgsMessageBar if exception
2254b07 Merge branch 'fix-1423' into fix-1423-with-1650
c636f57 fix #1650 typo
860e60f fix #1650 : add QMessageBox
a362fad #1650 : add QgsMessageBar
58a65f0 Merge pull request #1649 from akbargumbira/develop
77806e5 Merge branch 'develop' of github.com:AIFDR/inasafe into develop
cf93824 fix #1423 : small fix  about typos and add exception handling
43b08a1 fix #896, merge utilities/custom_logging.py in common/custom_logging.py, enable LOGGER in top level
91f0fee Merge pull request #1647 from ismailsunni/update_parameters
bfb79da Update parameters and remove parameter test.
f725216 Remove a friendly message.
61064f5 Merge pull request #1645 from akbargumbira/develop
cd7f387 Issue #1642 Update in getting started message to point out user to use keywords creation wizard in the Plugins > Inasafe menu
fc9c5a5 Use auto server number of xvfb for jenkins script.
46cf85a add the new icon about adding test layers fix #1630
d612e92 Add a new button when developer mode is on about test layers #1630
4a45e42 fix #1423 save .xml and .keywords when using 'saved as'
6b7f625 fix pep8 issues
b79de49 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_keywords_editor
cfc8a4e Issue #1570: fix layer uri normalization for postgres and delimitedtext
b26f63e Merge pull request #1640 from akbargumbira/develop
91adb0f Update jenkins script to checkout its own inasafe_data in the workspace.
6e290b9 Merge pull request #1638 from cchristelis/develop
9f0aa2d Merge pull request #1639 from akbargumbira/master
37d00a5 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_keywords_editor
104d6c5 Issue #1281: Change priority so the xml file be read first
b820f36 Update the name of the plugin in master to InaSAFE
8139858 Merge pull request #1636 from akbargumbira/develop
df191f7 Fix pep8 issues
1da659e Merge remote-tracking branch 'upstream/develop' into develop
f1a8846 Issue #1621. Fix pep8 use conventional function definition rather than lambdas
8457712 Merge branch 'develop' of github.com:AIFDR/inasafe into fix_keywords_editor
e4129f8 Issue #1281: Bugs on Keywords Editor. Switch to xml iso metadata if .keywords file didn't exist
5e481f3 [Travis] No need to clean the working dir.
92bee5a Merge pull request #1634 from akbargumbira/develop
ccb5091 Small code conventions cleanup in messaging text.py
3216885 Small clode convention cleanups made while giving Etienne a coding standards walk through.
fc42b52 Put a friendly message to highlight the importance of importing qgis in 2 places.
b1d0f42 Remove importing qgis in __init__ of safe's submodules.
e0de139 Don't set the SIP API V2 manually anymore.
deedab1 Merge pull request #1633 from ismailsunni/fix_1625_1620
30b0cf9 Pep8 and pylint.
2d3b749 Fix #1625
928c91b Fix #1620
6f51e98 Merge pull request #1608 from lucernae/normalize_line_ending
527cae2 Merge branch 'develop' into normalize_line_ending
a54a5e8 Merge pull request #1623 from timlinux/master
f63d1db Merge pull request #1622 from timlinux/develop
d3fcb33 Merge pull request #1619 from timlinux/master
ef8e56c Pre line endings normalization
ac9c29c Merge pull request #1501 from timlinux/master

Changelog for version 3.0.0
================================

8559d23 (HEAD, develop) Updated metadata
07a544f (origin/develop) Fixed failint rubber bands test in dock
2ad5d29 (upstream/develop) Merge pull request #1597 from timlinux/develop
